<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/2
 * Time: 4:03 PM
 */

namespace App\Auth;

use Illuminate\Auth\EloquentUserProvider;
use Illuminate\Contracts\Auth\Authenticatable as UserContract;

class WeUserProvider extends EloquentUserProvider{

    public function validateCredentials(UserContract $user, array $credentials)
    {
        if (config('app.login_type')==2){
            $passwordinput = $credentials['password'];
            $authPassword = $user->getAuthPassword();
            $passwordSha1 = $this->user_hash($passwordinput,$authPassword['salt']);
            return $authPassword['password']===$passwordSha1 ? true : false;
        }else{
            return true;
        }
    }

    private function user_hash($passwordinput, $salt){
        global $_W;
        $passwordinput = "{$passwordinput}-{$salt}-{$_W['config']['setting']['authkey']}";
        return sha1($passwordinput);
    }
}