<?php

/**
 * 订单支付成功事件
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/16
 * Time: 下午11:16
 */

namespace App\Events;

use App\Models\ShimmerLiveshopStoreOrder;

class OrderPaySuccess extends Event
{
    public $order;
    public $attach;
    public $payType;

    /**
     * OrderPaySuccess constructor.
     * @param ShimmerLiveshopStoreOrder $order 订单
     * @param string $attach 支付目的
     * @param string $type 支付类型
     */
    public function __construct(ShimmerLiveshopStoreOrder $order, $attach = '', $payType = 'weixin')
    {
        if (!$order) {
            exception('订单不存在');
        }
        $this->order = $order;
        $this->attach = strtolower($attach);
        $this->payType = $payType;
    }
}