<?php

namespace App\Listeners;

use App\Events\CommissionOrder;
use App\Events\OrderTakeed;
use App\Models\ShimmerLiveshopCommissionOrder;

class CommissionOrderSettlementListener
{
    public $order;
    /**
     * Handle the event.
     *
     * @param  CommissionOrder  $event
     * @return void
     */
    public function handle(OrderTakeed $event){
        $this->order = $event->order;
        $commissionOrder = ShimmerLiveshopCommissionOrder::where('order_id',$this->order->id)->get();
        if (!$commissionOrder){
            return true;
        }

        foreach ($commissionOrder as $corder){
            if ($corder->has_withdraw==1 || $corder->status==2){
                return true;
            }
            $comOrder = ShimmerLiveshopCommissionOrder::find($corder->id);
            $comOrder->status=2;
            $comOrder->save();
        }
    }
}
