<?php

namespace App\Listeners;

use App\Events\OrderPaySuccess;
use App\Events\OrderTakeed;
use App\Modules\Liveapi\Models\ShimmerLiveshopOrder;
use App\Services\TemplateService;

/**
 * 订单确认收货通知
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/21
 * Time: 上午 03:46
 */
class OrderTakedNoticeListener
{
    public $order;
    public $refundPrice;
    public $event;

    /**
     * Handle the event.
     *
     * @param  OrderPaySuccess $event
     * @return void
     */
    public function handle(OrderTakeed $event)
    {
        $this->order = $event->order;

        //发送模版消息
        $res = TemplateService::sendOrderTakeOver($this->order);
    }

}
