<?php

namespace App\Models;

/**
 * 公众号
 * Class AccountWechats
 * @package App\Models
 */
class AccountWechats extends BaseModel
{

    /**
     * 通过名称查询
     * @param $query
     * @param $name
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeName($query, $name)
    {
        if (!$name) {
            return $query;
        }

        return $query->where('name', 'like', "%{$name}%");
    }
}