<?php
/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/12/08
 * Time: 1:14 PM
 */

namespace App\Models;

use App\Services\AppService;
use Illuminate\Database\Eloquent\Builder;

class BaseUniacidModel extends BaseModel
{
    //
    protected $guarded = [];

    public static function boot()
    {
        parent::boot();
        static::addGlobalScope('uniacid', function (Builder $builder) {
            $builder->where(['uniacid' => AppService::$uniacid]);
        });
    }

    public function setUniacidAttribute()
    {
        $this->attributes['uniacid'] = AppService::$uniacid;
    }
}