<?php

namespace App\Models;


use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopAnchorRelation extends BaseUniacidModel
{
    use SoftDeletes;
    protected $guarded = [];
    public $dateFormat = "U";

    public function user()
    {
        return $this->hasOne(ShimmerLiveshopUser::class, 'id', 'uid');
    }
}