<?php
/**
 * Diy页面
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/3/15
 * Time: 上午10:02
 */

namespace App\Models;


use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopDiypage extends BaseUniacidModel
{
    use SoftDeletes;
    protected $guarded = [];
    public $dateFormat = "U";
    public $casts = [
        'content' => 'json'
    ];

    /**
     * 页面类型
     * @var array
     */
    public static $types = [
        1 => '自定义页面',
        2 => '首页',
    ];

    /**
     * 通过名称搜索
     * @param $query
     * @param $content
     */
    public function scopeName($query, $name)
    {
        if (!$name) {
            return $query;
        }

        return $query->where('name', 'like', "%{$name}%");
    }
}