<?php

namespace App\Models;

/**
 * 订单购物详情
 * Class ShimmerLiveshopStoreOrderCartInfo
 * @package App\Models
 */
class ShimmerLiveshopStoreOrderCartInfo extends BaseUniacidModel
{
    protected $guarded = [];
    protected $casts = [
        'cart_info' => 'json'
    ];
    public $timestamps = false;

    /**
     * 根据购物车编码获取购物车
     * @param $unique
     */
    public static function getByUnique($unique)
    {
        if (!$unique) {
            return;
        }

        return self::where('unique', $unique)->first();
    }
}