<?php
namespace App\Modules\Admin\Http\Middleware;

use App\Modules\Admin\Services\MenuService;
use App\Services\AppService;
use App\User;
use Closure;

class Auth {

    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next) {
        AppService::setUniacid();
        if (config('app.login_type')==2){
            $Auth = \Auth::guard('manager');
            if ($Auth->guest()) {
                $url = $request->getRequestUri();
                \Session::put('_forward_', $url);
                return \Redirect::to(route('adminlogin'))->withErrors('请重新登录');
            }
        }else{
            global $_GPC;
            $session = json_decode(authcode($_GPC['__session']), true);
            $domain=$request->getSchemeAndHttpHost();
            if (!$session['uid']) {
                header("location:".$domain);exit();
            }
            $user = User::where('uid',$session['uid'])->first();
            if (!\Auth::guard('manager')->attempt(['username' => $user->username, 'password' => $user->password])) {
                header("location:".$domain);exit();
            }
            $Auth = \Auth::guard('manager');
        }
        MenuService::setPageMenu($Auth->user());
        return $next($request);
    }


}
