<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>后台管理 | 登录</title>

    <link href="/addons/shimmer_liveshop/static/web/css/bootstrap.min.css" rel="stylesheet">
    <link href="/addons/shimmer_liveshop/static/web/font-awesome/css/font-awesome.css" rel="stylesheet">

    <link href="/addons/shimmer_liveshop/static/web/css/animate.css" rel="stylesheet">
    <link href="/addons/shimmer_liveshop/static/web/css/style.css" rel="stylesheet">
    <style>
        .vidbacking-active-body-back {
            position: fixed;
            z-index: -100;
            min-width: 100%;
            min-height: 100%;
            top: 50%;
            left: 50%;
            background-size: cover;
            overflow: hidden;
            opacity: 1;
            transition: 2s opacity;
            transform: translateX(-50%) translateY(-50%);
        }
    </style>
</head>

<body class="gray-bg">
<video poster="/addons/shimmer_liveshop/static/web/admin/common/login/screenshot1.jpg" autoplay="" muted=""
       loop="" class="vidbacking-active-body-back"
       >
    <source src="/addons/shimmer_liveshop/static/web/admin/common/login/Rallye.mp4" type="video/mp4">
</video>
<div class="middle-box text-center loginscreen animated fadeInDown">
    <div>
        <div>
            <h1 class="logo-name">&nbsp;</h1>
        </div>
        <h3>后台管理系统</h3>
        <p></p>
        <form id="login_form" method="post">
            <div class="form-group">
                <input type="text" class="form-control" name="username" id="username" placeholder="用户名" required="">
            </div>
            <div class="form-group">
                <input type="password" class="form-control" name="password" id="password" placeholder="密码" required="">
            </div>
            <button type="button" class="btn btn-primary block full-width m-b" id="submit_btn">登录</button>
        </form>
    </div>
</div>

<script src="/addons/shimmer_liveshop/static/web/js/jquery-3.1.1.min.js"></script>
<script src="/addons/shimmer_liveshop/static/web/js/popper.min.js"></script>
<script src="/addons/shimmer_liveshop/static/web/js/bootstrap.js"></script>
<script>
    $(function(){
        //提交表单
        $('#submit_btn').click(function(){
            if($('#username').val() == ''){
                alert('账号还没填呢！');
                $('#username').focus();
            }else if($('#password').val() == ''){
                alert('密码还没填呢！');
                $('#password').focus();
            }else{
                $.ajax({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: "POST",
                    dataType: "json",
                    url: "{{route('adminlogin-submit')}}" ,//url
                    data: $('#login_form').serialize(),
                    success: function (result) {
                        if(result.errno==0){
                            window.location.href="{{route('adminhome')}}";
                        }else{
                            alert(result.message);
                        }
                    }
                });
            }
        });
    });
</script>
</body>

</html>
