@extends('admin::layouts.layouts')
@section('title')
    添加角色
@endsection
@section('content')
    <div  style="width: 100%;">
        <div class="ibox-content">
            <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{route('adminmanager.allot-save',$id)}}" method="post">
                {{csrf_field()}}
                <div class="layui-form-item">
                    <label class="layui-form-label">权限组</label>
                    <div class="layui-input-block">
                        <select name="role_id" lay-verify="required">
                            <option value="" >请选择权限组</option>
                            @foreach($role as $rl)
                                <option value="{{$rl->id}}" @if($model['role_id']==$rl->id) selected @endif>{{$rl->name}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4 col-sm-offset-3">
                        <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script>
        $("#ajaxsubmit").click(function () {
            ajaxSbumit()
        });
    </script>
@endsection