@extends('admin::layouts.master')

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-title">
                    <h5>用户管理</h5>
                </div>
                <div class="ibox-content">
                    <div class="row">

                    </div>
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>用户名</th>
                                <th>直播权限组</th>
                                <th>注册时间</th>
                                <th>到期时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($manager as $item)
                            <tr>
                                <td>
                                    {{$item->uid}}
                                </td>
                                <td>
                                    {{$item->username}}
                                </td>
                                <td>
                                    <span class="color-default">
                                        {{$item->role_name}}
                                    </span>
                                </td>
                                <td>
                                    {{$item->joindate_text}}
                                </td>
                                <td>
                                    {{$item->endtime_text}}
                                </td>
                                <td>
                                    @if($item->founder_groupid!=1)
                                    <a  href="javascript:;" class="btn  btn-info ajax_load" data-url="{{route('adminmanager.allot',$item->uid)}}" data-width="1000px" data-height="80%">
                                        分配
                                    </a>
                                        @endif
                                </td>
                            </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">
                            {{$manager->Links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection



