@extends('admin::layouts.master')
@section('title')
    菜单管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-title">
                    <a  href="javascript:void(0);" class="btn btn-primary load_iframe" data-url="{{route('adminmenu.create')}}" data-width="1000px" data-height="80%">添加菜单</a>
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>

                                <th>ID</th>
                                <th>菜单名称</th>
                                <th>排序</th>
                                <th>路由</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            @foreach($menu as $k=>$item)
                                <tr>
                                    <td>
                                        <input type="checkbox" class="i-checks" name="check[]" value="{{$item['id']}}">
                                    </td>
                                    <td>
                                        <span style="margin-left: {{$item['level']*10}}px">{{$item['delimiter']}}{{$item['name']}}</span>
                                    </td>
                                    <td>
                                        <input type="number" style="width: 100px;" placeholder="请输入排序值"  value="{{$item['sort']}}" class="form-control ajax-focus">
                                    </td>
                                    <td>{{$item['route']}}</td>
                                    <td>
                                        <a  href="javascript:;" class="btn  btn-info load_iframe" data-url="{{route('adminmenu.edit',$item['id'])}}" data-width="1000px" data-height="80%">编辑</a>
                                        <a href="javascript:;"  class="btn btn-warning ajax-confirm delete" data-url="{{route('adminmenu.destroy',$item['id'])}}" data-title="确定要删除吗">删除</a>
                                        <div class="btn-group">
                                            @if($item['status']==0)
                                                <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">禁用
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <li>
                                                        <a href="javascript:;" data-url="{{route('adminmenu.change',$item['id'])}}" class="ajax-switch" data-value="1">启用</a>
                                                    </li>
                                                </ul>
                                            @else
                                                <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">启用
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <li><a href="javascript:;" class="ajax-switch" data-url="{{route('adminmenu.change',$item['id'])}}" data-value="0">禁用</a>
                                                    </li>
                                                </ul>
                                            @endif
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                                </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection