@extends('admin::layouts.layouts')
@section('title')
    角色授权
@endsection
@section('head')
    <link href="/addons/shimmer_liveshop/static/lib/zTree/css/zTreeStyle/zTreeStyle.css" rel="stylesheet">
    <script type="text/javascript" src="/addons/shimmer_liveshop/static/lib/zTree/js/jquery.ztree.core.js"></script>
    <script type="text/javascript" src="/addons/shimmer_liveshop/static/lib/zTree/js/jquery.ztree.excheck.js"></script>
@endsection

@section('content')
    <div class="content_wrap">
        <div class="zTreeDemoBackground left">
            <ul id="treeDemo" class="ztree"></ul>
        </div>
        <div class="form-group">
            <div class="col-sm-4 col-sm-offset-3">
                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        var setting = {
            check: {
                enable: true
            },
            data: {
                simpleData: {
                    enable: true,
                    pIdKey:"pid"
                }
            },
            callback:{    //第一步
                onCheck:zTreeOnClick
            }
        };
        var ids = [];
        var zNodes =<?php echo $menu;?>;
        $(document).ready(function(){
            $.fn.zTree.init($("#treeDemo"), setting, zNodes);
        });
        function zTreeOnClick() {
            var treeObj = $.fn.zTree.getZTreeObj("treeDemo"),
                nodes = treeObj.getCheckedNodes(true);
            ids = [];
            for (var i = 0; i < nodes.length; i++) {
                ids.push(nodes[i].id);
            }
        }
        $("#ajaxsubmit").click(function () {
            $("#ajaxsubmit").attr("disabled","true");
            $("#ajaxsubmit").text("正在提交数据");
            var param = {};
            param['ids'] = ids;
            param['id'] = {{$id}};
            $.ajax({
                type: 'POST',
                dataType: 'json',
                data: param,
                url: "{{route('adminrole.empowersave')}}",
                success: function ($_success) {
                    if($_success.errno==0){
                        $("#ajaxsubmit").removeAttr("disabled");
                        $("#ajaxsubmit").text("确定");
                        layer.msg($_success.message,{time:2000,icon:1});
                        if($_success.redirect){
                            setTimeout(function(){
                                window.location=$_success.redirect;
                            },1000);
                        }else{
                            setTimeout(function(){
                                var index = parent.layer.getFrameIndex(window.name);
                                if(index){
                                    parent.layer.close(index);
                                    window.parent.location.reload();
                                }
                            },1000);
                        }
                    }else{
                        layer.msg($_success.message,{time:2000,icon:5});
                        $("#ajaxsubmit").removeAttr("disabled");
                        $("#ajaxsubmit").text("确定");
                        return false;
                    }
                },
                error: function (result) {

                }
            })
        })
    </script>
@endsection