<?php
namespace App\Modules\Live\Http\Controllers;

use App\Modules\Live\Models\ShimmerLiveshop;
use App\Modules\Live\Models\ShimmerLiveshopLiveAdv;
use App\Modules\Live\Services\AdvService;
use Illuminate\Http\Request;

class AdvController extends Controller {

    public function index(Request $request){
        $live_id = (int)$request->route('live_id',0);
        $type = $request->input('type',1);
        if ($live_id){
            $LiveType = (new ShimmerLiveshop())->where('id',$live_id)->value('type');
        }else{
            $LiveType = 0;
        }
        $typeIds = ShimmerLiveshopLiveAdv::$liveTypes[$LiveType];
        $configsTypes = ShimmerLiveshopLiveAdv::$configTypes;
        $setting = (new AdvService())->loadModel($type,$live_id);

        return view('live::adv.index',compact('typeIds','configsTypes','live_id','type','setting'));
    }

    public function store(Request $request){
        (new AdvService())->store($request,$request->route('live_id'));
        return $this->result(0,'ok');
    }
}
