<?php

/**
 * 直播间分享
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/16
 * Time: 上午11:17
 */

namespace App\Modules\Live\Http\Controllers;

use App\Models\ShimmerLiveshopShare;
use Illuminate\Http\Request;

class ShareController extends Controller
{
    public function edit($liveId)
    {
        $this->setPageTitle('分享设置');

        $share = ShimmerLiveshopShare::getByLiveId($liveId);

        return view('live::share.edit', [
            'share' => $share
        ]);
    }

    public function update(Request $request)
    {
        $data = $this->validateScenario($request, ShimmerLiveshopShare::instance());

        $ret = ShimmerLiveshopShare::saveByLiveId($this->liveId, $data);

        if ($ret) {
            return $this->result(0, '保存成功');
        } else {
            return $this->result(1, '保存失败');
        }
    }
}