<?php
/**
 * 用户/粉丝 管理
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 上午11:16
 */

namespace App\Modules\Live\Http\Controllers;

use App\Models\ShimmerLiveshopUser;
use Illuminate\Http\Request;

class UserController extends Controller
{

    /**
     * 更新用户状态
     * @param Request $request
     * @param $userId
     */
    public function upstate(Request $request)
    {
        $state = $request->input('state');
        $userId = $request->route('user_id');

        $user = ShimmerLiveshopUser::find($userId);

        if ($state == 0) {
            if ($user->state == 1) {
                $msg = '取消禁言成功';
            } elseif ($user->state == 2) {
                $msg = '取消拉黑成功';
            }
        }
        if ($state == 1) {
            $msg = '禁言成功';
        } elseif ($state == 2) {
            $msg = '拉黑成功';
        }

        $user->state = $state;
        $ret = $user->save();

        if ($ret) {
            return $this->result(0, $msg);
        } else {
            return $this->result(1, '操作失败');
        }
    }

}