<?php
/**
 * 用户model
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 上午11:49
 */

namespace App\Modules\Live\Models;


class ShimmerLiveshopCommissionLevel extends BaseModel
{
    protected $guarded = [];
    public $dateFormat = "U";
    protected $scenarios = [
        'default' => ['name','level_first','level_second','level_third','order_amount'],
    ];

    /**
     * @param $query
     * @param $data
     * 搜索
     */
    public function scopeSearchData($query,$data){
        if ($data['query']['name']){
            $query->where('name', 'like', "%{$data['query']['name']}%");
        }
    }
}