<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/5
 * Time: 9:01 PM
 */

namespace App\Modules\Live\Models;

class ShimmerLiveshopLiveConfig extends BaseModel
{
    public $guarded = [];
    public $casts = ['setting' => 'json'];
    protected $scenarios = [
        'default' => ['live_id', 'setting', 'type']
    ];

    public static $typeIds = [
        1 => [1, 2, 3, 4, 500],
        2 => [1, 2, 3, 4, 500],
        3 => [1, 2, 3, 4, 500],
        4 => [1, 2, 3, 4, 500],
        5 => [6, 5, 2, 3, 4, 500],
    ];

    public static $type = [
        1 => '录制配置',
        2 => '关注公众号',
        3 => '互动区',
        4 => '隐私设置',
        5 => '图片设置',
        6 => '绑定直播',
        500 => '其他设置',
        600 => '礼物特效',
        700 => '打赏配置',
        800 => '直播间信息',
        900 => '公共版小程序设置',
        1000 => '直播间显示设置',
        1100 => '直播间全局设置',
        1200 => '水印设置',
        1300 => 'AI修图',
        1400 => '人脸识别',
    ];

    public $init_configs = [
        1 => [
            'backplay_video' => ''
        ],
        2 => [
            'code_type' => 1,
            'wechat_name' => '',
            'wechat_code' => '',
            'auto_pop_type' => 2,
            'service_code' => '',
            'service_contact' => '',
            'force_follow' => 0,
        ],
        3 => [
            'packet_open' => 1,
            'reward_open' => 1,
            'reward_template' => 1,
            'inivation_open' => 1,
            'gift_open' => 1,
            'send_pic_open' => 0,
        ],
        4 => [
            'can_share' => 1,
            'show_share_rank' => 1,
        ],
        5 => [
            'need_examine' => 1,
            'view_original_image' => 1,
            'need_follow_wechat' => 1,
            'wechat_name' => '',
            'wechat_code' => '',
        ],
        6 => [
            'bind_video_live_id' => 0,
            'bind_video_live_name' => 0,
        ],
        500 => [
            'keyword_open' => 0,
            'keyword' => '',
            'live_index_url' => '',
            'watermark_open' => 0,
            'watermark_text' => 0,
            'sort' => 1,
            'show_userinfo' => 0,
        ],
    ];


    public $configs = [
        1 => [
            'backplay_video' => ''
        ],
        2 => [
            'code_type' => 0,
            'wechat_name' => '',
            'wechat_code' => '',
            'auto_pop_type' => 2,
            'service_code' => '',
            'service_contact' => '',
            'force_follow' => 0,
        ],
        3 => [
            'packet_open' => 0,
            'reward_open' => 0,
            'reward_template' => 0,
            'inivation_open' => 0,
            'gift_open' => 0,
            'send_pic_open' => 0,
        ],
        4 => [
            'can_share' => 0,
            'show_share_rank' => 0,
        ],
        5 => [
            'need_examine' => 0,
            'view_original_image' => 0,
            'need_follow_wechat' => 0,
            'wechat_name' => '',
            'wechat_code' => '',
        ],
        6 => [
            'bind_video_live_id' => 0,
            'bind_video_live_name' => '',
        ],
        500 => [
            'keyword_open' => 0,
            'keyword' => '',
            'live_index_url' => '',
            'watermark_open' => 0,
            'watermark_text' => 0,
            'sort' => 1,
            'show_userinfo' => 0,
        ],
    ];

    public function validateFilter($data, $senario)
    {
        if ($senario == 'store') {
            foreach ($this->init_configs as $key => $config) {
                foreach ($config as $k => $item) {
                    if (!isset($data['setting'][$key][$k])) {
                        $data['setting'][$key][$k] = $item;
                    }
                }
            }
        } else {
            if ($senario == '600') {
                return $data;
            } elseif ($senario == '700') {
                return $data;
            } elseif ($senario == '1200') {
                return $data;
            } else {
                foreach ($this->configs as $key => $config) {
                    foreach ($config as $k => $item) {
                        if (!isset($data['setting'][$key][$k])) {
                            $data['setting'][$key][$k] = $item;
                        }
                    }
                }
            }

        }
        return $data;
    }
}