<?php
/**
 * 用户model
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 上午11:49
 */

namespace App\Modules\Live\Models;


use App\Models\ShimmerLiveshopCommissionOrder;

class ShimmerLiveshopStoreOrder extends \App\Models\ShimmerLiveshopStoreOrder
{
    protected $guarded = [];
    public $dateFormat = "U";

    /**
     * @param $query
     * @param $data
     * 搜索
     */
    public function scopeSearchData($query, $data)
    {
        if ($data['query']['id']) {
            $query->where('id', 'like', "%{$data['query']['id']}%");
        }
        if ($data['query']['order_sn']) {
            $query->where('order_sn', 'like', "%{$data['query']['order_sn']}%");
        }
        if ($data['query']['uid']) {
            $query->where('uid', $data['query']['uid']);
        }
        if ($data['query']['order_status'] != null && in_array($data['query']['order_status'], [-1, 0, 1, 2, 3, 4])) {
            $query->where('order_status', $data['query']['order_status']);
        }

        if ($data['query']['start_time']) {
            $query->where($data['query']['time_name'], '>', strtotime($data['query']['start_time']));
        }
        if ($data['query']['end_time']) {
            $query->where($data['query']['time_name'], '<', strtotime($data['query']['end_time']));
        }
    }
}