@extends('live::layouts.master')
@section('page_title',$pageTitle)

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <form class="layui-form form-horizontal" id="ajaxform"
                  action="{{wgRoute('liveadv.store',['live_id'=>$live_id,'type'=>$type])}}" method="post">
                <div class="tabs-container">
                    <ul class="nav nav-tabs" role="tablist">
                        @foreach($typeIds as $typeItem =>$name)
                            <li>
                                <a class="nav-link {{$name == $type ? 'active' : ''}}"
                                   href="{{wgRoute('liveadv.index',['live_id'=>$live_id,'type'=>$name])}}">{{$configsTypes[$name]}}</a>
                            </li>
                        @endforeach
                    </ul>
                    <div class="tab-content">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="ibox ">
                                        <div class="ibox-content">
                                            @include('live::adv.config.'.$type)
                                            <div class="form-group row">
                                                <div class="offset-sm-2 col-sm-4">
                                                    <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存更改
                                                    </button>
                                                    <button class="btn btn-white" type="reset">取消</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection