@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;">
        <div style="width: 100%;">
            <div class="ibox-content">
                <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('live.asset.balance.withdrawApply.update',['id'=>$model->id])}}" method="post">
                    {{csrf_field()}}
                    <div class="layui-form-item">
                        <label class="layui-form-label">姓名</label>
                        <div class="layui-input-block">
                            <input type="text" name="name" placeholder="请输入姓名" value="{{$model->name}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">金额</label>
                        <div class="layui-input-block">
                            <input type="text" name="balance" placeholder="请输入金额" value="{{$model->balance}}" class="layui-input">
                        </div>
                    </div>

                    @if($model->type=='bank')
                        <div class="layui-form-item">
                            <label class="layui-form-label">银行</label>
                            <div class="layui-input-block">
                                <input type="text" name="bankname" placeholder="请输入银行" value="{{$model->bankname}}" class="layui-input">
                            </div>
                        </div>

                        <div class="layui-form-item">
                            <label class="layui-form-label">银行卡号</label>
                            <div class="layui-input-block">
                                <input type="text" name="cardnum" placeholder="请输入银行卡号" value="{{$model->cardnum}}" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">银行卡开户地</label>
                            <div class="layui-input-block">
                                <input type="text" name="bank_address" placeholder="请输入银行卡开户地" value="{{$model->bank_address}}" class="layui-input">
                            </div>
                        </div>
                    @endif


                    @if($model->type=='alipay')
                        <div class="layui-form-item">
                            <label class="layui-form-label">支付宝账号</label>
                            <div class="layui-input-block">
                                <input type="text" name="alipay_code" placeholder="请输入支付宝账号" value="{{$model->alipay_code}}" class="layui-input">
                            </div>
                        </div>
                    @endif

                    @if($model->type=='weixin')
                        <div class="layui-form-item">
                            <label class="layui-form-label">微信</label>
                            <div class="layui-input-block">
                                <input type="text" name="weixin"  placeholder="请输入微信号" value="{{$model->weixin}}" class="layui-input">
                            </div>
                        </div>
                    @endif

                    <div class="layui-form-item">
                        <label class="layui-form-label">备注</label>
                        <div class="layui-input-block">
                            <textarea name="remark" placeholder="请输入内容" class="layui-textarea">{{$model->remark}}</textarea>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <div class="layui-input-block">
                            <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

