@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <div class="toolbar">
                        <span class="left">
                            <a href="javascript:;" data-url="{{wgRoute('livecategory.create',['type'=>\Request::route('type')])}}" class="btn btn-primary load_iframe">添加分类</a>
                            &nbsp;<span>话题最多不超过20个</span>
                         </span>
                    </div>
                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>分类名称</th>
                                <th>排序</th>
                                <th>状态</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($Categorys as $category)
                                <tr>
                                    <td> {{$category->id}}</td>
                                    <td> {{$category->name}}</td>
                                    <td> {{$category->sort}}</td>
                                    <td> {{$category->type_text}}</td>
                                    <td>
                                        <a class="btn btn-outline  btn-success load_prompt" data-url="{{wgRoute('livecategory.change_sort',['type'=>\Request::route('type'),'cate_id'=>$category->id])}}" data-title="{{$category->name}}" href="javascript:;">排序</a>
                                        <a class="btn btn-outline btn-success load_iframe"
                                           href="javascript:;" data-url="{{wgRoute('livecategory.edit',[\Request::route('type'),$category->id])}}">编辑</a>
                                        <a class="btn btn-outline btn-success ajax-confirm delete"
                                           data-url="{{wgRoute('livecategory.destroy',[\Request::route('type'),$category->id])}}" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">
                            @include('live::common.pagination', ['pager' => $Categorys])
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection