<div class="layui-form-item">
    <label class="layui-form-label">频道名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" required  lay-verify="required" placeholder="请输入频道名称" value="{{$model->name}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">频道类型</label>
    <div class="layui-input-block">
        <select name="type" lay-verify="required" lay-search="" class="channel_type" lay-filter="type">
            @foreach($channelType as $key=>$type)
                <option value="{{$key}}" >{{$type}}</option>
            @endforeach
        </select>
    </div>
</div>

<div class="layui-form-item  type type_1" @if($model->type!=1) style="display: none;" @endif>
    <label class="layui-form-label">固定价格</label>
    <div class="layui-input-block">
        <input type="text" name="price" required  lay-verify="required" placeholder="固定价格" value="{{$model->price}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item type type_1" @if($model->type!=1) style="display: none;" @endif>
    <label class="layui-form-label">开启邀请奖励</label>
    <div class="layui-input-block">
        <input type="checkbox" name="reward_open" lay-skin="switch" lay-filter="reward_open" lay-text="开启|关闭" @if($model->reward_open==1) checked @endif
               value="1">
        <div class="form-text m-b-none"> 开启后，用户分享给好友并购买，可获得对应的邀请奖励
        </div>
    </div>
</div>

<div class="layui-form-item  type type_1_1" @if($model->type!=1 || $model->reward_open!=1) style="display: none;" @endif>
    <label class="layui-form-label">分成比例</label>
    <div class="layui-input-block">
        <input type="text" name="rate" required  lay-verify="required" placeholder="分成比例：%" value="{{$model->rate}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item  type type_2" @if($model->type!=2) style="display: none;" @endif>
    <label class="layui-form-label">密码</label>
    <div class="layui-input-block">
        <input type="text" name="pwd" required  lay-verify="required" placeholder="密码" value="{{$model->pwd}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">频道封面</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('cover',$model->cover); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">是否显示</label>
    <div class="layui-input-block">
        <input type="radio" name="isshow" value="1" @if($model->isshow==1) checked @endif title="显示" >
        <input type="radio" name="isshow" value="2" @if($model->isshow==2) checked @endif title="隐藏" >
    </div>
</div>