@extends('live::layouts.master')
@section('title')
    菜单管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('livecommission.store')}}" method="post">
                        {{csrf_field()}}
                        <input type="hidden" name="type" value="11">
                        <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
                            <ul class="layui-tab-title">
                                <li class="layui-this">基本设置</li>
                                <li>分销关系设置</li>
                                <li>申请协议</li>
                                <li>分销设置</li>
                                <li>提现银行配置</li>
                                <li>文案设置</li>
                            </ul>
                            <div class="layui-tab-content">
                                <div class="layui-tab-item layui-show">
                                    @include('live::commission.setting.basic')
                                </div>
                                <div class="layui-tab-item">
                                    @include('live::commission.setting.relation')
                                </div>
                                <div class="layui-tab-item">
                                    @include('live::commission.setting.agree')
                                </div>
                                <div class="layui-tab-item">
                                    @include('live::commission.setting.commission')
                                </div>
                                <div class="layui-tab-item">
                                    @include('live::commission.setting.bank')
                                </div>
                                <div class="layui-tab-item">
                                    @include('live::commission.setting.copywriting')
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-3">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var element = layui.element;
            var form = layui.form;
            form.on('radio(become)', function (data) {
                var type = data.value;//data.elem
                $('.become').hide();
                $('.become'+type).show();
            });
        });
    </script>

@endsection
