<div class="layui-form-item">
    <label class="layui-form-label">分销海报</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('config[poster]',$model->config['poster']); @endphp
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">是否开启自动省钱</label>
    <div class="layui-input-block">
        <input type="radio" name="config[open_save_money]" value="0" title="不开启" @if($model->config['open_save_money']==0) checked @endif lay-filter="open_save_money">
        <input type="radio" name="config[open_save_money]" value="1" title="开启" @if($model->config['open_save_money']==1) checked @endif lay-filter="open_save_money">
    </div>
</div>

<div class="layui-form-item open_save_money" @if($model->config['open_save_money']!=1) style="display:none;" @endif>
    <label class="layui-form-label">自购赚钱比例</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="config[save_money_rate]" class="form-control " value="{{$model->config['save_money_rate']}}">
            <div class="input-group-addon">%</div>
        </div>
    </div>
</div>

<script>
    layui.use(['form','laydate','element'], function(){
        var form = layui.form;
        form.on('radio(open_save_money)', function (data) {
            var type = data.value;//data.elem
            if(type==1){
                $('.open_save_money').show();
            }else{
                $('.open_save_money').hide();
            }
        });
    });
</script>