@extends('live::layouts.master')
@section('title')
    添加商品
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div class="tabs-container">
                <ul class="nav nav-tabs" role="tablist">
                    <li><a class="nav-link @if($type=='basic') active @endif" href="{{wgRoute('livefans.info',['uid'=>$user->id,'type'=>'basic'])}}">基本信息</a></li>
                    <li><a class="nav-link @if($type=='follow') active @endif" href="{{wgRoute('livefans.info',['uid'=>$user->id,'type'=>'follow'])}}">关注列表</a></li>
                    <li><a class="nav-link @if($type=='follower') active @endif" href="{{wgRoute('livefans.info',['uid'=>$user->id,'type'=>'follower'])}}">粉丝列表</a></li>
                    {{--<li><a class="nav-link " data-toggle="tab" href="#tab-2">分销商</a></li>--}}
                </ul>
                <div class="tab-content">
                    <div role="tabpanel" id="tab-1" class="tab-pane active">
                        <div class="panel-body">
                            @include('live::fans.info.'.$type)
                        </div>
                    </div>
                    {{--<div role="tabpanel" id="tab-2" class="tab-pane">--}}
                        {{--<div class="panel-body">--}}
                            {{--@include('live::fans.info.follow')--}}
                        {{--</div>--}}
                    {{--</div>--}}
                    {{--<div role="tabpanel" id="tab-3" class="tab-pane">--}}
                        {{--<div class="panel-body">--}}
                            {{--@include('live::fans.info.follower')--}}
                        {{--</div>--}}
                    {{--</div>--}}
                    {{--<div role="tabpanel" id="tab-4" class="tab-pane">--}}
                        {{--<div class="panel-body">--}}
                            {{--@include('live::fans.info.agent')--}}
                        {{--</div>--}}
                    {{--</div>--}}
                </div>
            </div>
        </div>
    </div>
@endsection