<div class="row">
    <div class="col-lg-12">
        <div class="ibox ">
            <div class="ibox-content">
                <form class="layui-form" action="">
                    <div class="layui-inline">
                        <label class="layui-form-label">昵称:</label>
                        <div class="layui-input-inline">
                            <input type="text" name="nickname"  placeholder="请输入昵称" class="layui-input" value="{{\Request::input('nickname')}}">
                        </div>
                    </div>
                    <div class="layui-inline" style="padding-bottom: 5px">
                        <div class="layui-input-inline">
                            <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                        </div>
                    </div>
                </form>

                @section('toolbar')
                    <span class="left">

                        </span>
                @endsection
                @include('live::common.toolbar', ['pager' => $data['follow']])
                <table class="layui-table">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>粉丝</th>
                        <th>openid</th>
                        <th>会员信息</th>
                        <th>关注时间</th>
                        <th>操作</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($data['follow'] as $item)
                        <tr>
                            <th>{{$item->id}}</th>
                            <td>
                                <img src="{{$item->targetUser->avatar}}"
                                     class="rounded-circle img-sm img_pop_show"/><br/>
                                {{$item->targetUser->nickname}}
                            </td>
                            <td>
                                {{$item->targetUser->wxapp_openid}}
                            </td>
                            <td>
                                {{$item->targetUser->realname}}<br/>
                                {{$item->targetUser->mobile}}
                            </td>
                            <th>
                                {{$item->created_at}}
                            </th>
                            <th>
                                <a class="btn btn-danger ajax-confirm delete"
                                   data-url="{{wgRoute('memberfollow.unfollow',[$item->id])}}" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                            </th>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
                @include('live::common.pagination', ['pager' => $data['follow']])
            </div>
        </div>
    </div>
</div>