@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <div class="layui-inline">
                        <label class="layui-form-label">用户:</label>
                        <div class="layui-input-inline">
                            <input type="number" name="uid"  placeholder="请输入用户ID" id="uid" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-inline" style="padding-bottom: 5px">
                        <div class="layui-input-inline">
                            <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                        </div>
                    </div>
                    <table class="layui-table">
                        <tbody id="parent_users">

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        function bind(obj,parent_uid) {
            $.ajax({
                url: '{{wgRoute('livefans.change-parent',[$uid])}}',
                type: 'POST',
                data: {parent_uid:parent_uid},
                dataType: "json",
                success: function (result) {
                    if (result.errno == 0) {
                        var index = parent.layer.getFrameIndex(window.name);
                        if (index) {
                            parent.layer.close(index);
                            window.parent.location.reload();
                        }
                    }else{
                        layer.msg(result.message, {time: 2000, icon: 5});
                    }

                }
            });
        }
        function search() {
            var uid = $('#uid').val();
            $.ajax({
                url: '{{wgRoute('livefans.get-parent',[$uid])}}',
                type: 'POST',
                data: {parent_uid:uid},
                dataType: "json",
                success: function (result) {
                    if (result.errno == 0) {
                        var str = '<tr>\n' +
                            '                            <td><img src="'+result.data.avatar+'"></td>\n' +
                            '                            <td>'+result.data.nickname+'</td>\n' +
                            '                            <td><a href="javascript:;" onclick="bind(this,'+result.data.id+')">选择</a></td>\n' +
                            '                        </tr>';
                        $('#parent_users').html(str);
                    } else {
                        layer.msg(result.message, {time: 2000, icon: 5});
                    }
                }
            });
        }
    </script>
@endsection