<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>后台管理
        @if(View::hasSection('page_title'))
            | @yield('page_title')
        @endif
    </title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    @include('live::layouts.css')

    <script src="{{ URL::asset('/static/web/js/jquery-3.1.1.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/popper.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/bootstrap.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/plugins/metisMenu/jquery.metisMenu.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/plugins/slimscroll/jquery.slimscroll.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/inspinia.js')}}"></script>

    <script src="{{ URL::asset('/static/web/js/plugins/echarts/echarts.common.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/plugins/metisMenu/jquery.metisMenu.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/plugins/echarts/theme/macarons.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/plugins/echarts/theme/westeros.js')}}"></script>
    <script src="{{ URL::asset('/static/lib/toastr/toastr.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/js/require.js')}}"></script>
</head>

<body>
@stack('scripts')
@include('live::layouts.toastr')

<div id="wrapper">
    @include('live::layouts.menu')
    <div id="page-wrapper" class="gray-bg">
        {{--        @include('live::layouts.top')--}}
        {{--        @include('live::layouts.nav')--}}
        <div class="wrapper wrapper-content animated fadeInRight">
            @yield('content')
        </div>
        @include('live::layouts.copyright')
    </div>
</div>
@yield('script')

</body>
</html>
