<style>
    .relation{
        position: relative;
    }
    .absolute{
        position: absolute;
        top: 20px;
        right: 0px;
        width: 30%;
    }
    .absolutew85{
        position: absolute;
        top: 20px;
        right: 0px;
        width: 85%;
    }
    .height185{
        height: 185px;
    }
</style>
<div class="params_part" style="">
    <h5>绑定直播</h5>
    <div class="params_con">
        <button type="button" class="layui-btn layui-btn-normal layui-btn-sm load_iframe" style="margin-top: 20px;" data-url="{{wgRoute('livelive.get_video_lives')}}" data-width="1000px" data-height="80%">绑定视频直播</button>
        <div class="binded_live bindeddiv" id="bindeddiv" style="margin: 20px 0;@if(intval($liveBaseConfig[6]['setting']['bind_video_live_id'])==0) display: none; @endif">
            <button type="button" class="layui-btn layui-btn-primary layui-btn-sm" onclick="cancelBind()">解除绑定</button>
            <input type="hidden" name="setting[6][bind_video_live_id]" value="{{$liveBaseConfig[6]['setting']['bind_video_live_id']}}" id="bind_video_live_id">
            <input type="hidden" name="setting[6][bind_video_live_name]" value="{{$liveBaseConfig[6]['setting']['bind_video_live_name']}}" id="bind_video_live_name">
            <span class="textbinded">已绑定话题（ID:{{$liveBaseConfig[6]['setting']['bind_video_live_id']}},{{$liveBaseConfig[6]['setting']['bind_video_live_name']}}）</span>
        </div>
        <p>图片直播绑定视频直播：绑定后可在图片直播页显示【视频直播】入口</p>
        <p style="margin: 11px 0 20px;">视频直播绑定图片直播：进入左侧“话题管理”列表，选择管理--自定义菜单--添加“图片直播”，即可边看视频边看图片</p>
    </div>
</div>

<div class="params_part" style="">
    <h5>图片设置</h5>
    <div class="params_con" style="padding: 0 20px;">
        <div class="tip">
            <p><b>图片审核</b>摄影师（嘉宾）上传的图片需要管理员审核通过后才能显示</p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[5][need_examine]" lay-skin="switch" lay-filter="need_examine"
                           value="1" @if($liveBaseConfig[5]['setting']['need_examine']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
        <div class="tip">
            <p><b>查看原图</b>普通用户可以查看图片原图</p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[5][view_original_image]" lay-skin="switch" lay-filter="view_original_image"
                           value="1" @if($liveBaseConfig[5]['setting']['view_original_image']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
        <div class="tip">
            <p><b>查看原图关注公众号</b>查看原图关注公众号</p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[5][need_follow_wechat]" lay-skin="switch" lay-filter="need_follow_wechat"
                           value="1" @if($liveBaseConfig[5]['setting']['need_follow_wechat']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
        <div class="tip public_item relation" @if($liveBaseConfig[5]['setting']['need_follow_wechat']!=1) style="display: none;" @endif>
            <p style="line-height: 35px;"><b>公众号名称</b>默认读取直播间设置的公众号信息，支持更改单个话题的设置</p>
            <div  class="absolute">
                <input name="setting[5][wechat_name]" type="text" class="layui-input" value="{{$liveBaseConfig[5]['setting']['wechat_name']}}" placeholder="公众号名称">
            </div>
        </div>
        <div class="tip public_item relation height185" @if($liveBaseConfig[5]['setting']['need_follow_wechat']!=1) style="display: none;" @endif>
            <p style="display: inline-block;"><b>公众号二维码</b></p>
            <div class="formControls absolutew85">
                @php echo wg_tpl_form_field_image('setting[5][wechat_code]',$liveBaseConfig[5]['setting']['wechat_code']); @endphp
                <p style="margin-top: 5px;">建议尺寸为200*200或1：1，支持jpg、png格式</p>
            </div>
        </div>
    </div>
</div>


<div class="params_part public_account">
    <h5>关注公众号</h5>
    <div class="params_con">
        <div class="tip">
            <p><b>直播页显示公众号/客服入口</b></p>
            <div class="entry_select" style="width: 31%;">
                <select name="setting[2][code_type]" lay-verify="required" lay-filter="code_type">
                    <option value="1" @if($liveBaseConfig[2]['setting']['code_type']==1) selected @endif>公众号</option>
                    <option value="2" @if($liveBaseConfig[2]['setting']['code_type']==2) selected @endif>客服</option>
                    <option value="3" @if($liveBaseConfig[2]['setting']['code_type']==3) selected @endif>不显示</option>
                </select>
            </div>
        </div>
        <div class="tip public_item code code_type_1 relation" @if($liveBaseConfig[2]['setting']['code_type']!=1) style="display: none;" @endif>
            <p style="line-height: 35px;"><b>公众号名称</b>默认读取直播间设置的公众号信息，支持更改单个话题的设置</p>
            <div  class="absolute">
                <input name="setting[2][wechat_name]" type="text" class="layui-input" value="{{$liveBaseConfig[2]['setting']['wechat_name']}}" placeholder="公众号名称">
            </div>
        </div>
        <div class="tip public_item code code_type_1 relation height185" @if($liveBaseConfig[2]['setting']['code_type']!=1) style="display: none;" @endif>
            <p style="display: inline-block;"><b>公众号二维码</b></p>
            <div class="formControls absolutew85">
                @php echo wg_tpl_form_field_image('setting[2][wechat_code]',$liveBaseConfig[2]['setting']['wechat_code']); @endphp
                <p style="margin-top: 5px;">建议尺寸为200*200或1：1，支持jpg、png格式</p>
            </div>
        </div>
        <div class="tip public_item code code_type_1" @if($liveBaseConfig[2]['setting']['code_type']!=1) style="display: none;" @endif>
            <p style="display: inline-block;"><b>自动弹出设置</b></p>
            <div class="formControls skin-minimal" style="display: inline-block;vertical-align: top; width: 70%;">
                <div class="layui-form-item">
                    <div class="layui-input-block" style="margin-left:0px;margin-top: -8px;">
                        <input type="radio" name="setting[2][auto_pop_type]" value="1" @if($liveBaseConfig[2]['setting']['auto_pop_type']==1) checked @endif title="不弹出，开启后用户进入直播页面不弹出公众号" >
                        <input type="radio" name="setting[2][auto_pop_type]" value="2" @if($liveBaseConfig[2]['setting']['auto_pop_type']==2) checked @endif title="每天一弹，开启后用户每天首次进入直播页面弹出公众号" >
                        <input type="radio" name="setting[2][auto_pop_type]" value="3" @if($liveBaseConfig[2]['setting']['auto_pop_type']==3) checked @endif title="每次弹出，开启后用户每次进入直播页面弹出公众号" >
                    </div>
                </div>
            </div>
        </div>
        <div class="tip service_item code code_type_2" @if($liveBaseConfig[2]['setting']['code_type']!=2) style="display: none;" @endif>
            <p style="display: inline-block;"><b>客服二维码</b></p>
            <div class="formControls" style="display: inline-block;vertical-align: top;width: 85%;">
                @php echo wg_tpl_form_field_image('setting[2][service_code]',$liveBaseConfig[2]['setting']['service_code']); @endphp
                <p style="margin-top: 5px;">建议尺寸为200*200或1：1，支持jpg、png格式</p>
            </div>
        </div>
        <div class="tip service_item code code_type_2" @if($liveBaseConfig[2]['setting']['code_type']!=2) style="display: none;" @endif>
            <p style="float: left;"><b>联系方式</b></p>
            <div class="formControls skin-minimal input_box">
                <input name="setting[2][service_contact]" type="text" class="layui-input" value="{{$liveBaseConfig[2]['setting']['service_contact']}}" placeholder="请输入客服的联系方式" style="width: 300px;">
            </div>
        </div>
    </div>
    <div class="params_con" style="margin-top: 10px;">
        <div class="tip" style="padding: 20px 41px 20px 0px;">
            <b>强制关注公众号</b>直播间必须绑定已认证的服务号，用户关注后才能观看直播<span class="red">（此功能存在一定风险,请谨慎使用）</span>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[2][force_follow]" lay-skin="switch" lay-filter="force_follow"
                    value="1" @if($liveBaseConfig[2]['setting']['force_follow']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="params_part">
    <h5>互动区</h5>
    <div class="params_con" style="padding: 0 20px;">
        <div class="tip">
            <p><b>打赏</b>互动区支持打赏主播/点击发言用户的头像进行打赏</p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[3][reward_open]" lay-skin="switch" lay-filter="reward_open"
                           value="1" @if($liveBaseConfig[3]['setting']['reward_open']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
        <div class="tip" style="">
            <p><b>邀请卡</b>支持分享邀请卡，有利于直播推广<span style="display:none">；关闭邀请后，图片也不能进行分享</span></p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[3][inivation_open]" lay-skin="switch" lay-filter="inivation_open"
                           value="1" @if($liveBaseConfig[3]['setting']['inivation_open']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="params_part">
    <h5>隐私设置</h5>
    <div class="params_con">
        {{--<div class="tip free_watch" style="display:none">--}}
            {{--<p><b>免费试看</b>开启免费试看功能，用户免费试看指定时间的直播内容</p>--}}
            {{--<div class="formControls switch skin-minimal">--}}
                {{--<div class="check-box">--}}
                    {{--<input type="checkbox" name="setting[reward_open]" lay-skin="switch" lay-filter="reward_open"--}}
                           {{--value="1">--}}
                {{--</div>--}}
            {{--</div>--}}
        {{--</div>--}}
        {{--<div class="tip" id="FreeLookMinuteBox" style="display:none">--}}
            {{--<b>免费试看时间</b>--}}
            {{--<div class="formControls" style="display: inline-block;">--}}
                {{--<input type="number" class="input-text" name="setting[FreeLookMinutes]" id="FreeLookMinutes" value="0" min="1" max="30" style="width:188px;">--}}
                {{--<span>以分钟为单位，最多30分钟</span>--}}
            {{--</div>--}}
        {{--</div>--}}
        <div class="tip">
            <p><b>允许分享</b>可以分享直播链接和使用邀请卡功能，利于直播推广</p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[4][can_share]" lay-skin="switch" lay-filter="can_share"
                           value="1" @if($liveBaseConfig[4]['setting']['can_share']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
        <div class="tip">
            <p>
                <b>分享榜</b>
                直播介绍页显示分享榜
            </p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[4][show_share_rank]" lay-skin="switch" lay-filter="show_share_rank"
                           value="1" @if($liveBaseConfig[4]['setting']['show_share_rank']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
        {{--<div class="tip">--}}
            {{--<p><b>私密话题</b>直播间内不显示该话题，只能通过管理员分享的链接访问</p>--}}
            {{--<div class="formControls skin-minimal switch">--}}
                {{--<div class="check-box">--}}
                    {{--<input type="checkbox" name="setting[reward_open]" lay-skin="switch" lay-filter="reward_open"--}}
                           {{--value="1">--}}
                    {{--<label for="checkbox-1">&nbsp;</label>--}}
                {{--</div>--}}
            {{--</div>--}}
        {{--</div>--}}
        {{--<div class="tip" style="">--}}
            {{--<p><b>商业模式</b>视频区隐藏首页入口；品牌引导页没有入口跳转至首页和我的</p>--}}
            {{--<div class="formControls skin-minimal switch">--}}
                {{--<div class="check-box">--}}
                    {{--<input type="checkbox" name="setting[reward_open]" lay-skin="switch" lay-filter="reward_open"--}}
                           {{--value="1">--}}
                    {{--<label for="checkbox-1">&nbsp;</label>--}}
                {{--</div>--}}
            {{--</div>--}}
        {{--</div>--}}
    </div>
</div>


<div class="params_part">
    <h5>其他设置</h5>
    <div class="params_con" style="padding: 0 20px;">
        <div class="tip relation">
            <p><b>直播页的首页跳转链接</b>默认跳转直播间首页，可自定义</p>
            <div class="formControls skin-minimal input_box" style="position: absolute;width: 48%;right: 0px;top: 10px;">
                <input name="setting[500][live_index_url]" type="text" class="layui-input" value="{{$liveBaseConfig[500]['setting']['live_index_url']}}" placeholder="请输入返回路径" >
            </div>
        </div>

        <div class="tip relation">
            <p><b>话题排序</b>数字越大，在直播间排序越靠前</p>
            <div class="formControls skin-minimal input_box" style="position: absolute;top: 10px;right: 0px;">
                <input name="setting[500][sort]" type="text" class="layui-input" value="{{$liveBaseConfig[500]['setting']['sort']}}" placeholder="数字越大,排序越靠前">
            </div>
        </div>
        <div class="tip" style="">
            <p><b>上传用户信息显示</b>关闭后图片详情不显示上传用户信息</p>
            <div class="formControls skin-minimal switch">
                <div class="check-box">
                    <input type="checkbox" name="setting[500][show_userinfo]" lay-skin="switch" lay-filter="show_share_rank"
                           value="1" @if($liveBaseConfig[500]['setting']['show_userinfo']==1) checked @endif>
                    <label for="checkbox-1">&nbsp;</label>
                </div>
            </div>
        </div>
    </div>
</div>