@extends('live::layouts.master')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入用户ID" class="layui-input" value="{{\Request::input('title')}}">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" >搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                    @endsection
                    @include('live::common.toolbar', ['pager' => $users])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>用户ID</th>
                            <th style="width: 200px;">头像</th>
                            <th>昵称</th>
                            <th>真实姓名</th>
                            <th>手机号码</th>
                            <th>关注时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <th>{{$user->uid}}</th>
                                <th>
                                    <img src="{{wgTomedia($user->user->avatar)}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;">
                                </th>
                                <th>{{$user->user->nickname}}</th>
                                <th>{{$user->user->realname}}</th>
                                <th>{{$user->user->mobile}}</th>
                                <th>{{$user->created_at}}</th>
                                <th>
                                    <a href="javascript:;" data-url="{{ShimmerLiveshopRoute('livefollow.unfollow',[$user->id])}}" class="btn ajax-confirm delete btn-danger">
                                        移除
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $users])
                </div>
            </div>
        </div>
    </div>
@endsection