@extends('live::layouts.master')
@section('title')
    话题操作面板
@endsection
@push('stylesheets')
    <link href="{{ URL::asset('/static/modules/live/css/panel.css')}}" rel="stylesheet">
@endpush
@section('content')
    <div class="row">
        <div class="col-sm-12" style="min-height:600px">
            <div class="list">
                <div class="topic">
                    <ul>
                        @foreach($plugins as $plugin)
                        <li>
                            <a href="{{$plugin['route']}}" title="{{$plugin['name']}}">
                                <div class="img">
                                    <img src="{{ URL::asset($plugin['icon'])}}">
                                    <p>{{$plugin['name']}}</p>
                                </div>
                            </a>
                        </li>
                        @endforeach
                    </ul>
                </div>
                {{--<div class="shuju" style="border:1px solid #e5e5e5;border-left:0;border-right:0">--}}
                    {{--<strong>数据分析</strong>--}}
                {{--</div>--}}
                {{--<div class="topic">--}}
                    {{--<ul>--}}
                        {{--<li style="display:block">--}}
                            {{--<a href="#" title="话题红包管理">--}}
                                {{--<div class="img">--}}
                                    {{--<img src="{{ URL::asset('/static/web/img/付费.png')}}">--}}
                                    {{--<p>红包管理</p>--}}
                                {{--</div>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<li>--}}

                            {{--<a href="#" title="话题数据分析">--}}
                                {{--<div class="img">--}}
                                    {{--<img src="{{ URL::asset('/static/web/img/数据.png')}}">--}}
                                    {{--<p>数据分析</p>--}}
                                {{--</div>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<li>--}}

                            {{--<a href="#" title="用户数据">--}}
                                {{--<div class="img">--}}
                                    {{--<img src="{{ URL::asset('/static/web/img/仪器.png')}}">--}}
                                    {{--<p>用户统计</p>--}}
                                {{--</div>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<li>--}}
                            {{--<a href="#" title="流量明细">--}}
                                {{--<div class="img">--}}
                                    {{--<img src="{{ URL::asset('/static/web/img/火苗.png')}}">--}}
                                    {{--<p>流量明细</p>--}}
                                {{--</div>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<li style="display:block">--}}
                            {{--<a href="#" title="用户数据">--}}
                                {{--<div class="img">--}}
                                    {{--<img src="{{ URL::asset('/static/web/img/知识.png')}}">--}}
                                    {{--<p>榜单数据</p>--}}
                                {{--</div>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<li>--}}
                            {{--<a href="#" title="收益明细">--}}
                                {{--<div class="img">--}}
                                    {{--<img src="{{ URL::asset('/static/web/img/钱包 (2).png')}}">--}}
                                    {{--<p>收益明细</p>--}}
                                {{--</div>--}}
                            {{--</a>--}}
                        {{--</li>--}}

                    {{--</ul>--}}
                {{--</div>--}}

            </div>
        </div>
    </div>
@endsection