@extends('live::layouts.layouts')
@section('title')
    话题操作面板
@endsection
@push('stylesheets')
    <link href="{{ URL::asset('/static/modules/live/css/panel.css')}}" rel="stylesheet">
@endpush
@section('content')
    <link rel="stylesheet" href="{{ URL::asset('/static/web/css/aliplayer-min.css')}}" />
    <script type="text/javascript" charset="utf-8" src="{{ URL::asset('/static/web/js/aliplayer-min.js')}}"></script>
    <div id="" class="layui-layer-content" style="width: 100%;">
        <div class="layui-tab-content" style="padding:0;">
            <div class="layui-tab-item layui-show" style="text-align: center;">
                <div class="prism-player" id="player-con"></div>
                <script>
                    var player = new Aliplayer({
                            "id": "player-con",
                            "source": "{{$url}}",
                            "width": "100%",
                            "height": "500px",
                            "autoplay": true,
                            "isLive": false,
                            "rePlay": false,
                            "playsinline": true,
                            "preload": true,
                            "controlBarVisibility": "hover",
                            "useH5Prism": true
                        }, function (player) {
                            console.log("The player is created");
                        }
                    );
                </script>
            </div>
        </div>
    </div>
@endsection