<style>
    .height38{
        height: 38px;
        line-height: 38px;
        font-size: 16px;
    }
    .width179{
        border: 1px #e6e6e6 solid;
        width: 170px;
        text-align: center;
    }
</style>
<div class="layui-form-item">
    <label class="layui-form-label" style="width: 100px;">使用者名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" required  lay-verify="required" placeholder="请输入使用者名称" value="{{$model->name}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label" style="width: 100px;">联系方式</label>
    <div class="layui-input-block">
        <input type="text" name="mobile" required  lay-verify="required" placeholder="请输入联系方式" value="{{$model->mobile}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label" style="width: 100px;">角色</label>
    <div class="layui-input-block">
        <select name="role_id" lay-verify="required" lay-filter="role_type">
            <option value="0">直接选择或搜索选择</option>
            @foreach($role as $key=>$val)
                <option value="{{$key}}" data-type="{{$val['type']}}" @if($model->role_id==$key) selected @endif>{{$val['name']}}</option>
            @endforeach
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label" style="width: 100px;">管理的内容</label>
    <div class="layui-input-block">
        <input type="hidden" name="relation_type" id="relation_type" value="{{$model->relation_type}}">
        <input type="hidden" name="relation_id" id="relation_id" value="{{$model->relation_id}}">
        <div class="height38 role_type type_0" @if($model->relation_type!=0) style="display: none;" @endif>该角色允许管理直播间所有内容</div>
        <div class="height38 role_type width179 type_1 ajax_load" data-url="{{wgRoute('livelive.get_open_lives')}}" data-width="1000px" id="live_name" @if($model->relation_type!=1) style="display: none;" @endif>
            {{$model->content}}
        </div>
        <div class="height38 role_type width179 type_2 getChannels ajax_load" id="channel_name" data-url="{{wgRoute('livechannel.get_all_channels')}}" data-width="1000px" @if($model->relation_type!=2) style="display: none;" @endif>
            {{$model->content}}
        </div>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label" style="width: 100px;">状态显示</label>
    <div class="layui-input-block">
        <input type="radio" name="status" value="1" @if($model->status==1) checked @endif title="显示" >
        <input type="radio" name="status" value="0" @if($model->status==0) checked @endif title="隐藏" >
    </div>
</div>
@section('script')
    <script>
        var role = <?php echo json_encode($role);?>;
        layui.use(['form','laydate','element'], function(){
            var form = layui.form;
            form.on('select(role_type)',function (data) {
                var index = data.value;
                $('#relation_type').val(role[index].type);
                $('.role_type').hide();
                $('.type_'+role[index].type).show();
            });
        })
    </script>
@endsection