@extends('live::layouts.master')
@section('page_title')
    编辑实名认证
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('live.member.certification.update',['id'=>$model->id])}}" method="post">
                        {{csrf_field()}}
                        <input type="hidden" name="_method" value="put">

                        <div class="layui-form-item">
                            <label class="layui-form-label">真实姓名</label>
                            <div class="layui-input-block">
                                <input type="text" name="realname" placeholder="请输入真实姓名" value="{{$model->realname}}" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">身份证号</label>
                            <div class="layui-input-block">
                                <input type="text" name="idcard" placeholder="请输入身份号" value="{{$model->idcard}}" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">身份证正面照</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('idcard_front_photo',$model->idcard_front_photo); @endphp
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">身份证背面照</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('idcard_behind_photo',$model->idcard_behind_photo); @endphp
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <div class="layui-input-block">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection