@extends('live::layouts.master')
@section('page_title',$pageTitle)

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <form class="layui-form form-horizontal" id="ajaxform"
                  action="{{wgRoute('livesetting.pageSave',['page'=>$page])}}" method="post"
                  enctype="multipart/form-data">
                <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>">
                <div class="tabs-container">
                    <ul class="nav nav-tabs" role="tablist">
                        @foreach($configPages as $pageItem =>$name)
                            <li>
                                <a class="nav-link {{$pageItem == $page ? 'active' : ''}}"
                                   href="{{wgRoute('livesetting.page',['page'=>$pageItem])}}">{{$name}}</a>
                            </li>
                        @endforeach
                    </ul>
                    <div class="tab-content">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="ibox ">
                                        <div class="ibox-content">
                                            @include('live::setting.page.'.$page)
                                            <div class="form-group row">
                                                <div class="offset-sm-2 col-sm-4">
                                                    <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存更改
                                                    </button>
                                                    <button class="btn btn-white" type="reset">取消</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection