@extends('live::layouts.master')
@section('page_title',$pageTitle)

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form id="ajaxform" action="{{wgRoute('liveshare.update',['live_id'=>$liveId])}}" method="post" >
                        {{csrf_field()}}
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">分享封面</label>
                            <div class="col-sm-10">
                                @php echo wg_tpl_form_field_image('cover',$share['cover']); @endphp
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">分享标题</label>
                            <div class="col-sm-10">
                                <input type="text" name="title" class="form-control" value="{{$share->title}}" placeholder="请输入分享标题">
                                <span class="form-text m-b-none">含标点符号，少于30个汉字</span>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">分享描述</label>
                            <div class="col-sm-10">
                                <textarea name="content" placeholder="请输入分享描述" class="layui-textarea">{{$share->content}}</textarea>
                                <span class="form-text m-b-none">最多不超过38个字</span>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group row">
                            <div class="offset-sm-2 col-sm-4">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit" >保存更改
                                </button>
                                <button class="btn btn-white" type="reset">取消</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection