<style>
    .layui-form-radio {
        margin: 0px;
    }
</style>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>优惠券类型</label>
    <div class="layui-input-block">
        <select name="type" lay-verify="required" lay-search="">
            <option value="0">请选择优惠券类型</option>
            @foreach($formData['type'] as $key=>$val)
                <option value="{{$key}}" @if($model->type==$key) selected @endif>{{$val}}</option>
            @endforeach
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>优惠券名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" placeholder="请输入优惠券名称" value="{{$model->name}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>生成数量</label>
    <div class="layui-input-block">
        <input type="text" name="num" placeholder="生成数量" value="{{$model->num}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color:red;">*</span>优惠方式</label>
    <div class="layui-input-block">
        <input type="radio" id="discount_type" lay-filter="discount_type"  name="discount_type" title="优惠金额" value="1" @if(!$model || $model->discount_type==1) checked @endif
               style="margin:0"/>
        <input type="text" id="discount_price" name="discount_price" v-model="model.CouponMoney" lay-verify="number"
               style="width:20%;display:inline-block" placeholder="优惠金额" autocomplete="off" class="layui-input" value="{{$model->discount_price}}">
        <span style="padding-left:10px">&nbsp;</span>
        <input type="radio" id="rdDisCount" lay-filter="discount_type" name="discount_type" title="折扣" value="2" @if($model->discount_type==2) checked @endif/>
        <input type="text" id="discount_radio" name="discount_radio" v-model="model.DisCount" lay-verify="number" value="{{$model->discount_radio}}"
               style="width:20%;display:inline-block" placeholder="折扣比例 1~9折 只保留一位小数" max="9" autocomplete="off"
               class="layui-input">
        <span onmouseover="layer.tips('设置优惠方式 折扣比例 1~9折 只保留一位小数',this)">
                    <img src="{{ URL::asset('/static/web/img/icon017.png')}}" style="width: 23px"/>
                </span>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>使用门槛</label>
    <div class="layui-input-block">
        <input style="width:50%;display:inline-block" type="text" name="threshold" placeholder="满多少元才可使用 0为不限制"
               value="{{$model->threshold}}" class="layui-input">
        <span onmouseover="layer.tips('满多少元才可使用 0则表示没有门槛限制(请谨慎设置无门槛优惠券，避免资金损失)',this)">
                    <img src="{{ URL::asset('/static/web/img/icon017.png')}}" style="width: 23px"/>
                </span>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color:red;">*</span>有效期</label>
    <div class="layui-input-block">
        <input type="radio" id="rdDate" lay-filter="valid_type"  @if(!$model || $model->valid_type==1) checked @endif name="valid_type" title="固定日期" value="1"/>
        <input type="text" id="datetime" value="{{$model->start_date}} - {{$model->end_date}}"
               placeholder="yyyy-mm-dd hh:mm:ss - yyyy-mm-dd hh:mm:ss" autocomplete="off" class="layui-input" name="datetime"
               style="width:30%;display:inline-block">

        <div style="margin-top:1.7rem;">
            <input type="radio"  @if($model->valid_type==2) checked @endif  id="rdDays" lay-filter="valid_type" name="valid_type" title="领到券当日开始" value="2"/>
            <input type="text" id="valid_day" name="valid_day"
                   style="width:30%;display:inline-block" placeholder="领到券当日开始N(N小于1000000)天内有效"
                   onkeyup="this.value=this.value.replace(/[^0-9]/g,'')" autocomplete="off" class="layui-input" value="{{$model->valid_day}}">
            <span style="line-height:3rem;margin-left:0.8rem;">天内有效</span>
            <span onmouseover="layer.tips('选择有效期方式 固定开始结束日期，或者自领到券当日开始N天内有效',this)">
                        <img src="{{ URL::asset('/static/web/img/icon017.png')}}" style="width: 23px"/>
                    </span>
        </div>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>限领数量</label>
    <div class="layui-input-block">
        <input style="width:50%;display:inline-block" type="text" name="limit_count" placeholder="限领数量"
               value="{{$model->limit_count}}" class="layui-input">
        <span onmouseover="layer.tips('用户最多领取数量，0则表示不限制',this)">
                    <img src="{{ URL::asset('/static/web/img/icon017.png')}}" style="width: 23px"/>
                </span>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>使用说明</label>
    <div class="layui-input-block">
        @php echo tpl_ueditor('description',$model->description); @endphp
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>显示入口
    </label>
    <div class="layui-input-block">
        <input type="checkbox" id="is_show_entrance" lay-filter="filter" name="is_show_entrance"  @if(!$model || $model->is_show_entrance==1) checked @endif  title="开启后，该优惠券会显示在店铺首页" value="1"/>
    </div>
</div>
@section('script')
    <script type="text/javascript">
        //layui加载form模块
        layui.use(['form', "laydate"], function () {
            laydate = layui.laydate;
            var form = layui.form;
            laydate.render({
                elem: '#datetime',
                type: "datetime",
                range: true,
                done: function (value, startTime, endTime) {
                    // if (value.length > 19) {
                    //     app.model.BeginDate = value.substr(0, 19);
                    //     app.model.ValidDate = value.substr(22, 19);
                    // }
                }
            });

            //自定义验证
            form.verify({
                money: [/^\d*(\.\d{1,2})?$/, '优惠券金额只能是最多带两位小数的数字'],
                phoneNumber: [/^1[34578]\d{9}$/, '手机号码格式不正确'],
                CouponCount: function (value, item) {
                    if (value < 1 || value > 500) {
                        return '生成数量只能是1-500';
                    }
                },
                radCheck: function (value, item) {

                }
            });

            form.on('radio(checkedAmount)', function (data) {
                $("#txtAmount").attr("disabled", false);
                $("#txtDisCount").attr("disabled", true);
            })

            form.on('radio(checkedDisCount)', function (data) {
                $("#txtAmount").attr("disabled", true);
                $("#txtDisCount").attr("disabled", false);
            })

            form.on('radio(checkedDate)', function (data) {
                $("#datetime").attr("disabled", false);
                $("#txtValidDays").attr("disabled", true);
            })

            form.on('radio(checkedDays)', function (data) {
                $("#datetime").attr("disabled", true);
                $("#txtValidDays").attr("disabled", false);
            })

            form.on('select(CouponType)', function (data) {
                if ($("#type").val() == 4) {
                    $(".productlist").hide();
                    app.model.Type = 4;
                }
                else {
                    $(".productlist").show();
                    app.model.Type = 5;
                }
            });

            //提交表单
            form.on('submit(coupon)', function (data) {
                //var loadId = layui.layer.load(2);
                //app.model.Type=$("#type").val();
                if (app.model.CouponName == "" || app.model.CouponName == null) {
                    layer.msg("请输入优惠券名称");
                    return false;
                }
                if (app.model.RenderNum == "" || app.model.RenderNum == null || app.model.RenderNum == 0) {
                    layer.msg("请输入生成数量");
                    return false;
                }
                if (app.model.RenderNum > 500) {
                    layer.msg("生成数量不能大于500");
                    return false;
                }
                if (app.model.Type == 0 || app.model.Type == null) {
                    layer.msg("请选择优惠券类型");
                    return false;
                }

                if (!$("#rdAmount").is(':checked') && !$("#rdDisCount").is(':checked')) {
                    layer.msg("请选择优惠方式");
                    return false;
                }

                if ($("#rdAmount").is(':checked')) {
                    if ($("#txtAmount").val() == 0) {
                        layer.msg("请输入优惠金额");
                        return false;
                    }
                    if (parseFloat($("#txtAmount").val()) >= app.model.LimitAmount && app.model.LimitAmount > 0) {
                        layer.msg("优惠金额不得高于或等于使用门槛");
                        return false;
                    }
                    var amounttstr = $("#txtAmount").val().split('.');
                    if (amounttstr.length == 2 && amounttstr[1].length > 2) {
                        layer.msg("优惠金额只能保留两位小数");
                        return false;
                    }
                    app.model.CouponMoney = $("#txtAmount").val();
                    app.model.DisCount = 0;
                }
                else if ($("#rdDisCount").is(':checked')) {
                    if ($("#txtDisCount").val() == 0) {
                        layer.msg("请输入折扣比例");
                        return false;
                    }
                    if ($("#txtDisCount").val() >= 10) {
                        layer.msg("折扣比例不得大于等于10");
                        return false;
                    }
                    var discountstr = $("#txtDisCount").val().split('.');
                    if (discountstr.length == 2 && discountstr[1].length > 1) {
                        layer.msg("折扣比例只能保留一位小数");
                        return false;
                    }
                    app.model.DisCount = $("#txtDisCount").val();
                    app.model.CouponMoney = 0;
                }


                if (!$("#rdDate").is(':checked') && !$("#rdDays").is(':checked')) {
                    layer.msg("请选择有效期");
                    return false;
                }

                if ($("#rdDays").is(':checked')) {
                    if ($("#txtValidDays").val() == 0) {
                        layer.msg("请输入有效天数");
                        return false;
                    }
                    app.model.ValidDays = $("#txtValidDays").val();
                }
                else {
                    app.model.ValidDays = 0;
                }
                if (app.model.Type == 5) {
                    if ($(".productitem").length == 0) {
                        layer.msg("请选择10个以内的商品");
                        return false;
                    }
                    for (var i = 0; i < $(".productitem").length; i++) {
                        app.model.ProductIdList += $($(".productitem")[i]).find("[name='pitem']")[0].id.replace("pid_", '') + ",";
                    }
                }

                if (parseInt(app.model.LimitCount) > parseInt(app.model.RenderNum)) {
                    layer.msg("限领数量不能大于生成数量");
                    return false;
                }

                if ($("#Description").val() == "" || $("#Description").val() == null) {
                    layer.msg("请填写使用说明");
                    return false;
                }
                app.model.ProductIdList = app.model.ProductIdList.substr(0, app.model.ProductIdList.length - 1);
                app.model.IsShowEntrance = $("#rdIsShowEntrance").is(':checked');
                app.model.Description = $("#Description").val();
                app.model.CouponMoney = parseInt((app.model.CouponMoney * 100).toFixed(0));
                app.model.LimitAmount = parseInt((app.model.LimitAmount * 100).toFixed(0));
                app.model.DisCount = parseInt((app.model.DisCount * 100).toFixed(0));
                $.ajax({
                    type: "POST",
                    url: "/nlive/ProductCouponOper?zbId=" + 696463,
                    data: app.model,
                    success: function (dataObj) {
                        layui.layer.msg(dataObj.Msg);
                        if (dataObj.isok) {
                            window.location.href = "/nlive/ProductCouponList?zid=" + 696463;
                        }
                        else {
                            app.model.CouponMoney = app.model.CouponMoney * 0.01;
                            app.model.LimitAmount = app.model.LimitAmount * 0.01;
                            app.model.DisCount = app.model.DisCount * 0.01;
                        }
                    },
                    error: function () {
                        layui.layer.close(loadId);
                        layui.layer.msg("操作异常！");
                    }
                });
                return false;
            });
        });
    </script>
@endsection


