@extends('live::layouts.master')
@section('title')
    编辑商品
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div class="tabs-container">
                <ul class="nav nav-tabs" role="tablist">
                    <li><a class="nav-link active" data-toggle="tab" href="#tab-1">基本信息</a></li>
                    <li><a class="nav-link " data-toggle="tab" href="#tab-2">规格参数</a></li>
                    <li><a class="nav-link " data-toggle="tab" href="#tab-3">分销</a></li>
                    <li><a class="nav-link " data-toggle="tab" href="#tab-4">主播提成</a></li>
                    <li><a class="nav-link " data-toggle="tab" href="#tab-5">自购省钱</a></li>
                </ul>
                <form class="layui-form form-horizontal m-t" id="ajaxform"
                      action="{{wgRoute('liveshopgoods.update',['id'=>$model->id])}}" method="post" style="margin-top: 0px">
                    <div class="tab-content">
                        <input type="hidden" name="_method" value="put">
                        {{csrf_field()}}
                        <div role="tabpanel" id="tab-1" class="tab-pane active">
                            <div class="panel-body">
                                @include('live::shop.goods.form')
                                <div class="layui-form-item" style="position: relative;border: 0;left: 0">
                                    <div class="layui-input-block">
                                        <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div role="tabpanel" id="tab-2" class="tab-pane">
                            <div class="panel-body">
                                @include('live::shop.goods.spec')
                                <div class="layui-form-item" style="position: relative;border: 0;left: 0">
                                    <div class="layui-input-block">
                                        <button class="btn btn-primary ajaxsubmit" type="submit" >提交保存</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div role="tabpanel" id="tab-3" class="tab-pane">
                            <div class="panel-body">
                                @include('live::shop.goods.tpl.commission')
                                <div class="layui-form-item" style="position: relative;border: 0;left: 0">
                                    <div class="layui-input-block">
                                        <button class="btn btn-primary ajaxsubmit" type="submit" >提交保存</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div role="tabpanel" id="tab-4" class="tab-pane">
                            <div class="panel-body">
                                @include('live::shop.goods.tpl.anchor-commission')
                                <div class="layui-form-item" style="position: relative;border: 0;left: 0">
                                    <div class="layui-input-block">
                                        <button class="btn btn-primary ajaxsubmit" type="submit" >提交保存</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div role="tabpanel" id="tab-5" class="tab-pane">
                            <div class="panel-body">
                                @include('live::shop.goods.tpl.self-buy-commission')
                                <div class="layui-form-item" style="position: relative;border: 0;left: 0">
                                    <div class="layui-input-block">
                                        <button class="btn btn-primary ajaxsubmit" type="submit" >提交保存</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>

    </script>
@endsection