@push('scripts')
    <script src="{{ URL::asset('/static/web/admin/goods.js')}}"></script>
@endpush
<style>
    .layui-form-radio {
        margin: 0px;
    }

    .layui-form-select dl {
        z-index: 9990;
    }

    .lay-ext-mulitsel .layui-input.multiple a {
        height: auto;
    }
</style>
<input type="hidden" name="buyway" value="{{$buyway}}"/>
<div class="layui-form-item">
    <label class="layui-form-label">购买方式：</label>
    <div class="layui-input-block">
        <a href="{{url()->current()}}?buyway=1" class="btn btn-success {{$buyway==2 ? 'btn-outline' : ''}}">店铺购买</a>
        <a href="{{url()->current()}}?buyway=2" class="btn btn-success {{$buyway!=2 ? 'btn-outline' : ''}}">外链购买</a>
    </div>
</div>

@if($buyway==2)
    @include('live::shop.goods.form_buyway2')
@else
    @include('live::shop.goods.form_buyway1')
@endif

@section('script')
    <script type="text/javascript">
        var categoryData = @php echo json_encode($category); @endphp;
        var selectCategoryData = @php echo json_encode((array)$goodsCategoryIds);@endphp;
        var delSpecItemUrl = "{{wgRoute('liveshopgoods.delSpecItem')}}";
        var delSpecUrl = "{{wgRoute('liveshopgoods.delSpec')}}";
        layui.config({
            base: ''
        }).extend({
            selectN: "{{ URL::asset('/static/web/layui_extends/selectN')}}",
            selectM: "{{ URL::asset('/static/web/layui_extends/selectM')}}",
        }).use(['layer', 'form', 'jquery', 'selectN', 'selectM'], function () {
            $ = layui.jquery;
            var form = layui.form
                , selectM = layui.selectM;

            //多选标签-所有配置
            var tagIns2 = selectM({
                //元素容器【必填】
                elem: '#category_id'
                //候选数据【必填】
                , data: categoryData
                //默认值
                , selected: selectCategoryData
                //最多选中个数，默认5
                , max: 10
                //input的name 不设置与选择器相同(去#.)
                , name: 'category_id'
                //值的分隔符
                , delimiter: ','
                //添加验证
                , verify: 'required'
            });
        });
    </script>
@endsection


