<div class="layui-form-item">
    <label class="layui-form-label">是否开启主播提成</label>
    <div class="layui-input-block">
        <input type="radio" name="extends[anchor_commission][is_commission]" value="1" lay-filter="anchor_commission" title="开启" @if(!$extendsData['anchorCommission'] || $extendsData['anchorCommission']->is_commission==1) checked="" @endif>
        <input type="radio" lay-filter="anchor_commission" name="extends[anchor_commission][is_commission]" value="0" title="关闭" @if($extendsData['anchorCommission'] && $extendsData['anchorCommission']->is_commission==0) checked="" @endif>
    </div>
    <div class="form-text m-b-none help-block">如果不开启，则不产生主播订单提成</div>
</div>

<div class="anchor_commission" @if($extendsData['anchorCommission'] && $extendsData['anchorCommission']->is_commission==0) style="display:none;" @endif>
    <div class="open_anchor_commission">
        @if($extendsData['anchorPayLevel'])
        @foreach($extendsData['anchorPayLevel'] as $key=>$level)
        <div class="layui-form-item">
            <label class="layui-form-label">{{$level->name}}</label>
            <div class="layui-input-block col-sm-5" style="padding-left: 0px;">
                <div class="input-group">
                    <input type="number" name="extends[anchor_commission][rule][{{$level->id}}][first_level_rate]" placeholder="0.00" value="{{$extendsData['anchorCommission']->rule[$level->id]['first_level_rate']}}" class="form-control">
                    <div class="input-group-addon">% 固定</div>
                    <input type="number" name="extends[anchor_commission][rule][{{$level->id}}][first_level_amount]" placeholder="0.00" value="{{$extendsData['anchorCommission']->rule[$level->id]['first_level_amount']}}" class="form-control">
                    <div class="input-group-addon">元</div>
                </div>
            </div>
        </div>
        @endforeach
        @endif
    </div>
</div>


@push('scripts')
    <script type="text/javascript">
        layui.use('form', function () {
            var form = layui.form;
            form.on('radio(anchor_commission)', function (data) {
                var is_open= data.value;
                if(is_open==1){
                    $('.anchor_commission').show();
                }else{
                    $('.anchor_commission').hide();
                }
            });

        });

    </script>
@endpush