
<div class="layui-form-item">
    <label class="layui-form-label">是否开启自购省钱</label>
    <div class="layui-input-block">
        <input type="radio" name="extends[self_buy_commission][is_open]" value="1" lay-filter="self_buy_commission" title="开启" @if($extendsData['selfBuyCommission'] && $extendsData['selfBuyCommission']->is_open==1) checked="" @endif>
        <input type="radio" lay-filter="self_buy_commission" name="extends[self_buy_commission][is_open]" value="0" title="关闭" @if(!$extendsData['selfBuyCommission'] || $extendsData['selfBuyCommission']->is_open==0) checked="" @endif>
    </div>
    {{--<div class="form-text m-b-none help-block">如果不开启，则不产生主播订单提成</div>--}}
</div>

<div class="self_buy_commission" @if($extendsData['selfBuyCommission'] && $extendsData['selfBuyCommission']->is_open==1) style="display: block;" @else style="display: none;" @endif>
    <div class="open_self_buy_commission">
        <div class="layui-form-item">
            <label class="layui-form-label">规则</label>
            <div class="layui-input-block col-sm-5" style="padding-left: 0px;">
                <div class="input-group">
                    <input type="number" name="extends[self_buy_commission][rule][first_level_rate]" placeholder="0.00" value="{{$extendsData['selfBuyCommission']->rule['first_level_rate']}}" class="form-control">
                    <div class="input-group-addon">% 固定</div>
                    <input type="number" name="extends[self_buy_commission][rule][first_level_amount]" placeholder="0.00" value="{{$extendsData['selfBuyCommission']->rule['first_level_amount']}}" class="form-control">
                    <div class="input-group-addon">元</div>
                </div>
            </div>
        </div>
    </div>
</div>


@push('scripts')
    <script type="text/javascript">
        layui.use('form', function () {
            var form = layui.form;
            form.on('radio(self_buy_commission)', function (data) {
                var is_open= data.value;
                if(is_open==1){
                    $('.self_buy_commission').show();
                }else{
                    $('.self_buy_commission').hide();
                }
            });

        });

    </script>
@endpush