@push('stylesheets')
    <link href="{{ URL::asset('/static/web/css/plugins/sweetalert/sweetalert.css')}}?v=33" rel="stylesheet">
@endpush

@if($item->order_status==1)
<div class="btn-group">
    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">操作 </button>
    <ul class="dropdown-menu" data-id="{{$item->id}}">
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.change.form",['oid'=>$item->id])}}" data-width="1000px" data-height="700px"  href="#">修改订单</a></li>
        <li><a class="dropdown-item order_remark" href="#">订单备注</a></li>
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$item->id])}}" data-width="1000px" data-height="700px" href="#">订单记录</a></li>
    </ul>
</div>
@elseif($item->order_status==2)
<button class="btn btn-success load_iframe" data-width="1000px" data-height="700px" data-url="{{wgRoute('liveshoporder.deliver.form',['oid'=>$item->id])}}" type="button"><i class="fa fa-shopping-cart"></i>&nbsp;&nbsp;<span class="bold">去发货</span></button>
<div class="btn-group" >
    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">操作 </button>
    <ul class="dropdown-menu" data-id="{{$item->id}}">
        <li><a class="dropdown-item order_remark" href="#">订单备注</a></li>
        @if($item->pay_price > $item->refund_price)
        <li><a class="dropdown-item load_iframe" data-width="1000px" data-height="700px"  data-url="{{wgRoute('liveshoporder.refund.form',['oid'=>$item->id])}}" href="#">立即退款</a></li>
        @endif
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$item->id])}}" data-width="1000px" data-height="700px" href="#">订单记录</a></li>
    </ul>
</div>
@elseif($item->order_status==3)
<div class="btn-group">
    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">操作 </button>
    <ul class="dropdown-menu" data-id="{{$item->id}}">
        <li><a class="dropdown-item order_remark" href="#">订单备注</a></li>
        @if($item->pay_price > $item->refund_price)
        <li><a class="dropdown-item load_iframe"  data-width="1000px" data-height="700px" data-url="{{wgRoute('liveshoporder.refund.form',['oid'=>$item->id])}}" href="#">立即退款</a></li>
        @endif
        <li><a class="dropdown-item load_iframe" data-width="1000px" data-height="700px" data-url="{{wgRoute('liveshoporder.reject_refund.form',['oid'=>$item->id])}}" href="#">拒绝退款</a></li>
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$item->id])}}" data-width="1000px" data-height="700px" href="#">订单记录</a></li>
    </ul>
</div>
@elseif($item->order_status==4)
<button class="btn btn-success load_iframe" data-width="1000px" data-height="700px"  data-url="{{wgRoute('liveshoporder.deliver.form',['oid'=>$item->id])}}" type="button"><i class="fa fa-shopping-cart"></i>&nbsp;&nbsp;<span class="bold">配送信息</span></button>
<div class="btn-group">
    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">操作 </button>
    <ul class="dropdown-menu" data-id="{{$item->id}}">
        <li><a class="dropdown-item order_remark" href="#">订单备注</a></li>
        <li><a class="dropdown-item ajax-confirm" data-width="1000px" data-height="700px" data-method="post" data-title="确定修改订单状态为已收货吗?" data-url="{{wgRoute('liveshoporder.deliver.received',['oid'=>$item->id])}}" href="#">已收货</a></li>
        @if($item->pay_price > $item->refund_price)
        <li><a class="dropdown-item load_iframe" data-width="1000px" data-height="700px"  data-url="{{wgRoute('liveshoporder.refund.form',['oid'=>$item->id])}}" href="#">立即退款</a></li>
        @endif
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$item->id])}}" data-width="1000px" data-height="700px" href="#">订单记录</a></li>
    </ul>
</div>
@elseif($item->order_status==5 || $item->order_status==6)
<div class="btn-group">
    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">操作 </button>
    <ul class="dropdown-menu" data-id="{{$item->id}}">
        <li><a class="dropdown-item order_remark" href="#">订单备注</a></li>
        @if($item->pay_price > $item->refund_price)
        <li><a class="dropdown-item load_iframe" data-width="1000px" data-height="700px"  data-url="{{wgRoute('liveshoporder.refund.form',['oid'=>$item->id])}}" href="#">立即退款</a></li>
        @endif
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$item->id])}}" data-width="1000px" data-height="700px" href="#">订单记录</a></li>
    </ul>
</div>
@elseif($item->order_status==7)
<div class="btn-group">
    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">操作 </button>
    <ul class="dropdown-menu" data-id="{{$item->id}}">
        <li><a class="dropdown-item order_remark" href="#">订单备注</a></li>
        @if($item->pay_price > $item->refund_price)
            <li><a class="dropdown-item load_iframe" data-width="1000px" data-height="700px"  data-url="{{wgRoute('liveshoporder.refund.form',['oid'=>$item->id])}}" href="#">立即退款</a></li>
        @endif
        <li><a class="dropdown-item load_iframe" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$item->id])}}" data-width="1000px" data-height="700px" href="#">订单记录</a></li>
    </ul>
</div>
@endif

<a href="{{wgRoute('liveshoporder.detail',['oid'=>$item->id])}}" class="btn btn-success" data-url="{{wgRoute("liveshoporder.changelog",['oid'=>$order->id])}}"><i class="fa fa-file-text-o"></i> 订单详情</a>

@section('script')
     <script>
         layui.use(['laydate', 'element'], function () {
             var laydate = layui.laydate, element = layui.element;
             //日期时间选择器
             laydate.render({
                 elem: '.start_time'
                 , type: 'datetime'
             });
             laydate.render({
                 elem: '.end_time'
                 , type: 'datetime'
             });
         });
         require(["{{ URL::asset('/static/web/js/plugins/sweetalert/sweetalert.min.js')}}"], function (swal) {
             layui.use(['laydate', 'element'], function () {
                 $(".order_remark").click(function () {
                     var oid = $(this).parent().parent().data('id');
                     swal({
                         title: '订单备注',
                         input: 'textarea',
                         confirmButtonText: "提交",
                         cancelButtonText: "取消",
                         showCancelButton: true
                     }).then(function(result) {
                         var remark = result.value;
                         if(remark && result.dismiss!='cancel'){
                             var index = layer.load(0);
                             $.ajax({
                                 url: '{{wgRoute("liveshoporder.remark")}}',
                                 type: 'POST',
                                 data: {oid:oid,remark:remark},
                                 dataType: "json",
                                 success: function (result) {
                                     layer.close(index);
                                     if (result.errno || result.errno == 0) {
                                         layer.msg(result.message, {time: 2000, icon: 6});
                                     } else {
                                         layer.msg(result.message, {time: 2000, icon: 5});
                                     }
                                 }
                             });
                         }

                     })
                 })
             });
         })
     </script>
 @endsection