@extends('live::layouts.layouts')
@section('title')
    设置客服信息
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshopservice.update',['id'=>$info->id])}}" method="post">
                        {{csrf_field()}}
                        @include('live::shop.service.form',['parentservices'=>$parentservices])
                        <div class="layui-form-item">
                            <div class="layui-input-block">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            form.on('switch(reward_open)', function(data){
                if(this.checked){
                    $('.type_1_1').show();
                }else{
                    $('.type_1_1').hide();
                }
            });
            form.on('select(type)', function (data) {
                var index =data.value;
                $('.type').hide();
                if (index==1){
                    $('.type_1').show();
                }
                if (index==2){
                    $('.type_2').show();
                }
            });
        });
    </script>
@endsection