@extends('live::layouts.layouts')
@section('title')
    设置店铺信息
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshopshop.update',['id'=>$info->id])}}" method="post">
                        {{csrf_field()}}
                        <div class="layui-form-item">
                            <label class="layui-form-label">微信端店铺入口</label>
                            <div class="layui-input-block">
                                <input type="checkbox" {{ $info->openh5shop ? 'checked' : '' }} lay-filter="config" name="openh5shop" lay-skin="switch" lay-text="开启|关闭"
                                       value="1">
                                <div class="form-text m-b-none"> 开启后，用户可在微信端直播间主页的底部导航看到店铺入口
                                </div>
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">店铺Logo</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('logo',$info->logo); @endphp
                            </div>
                        </div>

                        <div class="layui-form-item">
                            <label class="layui-form-label">店铺名称</label>
                            <div class="layui-input-block">
                                <input type="text" name="name"  lay-verify="required" placeholder="请输入店铺名称" value="{{$info->name}}" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">客服二维码</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('service_qrcode',$info->service_qrcode); @endphp
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">外链地址</label>
                            <div class="layui-input-block">
                                <input type="text" name="third_link"  placeholder="请输入外链地址" value="{{$info->third_link}}" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">店铺电话</label>
                            <div class="layui-input-block">
                                <input type="text" name="phone"   placeholder="请输入店铺电话" value="{{$info->phone}}" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <div class="layui-input-block">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>

    </script>
@endsection