<div class="layui-form-item">
    <label class="layui-form-label">专题类型</label>
    <div class="layui-input-block">
        <select name="type" lay-verify="required" lay-filter="type">
            @foreach($types as $key=>$row)
                <option value="{{$key}}">{{$row}}</option>
            @endforeach
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">专题名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" placeholder="请输入专题名称" value="{{$info->name}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">专题标语</label>
    <div class="layui-input-block">
        <input type="text" name="title" placeholder="请输入专题标语" value="{{$info->title}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">显示样式</label>
    <div class="layui-input-block">
        @foreach($styles as $index=>$style)
            <input type="radio" name="style" value="{{$index}}" title="{{$style}}"
                   @if(!$info || $info->style==$index) checked
                   @endif lay-filter="style">
        @endforeach
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">状态</label>
    <div class="layui-input-block">
        <input type="radio" name="isshow" value="1" title="显示" @if(!$info || $info->isshow==1) checked
               @endif lay-filter="isshow">
        <input type="radio" name="isshow" value="2" title="隐藏" @if($info && $info->isshow==2) checked
               @endif lay-filter="isshow">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input type="number" name="sort" placeholder="请输入排序" value="{{$info->sort}}" class="layui-input">
        <span class="help-block">数字越大,排序越靠前</span>
    </div>
</div>