@extends('live::layouts.layouts')
@section('content')
<div class="col-lg-12">
    <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
        <ul class="layui-tab-title">
            <li @if($showType==1) class="layui-this" @endif>系统页面</li>
            <li @if($showType==2) class="layui-this" @endif>商品页面</li>
            <li @if($showType==3) class="layui-this" @endif>商品分类</li>
            <li @if($showType==4) class="layui-this" @endif>直播间页面</li>
            <li @if($showType==6) class="layui-this" @endif>专题会场</li>
            <li @if($showType==7) class="layui-this" @endif>自定义页面</li>
            <li @if($showType==5) class="layui-this" @endif>自定义链接</li>
        </ul>
        <div class="layui-tab-content">
            @include('live::utils.page_urls.system')
            @include('live::utils.page_urls.goods')
            @include('live::utils.page_urls.goods_category')
            @include('live::utils.page_urls.live')
            @include('live::utils.page_urls.goods_tag')
            @include('live::utils.page_urls.custorm_page')
            @include('live::utils.page_urls.custorm_link')
        </div>
    </div>
</div>
@endsection
@section('script')
    <script>
        layui.use('element', function(){
            var element = layui.element;
            $(".choose-link").click(function () {
                var index = parent.layer.getFrameIndex(window.name);
                $("#{{$callback}}",window.parent.document).val($(this).data('href'));
                //兼容Vue点击
                $("#{{$callback}}",window.parent.document)[0].dispatchEvent(new Event('input'))
                parent.layer.close(index);
            });
        });
        function chooseLink() {
            var index = parent.layer.getFrameIndex(window.name);
            var links =$("#links").val();
            if(!links){
                return ;
            }
            $("#{{$callback}}",window.parent.document).val(links);
            parent.layer.close(index);
        }
    </script>
@endsection