@extends('live::layouts.layouts')
@section('content')
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-content">
                <form class="layui-form form-horizontal" id="ajaxform">
                    @foreach($data as $fieldData)
                        @if($fieldData['data_type']==8 || $fieldData['data_type']==12)
                            <div class="layui-form-item">
                                <label class="layui-form-label">{{$fieldData['tp_name']}}：</label>
                                <div class="layui-form-label">
                                    {{$fieldData['min_value']}}
                                    -
                                    {{$fieldData['max_value']}}
                                </div>
                            </div>
                        @elseif($fieldData['data_type']==3)
                            <div class="layui-form-item">
                                <label class="layui-form-label">{{$fieldData['tp_name']}}：</label>
                                <div class="layui-form-label">
                                    @php
                                        echo implode(',',$fieldData['value']);
                                    @endphp
                                </div>
                            </div>
                        @elseif($fieldData['data_type']==5)
                            <div class="layui-form-item">
                                <label class="layui-form-label">{{$fieldData['tp_name']}}：</label>
                                <div class="layui-form-label">
                                    @if(is_array($fieldData['value']) && !empty($fieldData['value']))
                                        @foreach($fieldData['value'] as $item)
                                            <a href="javascript:;">
                                                <img src="{{$item['url']}}" class="img_pop_show img-sm">
                                            </a>
                                        @endforeach
                                    @endif
                                </div>
                            </div>
                        @else
                            <div class="layui-form-item">
                                <label class="layui-form-label">{{$fieldData['tp_name']}}：</label>
                                <div class="layui-form-label">
                                    {{$fieldData['value']}}
                                </div>
                            </div>
                        @endif
                    @endforeach

                </form>
            </div>
        </div>
    </div>
@endsection