<div class="custorm--modelbox notice-edit" v-if="currentType=='float_btn'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    浮动按钮
                </div>
            </div>
        </div>
    </div>

    <div class="es-form-item" style="margin-top: -20px;">
        <div class="form-label">
            添加按钮
        </div>
        <span>建议图片宽度，高度1:1，支持jpg、png。(此处样式仅供展示参考)</span>
        <div style="padding-top: 10px;">
            <draggable v-model="content.items[currentIndex].items">
                <div class="item drag" v-for="(item,itemIndex) in content.items[currentIndex].items">
                    <span class="btn-del" title="删除" @click="delSubTool('float_btn','items',itemIndex)"></span>
                    <i class="el-icon-circle-close-outline delete-child"></i>
                    <div class="item-inner">
                        <span class="labeltext">图片</span>
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('items',itemIndex,'image')" class="uploadSource solid"
                                 style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+item.image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-if="item.image">
                                </div>
                                <div class="img"
                                     :style="{'background-image': 'url({{ URL::asset('/static/web/admin/diypage/nopic.png')}})', 'width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-else>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">文字</span>
                        <el-input v-model="item.text" size="medium" placeholder="请输入主标题"></el-input>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">链接</span>
                        <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"
                               data-url="{{wgRoute('liveutilsuser.get-page-urls')}}" placeholder="请选择链接地址"
                               v-model="item.link" :data-id="'float_btn_'+itemIndex" :id="'float_btn_'+itemIndex"
                               readonly="">
                    </div>
                </div>
            </draggable>
            <div class="goodscol-add" @click="addSubTool('float_btn','items')">
                <i class="el-icon-plus"></i>
                添加
            </div>
        </div>
    </div>

</div>