@extends('live::layouts.master')
@section('title')
    菜单管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('votevoteuser.update',[\Request::route('vote_id'),$model->id])}}" method="post">
                        {{csrf_field()}}
                        <input type="hidden" name="_method" value="put">
                        @include('live::voteuser.form')
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-3">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            form.on('switch(reward_open)', function(data){
                if(this.checked){
                    $('.type_1_1').show();
                }else{
                    $('.type_1_1').hide();
                }
            });
            form.on('select(type)', function (data) {
                var index =data.value;
                $('.type').hide();
                if (index==1){
                    $('.type_1').show();
                }
                if (index==2){
                    $('.type_2').show();
                }
            });
        });
    </script>
@endsection