@extends('live::layouts.layouts')
@section('title')
    设置店铺信息
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="ibox-content">
            <form class="layui-form form-horizontal m-t" id="ajaxform"
                  action="{{wgRoute('livewxapptabbar.update',[$info['id']])}}" method="post">
                {{csrf_field()}}
                <input type="hidden" name="_method" value="PUT">
                <div class="layui-form-item">
                    <label class="layui-form-label">导航名称</label>
                    <div class="layui-input-block">
                        <input type="text" value="{{$info['name']}}" name="name" placeholder="请输入导航名称" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">图标</label>
                    <div class="layui-input-block">
                        @php echo wg_tpl_form_field_image('icon',$info['icon']); @endphp
                        <div class="form-text m-b-none"> （建议尺寸60*60）
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">选中图标</label>
                    <div class="layui-input-block">
                        @php echo wg_tpl_form_field_image('select_icon',$info['select_icon']); @endphp
                        <div class="form-text m-b-none"> （建议尺寸60*60）
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">跳转地址</label>
                    <div class="layui-input-block">
                        <div class="input-group">
                            <input type="text" name="link" value="{{$info['link']}}" class="form-control valid" value="" aria-invalid="false"
                                   placeholder="请填写小程序跳转链接" id="link">
                            <div class="input-group-addon ajax-link"
                                 data-url="{{wgRoute('liveutilsuser.get-page-urls')}}" data-id="link">选择链接
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">排序</label>
                    <div class="layui-input-block">
                        <input type="number" name="sort" value="{{$info['sort']}}" placeholder="请输入排序" class="layui-input">
                        <div class="form-text m-b-none">
                            数值越大越靠前
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">状态</label>
                    <div class="layui-input-block">
                        <input type="radio" name="isshow" value="1" title="显示" @if(!$info || $info['isshow']==1) checked
                               @endif lay-filter="isshow">
                        <input type="radio" name="isshow" value="2" title="隐藏" @if($info && $info['isshow']==2) checked
                               @endif lay-filter="isshow">
                    </div>
                </div>
                <div class="layui-form-item">
                    <div class="layui-input-block">
                        <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form', 'element'], function () {

        });
    </script>
@endsection