<?php
namespace App\Modules\Live\Services;

use App\Modules\Live\Models\ShimmerLiveshop;
use App\Modules\Live\Models\ShimmerLiveshopPlayback;

class LivePlaybackService extends BaseService {

    public function changePlayBacks($data,$live_id){
        $this->cancelCurrent($live_id);
        $pathinfo = pathinfo($data);
        $liveModel = (new ShimmerLiveshop())->loadModel($live_id);
        $model = new ShimmerLiveshopPlayback();
        $model->uniacid =$liveModel->uniacid;
        $model->live_id =$liveModel->id;
        $model->type =2;
        $model->ext =$pathinfo['extension'];
        $model->is_current =1;
        $model->url =tomedia($data);
        $model->save();
        (new LiveService())->changeLiveStatus(3,$live_id);
    }

    //取消当前的回放
    public function cancelCurrent($live_id){
        ShimmerLiveshopPlayback::where('live_id',$live_id)->where('is_current',1)->update(['is_current'=>0]);
    }
}