<?php
namespace App\Modules\Live\Services;
use App\Modules\Live\Models\ShimmerLiveshopSynopsi;

class SynopsisService extends BaseService {
    public $channel_id=0;

    public function save($request,$channel_id){
        $this->channel_id = $channel_id;
        $data = $this->validateScenario($request,ShimmerLiveshopSynopsi::instance(),'store');
        $data['channel_id'] = $this->channel_id;
        $this->saveVideoIntro($data);
        $this->saveChannelIntro($data);
        $this->saveHostIntro($data);
        $this->saveFitIntro($data);
        $this->saveGetIntro($data);
        $this->saveKnowIntro($data);
    }

    public function saveVideoIntro($data){
        if (!$data) return;
        $model = $this->loadModel(1);
        $data['setting'] = $data['setting'][1];
        $model->fill($data);
        $model->type=1;
        $model->save();
    }

    public function saveChannelIntro($data){
        if (!$data) return;
        $model = $this->loadModel(2);
        $data['setting'] = $data['setting'][2];
        $model->fill($data);
        $model->type=2;
        $model->save();
    }

    public function saveHostIntro($data){
        if (!$data) return;
        $model = $this->loadModel(3);
        $data['setting'] = $data['setting'][3];
        $model->fill($data);
        $model->type=3;
        $model->save();
    }

    public function saveFitIntro($data){
        if (!$data) return;
        $model = $this->loadModel(4);
        $data['setting'] = $data['setting'][4];
        $model->fill($data);
        $model->type=4;
        $model->save();
    }

    public function saveGetIntro($data){
        if (!$data) return;
        $model = $this->loadModel(5);
        $data['setting'] = $data['setting'][5];
        $model->fill($data);
        $model->type=5;
        $model->save();
    }


    public function saveKnowIntro($data){
        if (!$data) return;
        $model = $this->loadModel(6);
        $data['setting'] = $data['setting'][6];
        $model->fill($data);
        $model->type=6;
        $model->save();
    }



    public function loadModel($type){
        $model = ShimmerLiveshopSynopsi::where('type',$type)->where('channel_id',$this->channel_id)->first();
        if (!$model){
            $model = new ShimmerLiveshopSynopsi();
        }
        return $model;
    }
}