<?php
namespace App\Modules\Liveapi\Http\Controllers\Test;

use App\Events\CommissionAgent;
use App\Events\CommissionRelation;
use App\Events\OrderPaySuccess;
use App\Models\ShimmerLiveshopUserRelationLog;
use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Modules\Liveapi\Models\ShimmerLiveshopStoreOrder;
use Illuminate\Http\Request;

class CommissionController extends Controller {

    public function order(Request $request){
        //getLastSql();
        if ($request->input('order_id')){
            $order = ShimmerLiveshopStoreOrder::find($request->input('order_id'));
        }
        if ($request->input('order_sn')){
            $order = ShimmerLiveshopStoreOrder::where('order_id',$request->input('order_sn'))->first();
        }
        if (!$order){
            //return;
        }
        //echo "<pre>";
        //print_r($order);exit;
//        event(new OrderTakeed($order));
//        ProcessPodcast::dispatch($order);
        event(new OrderPaySuccess($order, 'product', 'weixin'));
    }

    public function relation(Request $request){
        $logs = ShimmerLiveshopUserRelationLog::get()->toArray();

        $order = ShimmerLiveshopStoreOrder::find(254);
        event(new OrderPaySuccess($order, 'product', 'weixin'));

        event(new CommissionRelation(['uid'=>43]));
    }

    public function agent(Request $request){
        event(new CommissionAgent(['uid'=>19]));
    }

    public function anchorSettle(){
        $order = ShimmerLiveshopStoreOrder::find(186);
        event(new OrderPaySuccess($order, 'product', 'weixin'));
    }

    public function giftSettle(){
        $order = ShimmerLiveshopStoreOrder::find(420);
        event(new OrderPaySuccess($order, 'product', 'weixin'));
    }
}