<?php
namespace App\Modules\Liveapi\Http\Controllers\Test;

use App\Events\CommissionAgent;
use App\Events\CommissionOrder;
use App\Events\CommissionRelation;
use App\Events\Test;
use App\Jobs\ProcessPodcast;
use App\Models\ShimmerLiveshopUser;
use App\Models\ShimmerLiveshopUserToken;
use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Services\ConfigService;
use Illuminate\Http\Request;

class GoeasyController extends Controller {

    public function sendmsg(Request $request){
        $config = ConfigService::getValueByType(3);
        if ($config['type_value']==2){
            $url = 'https://rest-hangzhou.goeasy.io/publish';
            $post_data = array(
                "appkey"=>$config['common_key'],
                "channel"=>51,
                "content"=>json_encode([
                    'content'=>'你好。我是服务端消息推送',
                    'nickname'=>'服务端',
                    'channel'=>'51',
                    'user_id'=>'51',
                    'content_type'=>'1',
                ])
            );
            $res = ihttp_post($url,$post_data,array(
                'CURLOPT_HTTPHEADER' => array("Content-type:application/x-www-form-urlencoded"),
                'CURLOPT_CUSTOMREQUEST' => 'POST'
            ));
            $res = json_decode($res['content'],true);
            echo "<pre>";
            print_r($res);
        }
    }
}