<?php
/**
 * Service基类
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/25
 * Time: 下午12:07
 */

namespace App\Modules\Liveapi\Services;

use App\Models\ShimmerLiveshopUserAddress;

class AddressService extends BaseService
{
    public function setDefalutAddress($id)
    {
        $uid = Request()->userInfo['id'];
        $model = ShimmerLiveshopUserAddress::find($id);
        if (!$model) {
            $model = ShimmerLiveshopUserAddress::orderBy('id', 'desc')->first();
        }

        if ($model) {
            ShimmerLiveshopUserAddress::where('uid', $uid)->update(['is_default' => 0]);
            ShimmerLiveshopUserAddress::where('id', $model->id)->update(['is_default' => 1]);
        }
    }

    /**
     * 获取用户收货地址
     * @param $uid
     */
    public static function getUserDefaultAddress($uid)
    {
        $result = [];

        $address = ShimmerLiveshopUserAddress::getUserDefaultAddress($uid);

        if ($address) {

        }

        return $address;
    }

    /**
     * 通过id获取用户收货地址
     * @param $id
     * @param $uid
     */
    public static function getUserAddressById($id, $uid)
    {
        return ShimmerLiveshopUserAddress::where('id', $id)
            ->where('uid', $uid)->first();
    }
}