<?php
namespace App\Modules\Liveapi\Services\Live;

use App\Common\Ali\CreateLiveServices;
use App\Models\ShimmerLiveshopAnchorApply;
use App\Models\ShimmerLiveshopCertification;
use App\Models\ShimmerLiveshopFollow;
use App\Models\ShimmerLiveshopLive;
use App\Models\ShimmerLiveshopLiveViewer;
use App\Models\ShimmerLiveshopUser;
use App\Modules\Liveapi\Models\ShimmerLiveshopConfig;
use App\Modules\Liveapi\Services\BaseService;
use App\Services\ConfigService;
use App\Services\DiyFormService;

class FollowService extends BaseService {

    /**
     * @return int
     * 关注数
     */
    public static function getFollowNums($uid){

        if ($uid){
            return (int)ShimmerLiveshopUser::where('id',$uid)->value('follower_num');
        }else{
            return (int)ShimmerLiveshopFollow::where('target_uid',0)->count();
        }
    }
}