<?php
namespace App\Modules\Liveapi\Services;

use App\Modules\Liveapi\Models\ShimmerLiveshopVideo;

class VideoService extends BaseService {

    public static function getAll(){
        $videos = ShimmerLiveshopVideo::where('isshow',1)->select('id','cover','created_at','num','title')->orderBy('sort','desc')->paginate(5);
        $videos = self::DataToText($videos);
        return $videos;
    }

    public static function DataToText($videos){
        foreach ($videos as &$video){
            $video = self::getText($video);
        }
        return $videos;
    }

    public static function getText($video){
        if ($video->cover){
            $video->cover = wgTomedia($video->cover);
        }
        return $video;
    }
}