<?php

/**
 * 微擎相关服务
 */

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Filesystem\Filesystem;
use Illuminate\Support\Facades\View;

class We7ServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        error_reporting(E_ALL ^ E_NOTICE);

        $this->requireLib();
    }

    /**
     * 引入微擎文件
     */
    public function requireLib()
    {
        $file = $this->app->make(Filesystem::class);
        $path = app_path('Common/we7');

        $helpers = $file->glob($path . '/*.php');

        foreach ($helpers as $helper) {
            require_once $helper;
        }
    }


}
