<?php

/**
 * 直播间评论服务
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/18
 * Time: 下午5:35
 */

namespace App\Service;

use App\Services\BaseService;

class CommentService extends BaseService
{
    /**
     * 直播间评论审核
     * @param $id
     * @param $checked
     */
    public static function doCheck($id, $checked)
    {
        if (!$id) {
            throw new \App\Exceptions\ParamErrorException('评论id不能为空');
        }

        if (is_array($id)) {
            $result = \App\Models\ShimmerLiveshopComment::whereIn('id', $id)
                ->update(['checked' => $checked]);
        } else {
            $result = \App\Models\ShimmerLiveshopComment::where('id', $id)
                ->update(['checked' => $checked]);
        }

        return $result;
    }
}