<?php

/**
 * 商品
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/9/09
 * Time: 下午6:07
 */

namespace App\Services;


use App\Models\ShimmerLiveshopGoods;
use App\Models\ShimmerLiveshopGoodsCategoryXref;

class GoodsService extends BaseService
{
    /**
     * 修改商品上下架状态
     * @param $id
     * @param $state
     */
    public static function changeState($id, $state)
    {
        return ShimmerLiveshopGoods::changeState($id, $state);
    }

    /**
     * 批量更新商品分类
     * @param $goods
     * @param $categoryIds
     */
    public static function saveCategorys($goods, $categoryIds)
    {
        $goodsCategoryIds = $goods->getCategoryIds();

        $addIds = array_diff($categoryIds, $goodsCategoryIds);
        $delIds = array_diff($goodsCategoryIds, $categoryIds);

        if ($delIds) {
            ShimmerLiveshopGoodsCategoryXref::where('goods_id', $goods->id)->whereIn('category_id', $delIds)->delete();
        }
        if ($addIds) {
            foreach ($addIds as $addId) {
                $model = new ShimmerLiveshopGoodsCategoryXref();
                $data = [
                    'uniacid' => AppService::$uniacid,
                    'goods_id' => $goods->id,
                    'category_id' => $addId,
                ];
                $model->fill($data)->save();
            }
        }
    }
}