<?php

namespace App\Services\User;
use App\Models\ShimmerLiveshopUserRelation;
use App\Services\BaseService;

class UserRelationService extends BaseService
{
    /**
     * @param $uid
     * @return array
     * 获取上级id（三级分销）
     */
    public static function getUserParents($uid){
        $data = [];
        $data['parent'] = ShimmerLiveshopUserRelation::where('uid',$uid)->value('parent_uid');
        $data['grandpa_uid'] = ShimmerLiveshopUserRelation::where('uid',$data['parent'])->value('parent_uid');
        $data['grand_parent_uid'] = ShimmerLiveshopUserRelation::where('uid',$data['grandpa_uid'])->value('parent_uid');
        return array_filter($data);
    }
}