<?php

if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'realname')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `realname` varchar(255) DEFAULT NULL;");
}

if (!pdo_fieldexists('shimmer_liveshop_commission_order_goods', 'commission')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_commission_order_goods') . " ADD `commission` decimal(10,2) NOT NULL COMMENT '佣金';");
}

if (!pdo_fieldexists('shimmer_liveshop_user_relations', 'type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_user_relations') . " ADD `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_commission_orders', 'type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_commission_orders') . " ADD `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'order_no')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `order_no` varchar(255) NOT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'openid')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `openid` varchar(255) DEFAULT NULL;");
}
if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'role_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `role_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_indexexists('shimmer_liveshop_cash_applies', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD INDEX `role_id` (`role_id`);");
}
if (!pdo_fieldexists('shimmer_liveshop_commission_orders', 'send_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_commission_orders') . " ADD `send_type` tinyint(1) NOT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_spread_posters', 'local_poster')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_spread_posters') . " ADD `local_poster` varchar(255) DEFAULT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'category')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `category` tinyint(1) NOT NULL DEFAULT 1 COMMENT '';");
}
if (!pdo_fieldexists('shimmer_liveshop_cash_applies', 'pay_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_cash_applies') . " ADD `pay_type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';");
}