<?php

$ret = pdo_fieldmatch('shimmer_liveshop_goods_spec_options', 'productprice', 'decimal');
if ($ret !== true) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods_spec_options') . " 
MODIFY COLUMN `productprice` decimal(8, 2) NOT NULL DEFAULT 0.00");
}
$ret = pdo_fieldmatch('shimmer_liveshop_goods_spec_options', 'costprice', 'decimal');
if ($ret !== true) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods_spec_options') . " 
MODIFY COLUMN `costprice` decimal(8, 2) NOT NULL DEFAULT 0.00");
}
$ret = pdo_fieldmatch('shimmer_liveshop_goods_spec_options', 'marketprice', 'decimal');
if ($ret !== true) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods_spec_options') . " 
MODIFY COLUMN `marketprice` decimal(8, 2) NOT NULL DEFAULT 0.00");
}
if (!pdo_fieldexists('shimmer_liveshop_goods', 'video')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods') . " ADD `video` varchar(255) NOT NULL DEFAULT '';");
}
if (!pdo_fieldexists('shimmer_liveshop_goods', 'local_thumb')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods') . " ADD `local_thumb` varchar(255) NOT NULL DEFAULT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_store_orders', 'relation_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD `relation_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_store_orders', 'relation_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD `relation_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_goods', 'role_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods') . " ADD `role_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_fieldexists('shimmer_liveshop_goods', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods') . " ADD `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_indexexists('shimmer_liveshop_goods', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_goods') . " ADD INDEX `role_id` (`role_id`);");
}

if (!pdo_fieldexists('shimmer_liveshop_store_orders', 'role_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD `role_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_fieldexists('shimmer_liveshop_store_orders', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_indexexists('shimmer_liveshop_store_orders', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD INDEX `role_id` (`role_id`);");
}

if (!pdo_fieldexists('shimmer_liveshop_store_carts', 'role_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_carts') . " ADD `role_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_fieldexists('shimmer_liveshop_store_carts', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_carts') . " ADD `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}
if (!pdo_indexexists('shimmer_liveshop_store_carts', 'role_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_carts') . " ADD INDEX `role_id` (`role_id`);");
}
if (!pdo_fieldexists('shimmer_liveshop_store_orders', 'order_group_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD `order_group_id` int(11) NOT NULL DEFAULT '0' COMMENT '组合订单id';");
}
if (!pdo_indexexists('shimmer_liveshop_store_orders', 'order_group_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_store_orders') . " ADD INDEX `order_group_id` (`order_group_id`);");
}

if(!pdo_indexexists('shimmer_liveshop_store_orders', 'type')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_store_orders')." ADD INDEX `type` (`type`);");
}