<?php

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply_pay', 'open_ini_anchor_to_partner')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply_pay') . " ADD `open_ini_anchor_to_partner` tinyint(1) NOT NULL COMMENT '邀请主播开通合伙人';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply_pay', 'ini_anchor_nums')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply_pay') . " ADD `ini_anchor_nums` int(11) NOT NULL COMMENT '邀请主播数量';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply_pay', 'to_partner_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply_pay') . " ADD `to_partner_id` int(11) NOT NULL COMMENT '合伙人ID';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_pay_levels', 'open_ini_anchor_to_partner')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_pay_levels') . " ADD `open_ini_anchor_to_partner` tinyint(1) NOT NULL COMMENT '邀请主播开通合伙人';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_pay_levels', 'ini_anchor_nums')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_pay_levels') . " ADD `ini_anchor_nums` int(11) NOT NULL COMMENT '邀请主播数量';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_pay_levels', 'to_partner_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_pay_levels') . " ADD `to_partner_id` int(11) NOT NULL COMMENT '合伙人ID';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply', 'parent_uid')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply') . " ADD `parent_uid` int(11) NOT NULL;");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply', 'level_pay_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply') . " ADD `level_pay_id` int(11) NOT NULL DEFAULT '0';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply', 'goods_commission')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply') . " ADD `goods_commission` decimal(10,2) NOT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'video_start')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `video_start` int(11) NOT NULL;");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'video_end')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `video_end` int(11) NOT NULL;");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'video_time')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `video_time` int(11) NOT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'm3u8')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `m3u8` varchar(255) NOT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'mp4')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `mp4` varchar(255) DEFAULT NULL;");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'flv')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `flv` varchar(255) DEFAULT NULL;");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'local_cover')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `local_cover` varchar(255) DEFAULT NULL COMMENT '本地封面';");
}

if (!pdo_fieldexists('shimmer_liveshop_live_chats', 'type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_chats') . " ADD `type` tinyint(1) NOT NULL DEFAULT '1';");
}


if (!pdo_fieldexists('shimmer_liveshop_anchor_apply', 'apply_type')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply') . " ADD `apply_type` tinyint(1) NOT NULL;");
}

if (pdo_fieldexists('shimmer_liveshop_lives', 'uid')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_lives')." MODIFY `uid` int(10) NOT NULL DEFAULT '0' COMMENT '';");
}

if (pdo_fieldexists('shimmer_liveshop_lives', 'lat')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_lives')." MODIFY `lat` double(18,15) NOT NULL DEFAULT '0.000000000000000';");
}

if (pdo_fieldexists('shimmer_liveshop_lives', 'lng')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_lives')." MODIFY `lng` double(18,15) NOT NULL DEFAULT '0.000000000000000';");
}

if (!pdo_fieldexists('shimmer_liveshop_lives', 'local_cover')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_lives') . " ADD `local_cover` varchar(255) DEFAULT NULL COMMENT '';");
}

if(!pdo_indexexists('shimmer_liveshop_gift_logs', 'uniacid')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_gift_logs')." ADD INDEX `uniacid` (`uniacid`);");
}

if(!pdo_indexexists('shimmer_liveshop_gift_logs', 'live_id')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_gift_logs')." ADD INDEX `live_id` (`live_id`);");
}

if(!pdo_indexexists('shimmer_liveshop_gift_logs', 'uid')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_gift_logs')." ADD INDEX `uid` (`uid`);");
}

if(!pdo_indexexists('shimmer_liveshop_gift_logs', 'order_id')) {
    pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_gift_logs')." ADD UNIQUE `order_id` (`order_id`);");
}

if(!pdo_indexexists('shimmer_liveshop_live_chats', 'live_type_index')) {
    if(!pdo_indexexists('shimmer_liveshop_live_chats', 'live_id')) {
        pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_live_chats')." ADD INDEX `live_type_index` (`live_id`,`type`);");
    }else{
        pdo_query("drop index `live_id` on ".tablename('shimmer_liveshop_live_chats'));
        pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_live_chats')." ADD INDEX `live_type_index` (`live_id`,`type`);");
    }
}


if (!pdo_fieldexists('shimmer_liveshop_anchor_apply', 'diyform_form_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply') . " ADD `diyform_form_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_anchor_apply', 'diyform_data_id')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_anchor_apply') . " ADD `diyform_data_id` int(11) NOT NULL DEFAULT '0' COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_lives', 'lat')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_lives') . " ADD `lat` double(18,15) DEFAULT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_lives', 'lng')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_lives') . " ADD `lng` double(18,15) DEFAULT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_lives', 'intro')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_lives') . " ADD `intro` varchar(255) DEFAULT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'lat')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `lat` double(18,15) DEFAULT NULL COMMENT '';");
}

if (!pdo_fieldexists('shimmer_liveshop_live_logs', 'lng')) {
    pdo_query("ALTER TABLE " . tablename('shimmer_liveshop_live_logs') . " ADD `lng` double(18,15) DEFAULT NULL COMMENT '';");
}