<div class="custorm--modelbox notice-edit" v-if="currentType=='video'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    视频播放
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            视频来源
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].video_from" class="flex-row">
                    <el-radio label="upload">手动上传</el-radio>
                    <el-radio label="link">视频链接</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>

    <div class="edit-form-item" v-if="content.items[currentIndex].video_from=='upload'">
        <div class="form-label">
            选择视频
        </div>
        <div class="uploadSourceVideo" @click="uploadVideo('url')">
            <i class="el-icon-plus" style="font-size: 36px; line-height: 80px;"></i>
        </div>
        <div class="filename" v-if="content.items[currentIndex].filename">
            {{ content.items[currentIndex].filename }}
        </div>
    </div>
    <div class="edit-form-item" v-if="content.items[currentIndex].video_from=='link'">
        <div class="form-label">
            比例
        </div>
        <template>
            <el-radio-group v-model="content.items[currentIndex].ratio" class="flex-row">
                <el-radio label="1">16:9</el-radio>
                <el-radio label="2">4:3</el-radio>
                <el-radio label="3">1:1</el-radio>
            </el-radio-group>
        </template>
    </div>
    <div class="edit-form-item" v-if="content.items[currentIndex].video_from=='link'">
        <div class="form-label">
            视频连接
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <el-input v-model="content.items[currentIndex].url" size="medium" placeholder="请输入第三方视频链接"></el-input>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            选择封面
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <div class="flex-col">
                <div class="item" style="position: relative;">
                    <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                    <div class="item-inner">
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('cover')" class="uploadSource solid" style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+content.items[currentIndex].cover+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>