
<?php $__env->startSection('title'); ?>
    角色列表
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">话题ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[id]" value="<?php echo e($query['id']); ?>" placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]" value="<?php echo e($query['title']); ?>"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">直播分类:</label>
                            <div class="layui-input-inline">
                                <select name="query[cate_id]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['categorys']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item['id']); ?>" <?php echo e(isNotNullAndNotEmptyString($query['cate_id']) && $query['cate_id']==$item['id'] ? 'selected': ''); ?>><?php echo e($item['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[live_status]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['live_status']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['live_status']) && $query['live_status']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">审核状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[status]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['status']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['status']) && $query['status']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">显示状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[isshow]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['isshow']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['isshow']) && $query['isshow']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a  href="<?php echo e(wgRoute('livelive.create')); ?>" class="btn btn-primary">创建直播间</a>
                            <a  href="<?php echo e(wgRoute('livecategory.index',[1])); ?>" class="btn btn-default">直播分类</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $lives], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>话题ID</th>
                            <th>话题封面</th>
                            <th>话题名称</th>
                            <th>主播</th>
                            <th>直播分类</th>
                            <th>话题状态</th>
                            <th>浏览量</th>
                            <th>显示状态</th>
                            <th>拉黑状态</th>
                            <th>审核状态</th>
                            <th>是否推荐</th>
                            <th>开始时间</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lives; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $live): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($live->id); ?></th>
                                <th>
                                    <img src="<?php echo e(wgTomedia($live->cover)); ?>">
                                </th>
                                <th><?php echo e($live->title); ?></th>
                                <th>
                                    <?php if($live->uid): ?>
                                        <img src="<?php echo e($live->user->avatar); ?>" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                        <?php echo e($live->user->nickname); ?>

                                    <?php else: ?>
                                        暂无
                                    <?php endif; ?>
                                </th>
                                <th><?php echo e($live->cate_name); ?></th>
                                <th><?php echo e(\Config('live.liveStatus')[$live->live_status]); ?></th>
                                <th><?php echo e($live->real_num); ?></th>
                                <th><?php echo e(\Config('live.isShowType')[$live->isshow]); ?></th>
                                <th>
                                    <?php if($live->is_black==1): ?>
                                        <text class="text text-danger"><?php echo e(\Config('live.Black')[$live->is_black]); ?></text>
                                    <?php else: ?>
                                        <text class="text"><?php echo e(\Config('live.Black')[$live->is_black]); ?></text>
                                    <?php endif; ?>
                                </th>
                                <th>
                                    <?php if($live->status==0): ?>
                                        <text class="text text-danger"><?php echo e(\Config('live.Status')[$live->status]); ?></text>
                                    <?php else: ?>
                                        <text class="text"><?php echo e(\Config('live.Status')[$live->status]); ?></text>
                                    <?php endif; ?>
                                </th>
                                <th>
                                    <?php if($live->is_recommend==1): ?>
                                        <text class="text text-danger">已推荐</text>
                                    <?php else: ?>
                                        <text class="text">未推荐</text>
                                    <?php endif; ?>
                                </th>
                                <th><?php echo e($live->start_at); ?></th>
                                <th><?php echo e($live->sort); ?></th>
                                <th>
                                    <div class="dropdown btn btn-info" >
                                        <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                            操作
                                        </div>
                                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                            <li>
                                                <a class="dropdown-item load_prompt" data-url="<?php echo e(wgRoute('livelive.change_sort',[$live->id])); ?>" data-title="<?php echo e($live->title); ?>" href="javascript:;">
                                                    排序
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm delete" data-url="<?php echo e(wgRoute('livelive.destroy',[$live->id])); ?>" data-title="确定要删除吗" href="javascript:;">
                                                    删除
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="<?php echo e(wgRoute('livelive.change-live-status',[$live->id])); ?>" data-title="确定要恢复未开始状态吗" href="javascript:;">
                                                    恢复未开始状态
                                                </a>
                                            </li>
                                            <?php if($live->is_recommend==1): ?>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livelive.change-recommend',[$live->id])); ?>" data-title="确定要取消推荐吗" href="javascript:;">
                                                    取消推荐
                                                </a>
                                            </li>
                                            <?php else: ?>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livelive.change-recommend',[$live->id])); ?>" data-title="确定要推荐吗" href="javascript:;">
                                                    推荐
                                                </a>
                                            </li>
                                            <?php endif; ?>
                                            <?php if($live->status==1): ?>
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livelive.change-status',[$live->id])); ?>" data-title="确定要取消审核吗" href="javascript:;">
                                                        取消审核
                                                    </a>
                                                </li>
                                            <?php else: ?>
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livelive.change-status',[$live->id])); ?>" data-title="确定要审核通过吗" href="javascript:;">
                                                        审核通过
                                                    </a>
                                                </li>
                                            <?php endif; ?>
                                            <?php if($live->is_black==1): ?>
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livelive.change-black',[$live->id])); ?>" data-title="确定要取消拉黑吗" href="javascript:;">
                                                        取消拉黑
                                                    </a>
                                                </li>
                                            <?php else: ?>
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livelive.change-black',[$live->id])); ?>" data-title="确定要拉黑吗" href="javascript:;">
                                                        拉黑
                                                    </a>
                                                </li>
                                            <?php endif; ?>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="<?php echo e(wgRoute('livelive.copy_live',[$live->id])); ?>" data-title="确定要克隆该直播间吗" href="javascript:;">
                                                    克隆
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="<?php echo e(wgRoute('livelive.get-url',[$live->id])); ?>" data-title="分享链接" data-width="350px" data-height="450px">
                                                    绑定主播
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="<?php echo e(wgRoute('livelive.get-push-url',[$live->id])); ?>" data-title="推流信息" data-width="350px" data-height="450px">
                                                    推流信息
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="<?php echo e(wgRoute('livelive.live-code',[$live->id])); ?>" data-title="直播间二维码" data-width="350px" data-height="450px">
                                                    直播间二维码
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <a  href="<?php echo e(wgRoute('livelive.panel',[$live->id])); ?>" class="btn  btn-info">
                                        管理
                                    </a>
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $lives], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>