<div class="custorm--modelbox notice-edit" v-if="currentType=='newindex_goods_list1'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    新首页列表风格1
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            文案
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">主标题</span>
            <div class="flex-col">
                <el-input v-model="content.items[currentIndex].title" size="medium" placeholder="请输入主标题名称"></el-input>
                <p class="ivu-input">列表主标题</p>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">副标题</span>
            <div class="flex-col">
                <el-input v-model="content.items[currentIndex].subtitle" size="medium"
                          placeholder="请输入副标题名称"></el-input>
                <p class="ivu-input">列表副标题</p>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">更多标题</span>
            <div class="flex-col">
                <el-input v-model="content.items[currentIndex].moretitle" size="medium"
                          placeholder="请输入标题名称"></el-input>
                <p class="ivu-input">右侧更多标题</p>
            </div>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            链接
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">更多链接</span>
            <div class="flex-col">
                <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"
                       data-url="<?php echo e(wgRoute('liveutilsuser.get-page-urls')); ?>" placeholder="请选择链接地址"
                       v-model="content.items[currentIndex].more_link" data-id="more_link" id="more_link"
                       readonly="">
            </div>
        </div>
    </div>

    <div class="es-form-item">
        <div class="form-label">
            列表
        </div>
        <div style="padding-top: 10px;">
            <draggable v-model="content.items[currentIndex].items">
                <div class="item drag" v-for="(item,itemIndex) in content.items[currentIndex].items">
                    <span class="btn-del" title="删除"
                          @click="delSubTool('newindex_goods_list1','items',itemIndex)"></span>
                    <i class="el-icon-circle-close-outline delete-child"></i>
                    <div class="item-inner">
                        <span class="labeltext">图片</span>
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('items',itemIndex,'image')" class="uploadSource solid"
                                 style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+item.image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-if="item.image">
                                </div>
                                <div class="img"
                                     :style="{'background-image': 'url(<?php echo e(URL::asset('/static/web/admin/diypage/nopic.png')); ?>)', 'width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-else>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">文字</span>
                        <el-input v-model="item.text" size="medium" placeholder="请输入主标题"></el-input>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">链接</span>
                        <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"
                               data-url="<?php echo e(wgRoute('liveutilsuser.get-page-urls')); ?>" placeholder="请选择链接地址"
                               v-model="item.link" :data-id="'newindex_goods_list1_'+itemIndex"
                               :id="'newindex_goods_list1_'+itemIndex"
                               readonly="">
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">左上角</span>
                        <el-input v-model="item.left_tip" size="medium"></el-input>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">右上角</span>
                        <el-input v-model="item.right_tip" size="medium"></el-input>
                    </div>
                </div>
            </draggable>
            <div class="goodscol-add" @click="addSubTool('newindex_goods_list1','items')">
                <i class="el-icon-plus"></i>
                添加
            </div>
        </div>
    </div>

</div>