
<?php $__env->startPush('scripts'); ?>
    <script src="<?php echo e(URL::asset('/static/web/admin/goods.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<style>
    .layui-form-radio {
        margin: 0px;
    }

    .layui-form-select dl {
        z-index: 9990;
    }

    .lay-ext-mulitsel .layui-input.multiple a {
        height: auto;
    }

    .form-group {
        overflow: hidden;
    }
</style>
<?php $__env->startSection('title'); ?>
    导入商品
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div class="tabs-container">

                <div class="tab-content">
                    <?php echo e(csrf_field()); ?>

                    <div class="panel-body" style="padding-bottom: 5px">
                        <div class="alert alert-success">
                            输入以http或https开头的淘宝、天猫、1688、京东的商品详情页网址
                        </div>
                        <div class="layui-form-item" style="margin-bottom: 0">
                            <label class="layui-form-label">商品链接</label>
                            <div class="layui-input-block">
                                <input style="display: inline;width: 90%" type="text" name="grab_link"
                                       placeholder="请输入商品链接" value="" class="layui-input">
                                <a class="btn btn-success doImport" data-url="<?php echo e(wgRoute('liveshopgoods.doImport')); ?>"
                                   href="javascript:;"><i class="fa fa-plus"></i>&nbsp;确定</a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="panel-body goods-edit" style="display: none;">

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        var categoryData = <?php  echo json_encode($category);  ?>;
        var selectCategoryData = '';
        var isLoadCategory = false;

        $(".doImport").click(function () {
            var link = $('input[name="grab_link"]').val();
            if (!link) {
                layer.msg('请填写商品链接', {time: 2000, icon: 5});
                return;
            }

            var url = $(this).data('url');
            var index = layer.load(2);

            $.ajax({
                url: url,
                type: 'POST',
                dateType: 'html',
                data: {link: link},
                success: function (res) {
                    layer.close(index);
                    if (res) {
                        $('.goods-edit').show();
                        $('.goods-edit').html(res);
                        if (!isLoadCategory) {
                            loadCategory();
                        }
                        layui.use(["layer", "form"], function () {
                            var form = layui.form;
                            var form = layui.form, $ = layui.jquery;
                            form.render();
                        });
                        $("#ajaxsubmit").on("click", function () {
                            ajaxSbumit($(this));
                        });
                        $(".ajaxsubmit").on("click", function () {
                            ajaxSubmitClass($(this));
                        });
                    } else {
                        layer.msg('未抓取到商品信息！', {time: 2000, icon: 5});
                    }
                }
            });
        });

        function loadCategory() {
            if (isLoadCategory) {
                return;
            }
            layui.config({
                base: ''
            }).extend({
                selectN: "<?php echo e(URL::asset('/static/web/layui_extends/selectN')); ?>",
                selectM: "<?php echo e(URL::asset('/static/web/layui_extends/selectM')); ?>",
            }).use(['layer', 'form', 'jquery', 'selectN', 'selectM'], function () {
                $ = layui.jquery;
                var form = layui.form
                    , selectM = layui.selectM;

                //多选标签-所有配置
                var tagIns2 = selectM({
                    //元素容器【必填】
                    elem: '#category_id'
                    //候选数据【必填】
                    , data: categoryData
                    //默认值
                    , selected: selectCategoryData
                    //最多选中个数，默认5
                    , max: 10
                    //input的name 不设置与选择器相同(去#.)
                    , name: 'category_id'
                    //值的分隔符
                    , delimiter: ','
                    //添加验证
                    , verify: 'required'
                });
            });
            isLoadCategory = true;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('live::layouts.layouts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>