<div class="tabs-container">
    <ul class="nav nav-tabs" role="tablist">
        <li><a class="nav-link active show" data-toggle="tab" href="#tab-1">基本</a></li>
        <li><a class="nav-link" data-toggle="tab" href="#tab-2">入驻协议</a></li>
    </ul>
    <div class="tab-content">
        <div role="tabpanel" id="tab-1" class="tab-pane active show">
            <div class="panel-body">
                <div class="layui-form-item">
                    <label class="layui-form-label ">是否开启申请</label>
                    <div class="layui-input-block">
                        <input type="radio" lay-filter="open_apply" name="config[open_apply]" value="1"
                               <?php if($config['open_apply']==1): ?> checked
                               <?php endif; ?> title="开启">
                        <input type="radio" lay-filter="open_apply" name="config[open_apply]" value="0"
                               <?php if($config['open_apply']==0): ?> checked
                               <?php endif; ?> title="关闭">
                        <div class="form-text">是否开启商户申请入驻</div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label ">申请条件</label>
                    <div class="layui-input-block">
                        <input type="radio" lay-filter="apply_limit" name="config[apply_limit]" value="1"
                               <?php if(!$config || $config['apply_limit']==1): ?> checked
                               <?php endif; ?> title="无条件">
                        <input type="radio" lay-filter="apply_limit" name="config[apply_limit]" value="2"
                               <?php if($config['apply_limit']==2): ?> checked
                               <?php endif; ?> title="付费">
                        <input type="radio" lay-filter="apply_limit" name="config[apply_limit]" value="3"
                               <?php if($config['apply_limit']==3): ?> checked
                               <?php endif; ?> title="消费限制">
                        <div class="form-text"></div>
                    </div>
                </div>
                
                <div class="layui-form-item apply_limit_box2 apply_limit_box"
                     <?php if($config['apply_limit']!=2): ?> style="display: none" <?php endif; ?>>
                    <label class="layui-form-label"></label>
                    <div class="layui-input-block">
                        <div class="input-group m-b" style="width: 300px">
                            <div class="input-group-prepend">
                                <span class="input-group-addon">支付</span>
                            </div>
                            <input type="text" class="form-control" name="config[apply_limit_pay_money]"
                                   value="<?php echo e($config['apply_limit_pay_money']); ?>">
                            <div class="input-group-append">
                                <span class="input-group-addon">元</span>
                            </div>
                            <div class="form-text m-b-none">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item apply_limit_box3 apply_limit_box"
                     <?php if($config['apply_limit']!=3): ?> style="display: none" <?php endif; ?>>
                    <label class="layui-form-label"></label>
                    <div class="layui-input-block">
                        <div class="input-group m-b" style="width: 300px">
                            <div class="input-group-prepend">
                                <span class="input-group-addon">消费满</span>
                            </div>
                            <input type="text" class="form-control" name="config[apply_limit_buy_monty]"
                                   value="<?php echo e($config['apply_limit_buy_monty']); ?>">
                            <div class="input-group-append">
                                <span class="input-group-addon">元</span>
                            </div>
                            <div class="form-text m-b-none">
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="layui-form-item">
                    <label class="layui-form-label ">是否需要审核</label>
                    <div class="layui-input-block">
                        <input type="radio" lay-filter="need_check" name="config[need_check]" value="1"
                               <?php if(!$config || $config['need_check']==1): ?> checked
                               <?php endif; ?> title="需要">
                        <input type="radio" lay-filter="need_check" name="config[need_check]" value="0"
                               <?php if($config && $config['need_check']==0): ?> checked
                               <?php endif; ?> title="不需要">
                        <div class="form-text">前台开店申请是否需要后台审核</div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label ">店铺有效期</label>
                    <div class="layui-input-block">
                        <div class="input-group m-b" style="width: 300px">
                            <input lay-filter="valid_type" type="radio" name="config[valid_type]" value="1"
                                   <?php if(!$config || $config['valid_type']==1): ?> checked
                                   <?php endif; ?> title="永久">
                            <input lay-filter="valid_type" type="radio" name="config[valid_type]" value="2"
                                   <?php if($config['valid_type']==2): ?> checked
                                   <?php endif; ?> title="月">
                        </div>
                    </div>
                </div>

                
                <div class="layui-form-item valid_type_box2 valid_type_box"
                     <?php if($config['valid_type']!=2): ?> style="display: none" <?php endif; ?>>
                    <label class="layui-form-label"></label>
                    <div class="layui-input-block">
                        <div class="input-group m-b" style="width: 300px">
                            <input type="text" class="form-control" name="config[valid_month]"
                                   value="<?php echo e($config['valid_month']); ?>">
                            <div class="input-group-append">
                                <span class="input-group-addon">月</span>
                            </div>
                            <div class="form-text m-b-none">
                            </div>
                        </div>
                    </div>
                </div>
                

                <div class="layui-form-item">
                    <label class="layui-form-label">宣传图文</label>
                    <div class="layui-input-block">
                        <?php  echo tpl_ueditor('config[intro]',$config['intro']);  ?>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">入驻表单</label>
                    <div class="layui-input-block">
                        <input type="radio" name="config[is_apply_diyform]" value="1"
                               <?php if($config['is_apply_diyform']==1): ?> checked
                               <?php endif; ?> title="是" lay-filter="is_apply_diyform">
                        <input type="radio" name="config[is_apply_diyform]" value="0"
                               <?php if($config['is_apply_diyform']==0): ?> checked
                               <?php endif; ?> title="否" lay-filter="is_apply_diyform">
                        <div class="form-text">申请时需要填写的资料</div>
                    </div>
                </div>
                <div class="layui-form-item apply_diyform_box" <?php if($config['is_apply_diyform']!=1): ?> style="display: none" <?php endif; ?>>
                    <label class="layui-form-label">选择表单</label>
                    <div class="layui-input-block">
                        <select name="config[apply_diyform]" lay-verify="required" lay-filter="code_type">
                            <option value="0">请选择自定义表单</option>
                            <?php $__currentLoopData = $config['forms']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$form): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($form['id']); ?>" <?php if($config['apply_diyform']==$form['id']): ?> selected <?php endif; ?>><?php echo e($form['name']); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div role="tabpanel" id="tab-2" class="tab-pane">
            <div class="panel-body">
                <div class="layui-form-item">
                    <label class="layui-form-label ">入驻申请协议</label>
                    <div class="layui-input-block">
                        <input type="radio" name="config[open_protocol]" value="1"
                               <?php if($config['open_protocol']==1): ?> checked
                               <?php endif; ?> title="显示">
                        <input type="radio" name="config[open_protocol]" value="0"
                               <?php if($config['open_protocol']==0): ?> checked
                               <?php endif; ?> title="隐藏">
                        <div class="form-text">是否显示入驻申请协议</div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label ">协议名称</label>
                    <div class="layui-input-block">
                        <input type="text" name="config[apply_protocol_title]" class="layui-input"
                               value="<?php echo e($config['apply_protocol_title']); ?>">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label ">协议内容</label>
                    <div class="layui-input-block">
                        <?php  echo tpl_ueditor('config[apply_protocol_content]',$config['apply_protocol_content']);  ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    layui.use(['form'], function () {
        var form = layui.form;
        form.on('radio(apply_limit)', function (data) {
            var value = data.value;
            $(".apply_limit_box").hide();
            $(".apply_limit_box" + value).show();
        });
        form.on('radio(valid_type)', function (data) {
            var value = data.value;
            $(".valid_type_box").hide();
            $(".valid_type_box" + value).show();
        });
        form.on('radio(is_apply_diyform)', function (data) {
            var value = data.value;
            if(value==1){
                $(".apply_diyform_box").show();
            } else {
                $(".apply_diyform_box").hide();
            }
        });
    });
</script>