<div class="layui-form-item">
    <label class="layui-form-label">名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" required  lay-verify="required" placeholder="请输入名称" value="<?php echo e($model->name); ?>" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">副标题</label>
    <div class="layui-input-block">
        <input type="text" name="intro" required  lay-verify="required" placeholder="请输入副标题" value="<?php echo e($model->intro); ?>" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">卡片背景</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('card_pic',wgTomedia($model->card_pic));  ?>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">价格</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="price" class="form-control valid" value="<?php echo e($model->price); ?>" aria-invalid="false">
            <div class="input-group-addon">元</div>
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">原价</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="cost_price" class="form-control valid" value="<?php echo e($model->cost_price); ?>" aria-invalid="false">
            <div class="input-group-addon">元</div>
        </div>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">赠送主播数量</label>
    <div class="layui-input-block">
        <input type="text" name="give_anchor_num" class="form-control valid" value="<?php echo e($model->give_anchor_num); ?>" aria-invalid="false">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">主播付费提成</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="buy_anchor_rate" class="form-control valid" value="<?php echo e($model->buy_anchor_rate); ?>" aria-invalid="false">
            <div class="input-group-addon">%</div>
        </div>
    </div>
</div>
<div class="layui-form-item" style="display:none;">
    <label class="layui-form-label">佣金提成</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="commission_rate" class="form-control valid" value="<?php echo e($model->commission_rate); ?>" aria-invalid="false">
            <div class="input-group-addon">%</div>
        </div>
    </div>
</div>

<div <?php if(!$partnerPlugin): ?> style="display:none;" <?php endif; ?>>
    <div class="layui-form-item">
        <label class="layui-form-label">邀请主播开通合伙人</label>
        <div class="layui-input-block">
            <input type="radio" name="open_ini_anchor_to_partner" value="1" title="开通" <?php if($model->open_ini_anchor_to_partner==1): ?> checked <?php endif; ?> lay-filter="open_ini_anchor_to_partner">
            <input type="radio" name="open_ini_anchor_to_partner" value="0" title="关闭" <?php if($model->open_ini_anchor_to_partner==0): ?> checked <?php endif; ?> lay-filter="open_ini_anchor_to_partner">
        </div>
    </div>
    <div class="open_ini_anchor_to_partner" <?php if(!$model || $model->open_ini_anchor_to_partner==0): ?> style="display:none;" <?php endif; ?>>
        <div class="layui-form-item">
            <label class="layui-form-label">邀请主播数量</label>
            <div class="layui-input-block">
                <input type="text" name="ini_anchor_nums" class="form-control valid" value="<?php echo e($model->ini_anchor_nums); ?>" aria-invalid="false">
            </div>
        </div>

        <div class="layui-form-item">
            <label class="layui-form-label">合伙人类别</label>
            <div class="layui-input-block">
                <select name="to_partner_id" lay-verify="required" lay-search="">
                    <option value="0">直接选择或搜索选择</option>
                    <?php $__currentLoopData = $partners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($key); ?>" <?php if($model->to_partner_id==$key): ?> selected <?php endif; ?>><?php echo e($val); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>
</div>


<div class="layui-form-item">
    <label class="layui-form-label">图片介绍</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('intro_pic',wgTomedia($model->intro_pic));  ?>
    </div>
</div>


<div class="layui-form-item">
    <label class="layui-form-label">权益说明</label>
    <div class="layui-input-block">
        <?php  echo tpl_ueditor('content',$model->content);  ?>
    </div>
</div>


<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            var element = layui.element;

            form.on('radio(open_ini_anchor_to_partner)',function (data) {
                var type = data.value;
                if(type==1){
                    $('.open_ini_anchor_to_partner').show();
                }else{
                    $('.open_ini_anchor_to_partner').hide();
                }
            })
        });
    </script>
<?php $__env->stopSection(); ?>