
<?php $__env->startSection('title'); ?>
    资产明细
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">明细类型</label>
                            <div class="layui-input-inline">
                                <select name="query[category]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['category']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['category']) && $query['category']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">支出类型</label>
                            <div class="layui-input-inline">
                                <select name="query[is_income]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['in_come']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['is_income']) && $query['is_income']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="<?php echo e($query['start_time']); ?>"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="<?php echo e($query['end_time']); ?>"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                        <span class="static-left-text">总支出金额: <?php echo e($stats['total_out_money']); ?></span>
                             <span class="static-left-text">总收入金额: <?php echo e($stats['total_in_money']); ?></span>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <?php if(\App\Services\PluginService::isEnabled('merch')): ?>
                                <th>商户</th>
                            <?php endif; ?>
                            <th>订单ID</th>
                            <th>粉丝</th>
                            <th>会员</th>
                            <th>类型</th>
                            <th>支出类型</th>
                            <th>支付方式</th>
                            <th>金额</th>
                            <th>备注</th>
                            <th>时间</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="">
                                <td>
                                    <?php echo e($item->id); ?>

                                </td>
                                <?php if(\App\Services\PluginService::isEnabled('merch')): ?>
                                    <td>
                                        <?php if($item->store): ?>
                                            <?php echo e($item->store->id); ?><br/>
                                            <?php echo e($item->store->name); ?>

                                        <?php else: ?>
                                            平台
                                        <?php endif; ?>
                                    </td>
                                <?php endif; ?>
                                <td>
                                    <?php echo e($item->oid); ?>

                                </td>
                                <td>
                                    <?php if($item->user): ?>
                                        <img src="<?php echo e($item->user->avatar); ?>"
                                             class="rounded-circle img-sm img_pop_show"/><br/>
                                        <?php echo e($item->user->nickname); ?>

                                    <?php else: ?>
                                        未绑定
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($item->user): ?>
                                        <?php echo e($item->user->realname); ?><br/>
                                        <?php echo e($item->user->mobile); ?>

                                    <?php else: ?>
                                        未绑定
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php echo e($item->category_text); ?>

                                </td>
                                <td>
                                    <?php echo e($item->is_income_text); ?>

                                </td>
                                <td>
                                    <?php echo e($item->pay_type_text); ?>

                                </td>
                                <td>
                                    <?php echo e($item->money); ?>

                                </td>
                                <td>
                                    <?php echo e($item->remark); ?>

                                </td>
                                <td>
                                    <?php echo e($item->created_at); ?>

                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>