
<?php $__env->startSection('title'); ?>
    直播分类
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="名称"
                                       value="<?php echo e(\Request::input('query.name')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a href="javascript:;" data-url="<?php echo e(wgRoute('liveanchor-pay-level.create')); ?>" data-width="1000px" data-height="700px" class="btn btn-primary load_iframe">添加主播申请付费</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    
                        
                    
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>名称</th>
                            <th>副标题</th>
                            <th>卡片背景</th>
                            <th>价格</th>
                            <th>原价</th>
                            <th>赠送主播</th>
                            <th>主播付费提成</th>
                            
                            <th>图片介绍</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($list->name); ?></th>
                                <th><?php echo e($list->intro); ?></th>
                                <th>
                                    <img src="<?php echo e(wgTomedia($list->card_pic)); ?>">
                                </th>
                                <th><?php echo e($list->price); ?></th>
                                <th><?php echo e($list->cost_price); ?></th>
                                <th><?php echo e($list->give_anchor_num); ?></th>
                                <th><?php echo e($list->buy_anchor_rate); ?>%</th>
                                
                                <th>
                                    <img src="<?php echo e(wgTomedia($list->intro_pic)); ?>">
                                </th>
                                <th>
                                    <a href="javascript:;" data-url="<?php echo e(wgRoute('liveanchor-pay-level.edit',[$list->id])); ?>" class="btn load_iframe btn-info" data-width="1000px" data-height="700px">
                                        编辑
                                    </a>
                                    <a  href="javascript:;" data-url="<?php echo e(wgRoute('liveanchor-pay-level.destroy',[$list->id])); ?>" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>