
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">日志类型:</label>
                                <div class="layui-input-inline">
                                    <select name="query[type]" lay-verify="">
                                        <option value="">全部</option>
                                        <?php $__currentLoopData = $queryData['type']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['type']) && $query['type']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">日志来源:</label>
                                <div class="layui-input-inline">
                                    <select name="query[log_type]" lay-verify="">
                                        <option value="">全部</option>
                                        <?php $__currentLoopData = $queryData['log_type']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['log_type']) && $query['log_type']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">关键字:</label>
                                <div class="layui-input-inline">
                                    <input type="text" name="query[keywords]" lay-verify="" placeholder="昵称/真实姓名/手机号"
                                           style="width: 200px;" value="<?php echo e($query['keywords']); ?>" autocomplete="off"
                                           class="layui-input">
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">记录时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="<?php echo e($query['start_time']); ?>"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="<?php echo e($query['end_time']); ?>"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>
                            </div>
                        </div>
                    </form>

                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>粉丝</th>
                                <th>会员</th>
                                <th>类型</th>
                                <th>数量</th>
                                <th>当前</th>
                                <th>事件</th>
                                <th>备注</th>
                                <th>操作人</th>
                                <th>记录时间</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->id); ?></td>
                                    <td>
                                        <img src="<?php echo e($item->user->avatar); ?>"
                                             class="rounded-circle img-sm img_pop_show"/><br/>
                                        <?php echo e($item->user->nickname); ?>

                                    </td>
                                    <td>
                                        <?php echo e($item->user->realname); ?><br/>
                                        <?php echo e($item->user->mobile); ?>

                                    </td>
                                    <td><?php echo e($item->typeText); ?></td>
                                    <td>
                                        <?php if($item->type==1): ?>
                                            余额:
                                            <span class="<?php echo e(getNumberColor($item->num)); ?>" ><?php echo e($item->num); ?></span>
                                        <?php elseif($item->type==2): ?>
                                            积分:
                                            <span class="<?php echo e(getNumberColor($item->num)); ?>" ><?php echo e($item->num); ?></span>
                                        <?php endif; ?>
                                        <?php if($item->give_credit > 0): ?>
                                            <br/>
                                                赠送积分: <span class="<?php echo e(getNumberColor($item->give_credit)); ?>" > <?php echo e($item->give_credit); ?></span>
                                        <?php endif; ?>
                                        <?php if($item->give_money > 0): ?>
                                            <br/>
                                                赠送金额:  <span class="<?php echo e(getNumberColor($item->give_money)); ?>" ><?php echo e($item->give_money); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($item->type==1): ?>
                                            当前余额: <?php echo e($item->presentcredit); ?><br/>
                                            <?php if($item->give_presentcredit > 0): ?>
                                                赠送余额: <?php echo e($item->give_presentcredit); ?>

                                            <?php endif; ?>
                                        <?php elseif($item->type==2): ?>
                                            当前积分: <?php echo e($item->presentcredit); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($item->logTypeText); ?></td>
                                    <td><?php echo e($item->remark); ?></td>
                                    <td><?php echo e($item->adminUser->username); ?></td>
                                    <td><?php echo e($item->created_at); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </form>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>