<div class="custorm--modelbox notice-edit" v-if="currentType=='notice'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    公告
                </div>
            </div>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            上下边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_top_buttom"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                {{ content.items[currentIndex].padding_top_buttom }}px
            </div>
        </div>
        <div class="form-label">
            左右边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_left_right"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                {{ content.items[currentIndex].padding_left_right }}px
            </div>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            颜色选择
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">背景颜色</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].background">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].background }}</span>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">文字颜色</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].color">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].color }}</span>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            公告设置
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">图标图片</span>
            <div class="flex-col">
                <div class="item" style="position: relative;">
                    <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                    <div class="item-inner">
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('icon')" class="uploadSource solid" style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+content.items[currentIndex].icon+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-item">
            <div id="form-items" class="inner">
                <draggable v-model="content.items[currentIndex].text">
                    <div class="item" v-for="(text,textIndex) in content.items[currentIndex].text">
                        <span class="btn-del" title="删除" @click="noticeDelText(textIndex)"></span>
                        <div class="drag-btn">拖动排序</div>
                        <div class="item-form">
                            <div class="input-group">
                                <span class="input-group-addon">提醒文字</span>
                                <input type="text" class="form-control input-sm diy-bind" placeholder="请输入公告提醒" v-model="text.tip"/>
                            </div>
                            <div class="input-group" style="margin-top: 10px">
                                <span class="input-group-addon">标题</span>
                                <input type="text" class="form-control input-sm diy-bind" placeholder="请输入公告标题" v-model="text.content"/>
                            </div>
                            <div class="input-group" style="margin-top: 10px">
                                <input type="text" class="form-control input-sm diy-bind" placeholder="请选择链接地址" v-model="text.link" readonly="" :id="'notice_text_'+textIndex">
                                <span class="input-group-addon btn btn-default ajax-link"  data-url="<?php echo e(wgRoute('liveutilsuser.get-page-urls')); ?>" :data-id="'notice_text_'+textIndex">选择链接</span>
                            </div>
                        </div>
                    </div>
                </draggable>

                <div @click="noticeAddText" class="btn btn-w-m btn-block btn-default btn-outline">
                    <i class="fa fa-plus">添加一个</i>
                </div>
            </div>
        </div>
    </div>
</div>