
<?php $__env->startSection('title'); ?>
    直播分类
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级uid:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" lay-verify="" placeholder="uid"
                                       value="<?php echo e(\Request::input('query.uid')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[nickname]" lay-verify="" placeholder="昵称"
                                       value="<?php echo e(\Request::input('query.nickname')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级真实姓名:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[realname]" lay-verify="" placeholder="真实姓名"
                                       value="<?php echo e(\Request::input('query.realname')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级手机号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[mobile]" lay-verify="" placeholder="手机号"
                                       value="<?php echo e(\Request::input('query.mobile')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">

                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>上级</th>
                            <th>下级</th>
                            <th>累计佣金</th>
                            <th>打款佣金</th>
                            <th>下级分销商</th>
                            <th>注册时间</th>
                            <th>审核时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <img src="<?php echo e($list->parentUser->avatar); ?>" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                    <?php echo e($list->parentUser->uid); ?><br>
                                    <?php echo e($list->parentUser->nickname); ?><br>
                                    <?php echo e($list->parentUser->realname); ?><br>
                                    <?php echo e($list->parentUser->mobile); ?><br>
                                </td>
                                <td>
                                    <img src="<?php echo e($list->user->avatar); ?>" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                    <?php echo e($list->user->uid); ?><br>
                                    <?php echo e($list->user->nickname); ?><br>
                                    <?php echo e($list->user->realname); ?><br>
                                    <?php echo e($list->user->mobile); ?><br>
                                </td>

                                <td>
                                    <?php echo e($list->commission_total); ?>

                                </td>
                                <td>
                                    <?php echo e($list->pay_commission_total); ?>

                                </td>
                                <td>
                                    <?php echo e($list->user->child_nums); ?>

                                </td>
                                <td>
                                    <?php echo e($list->parentUser->created_at); ?>

                                </td>
                                <td>
                                    <?php echo e($list->parentUser->examine_at); ?>

                                </td>
                                <td>
                                    <a  href="javascript:;" data-url="<?php echo e(wgRoute('livecommissionrelation.destory',[$list->id])); ?>" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>