
<?php $__env->startSection('title'); ?>
    直播分类
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a  href="javascript:;" data-url="<?php echo e(ShimmerLiveshopRoute('livedefault-gift.create')); ?>" data-width="1000px" data-height="700px" class="btn btn-primary load_iframe">添加礼物</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $gifts], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>礼物名称</th>
                            <th>礼物图片</th>
                            <th>礼物价格</th>
                            <th>使用状态</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $gifts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gift): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($gift->id); ?></th>
                                <th><?php echo e($gift->name); ?></th>
                                <th>
                                    <img src="<?php echo e(wgTomedia($gift->image)); ?>">
                                </th>

                                <th><?php echo e($gift->price); ?></th>
                                <th><?php echo e(\App\Models\ShimmerLiveshopGift::$status[$gift->status]); ?></th>

                                <th><?php echo e($gift->sort); ?></th>
                                <th>
                                    <a href="javascript:;" data-url="<?php echo e(wgRoute('livedefault-gift.edit',[$gift->id])); ?>" data-width="1000px" data-height="700px" class="btn load_iframe btn-info">
                                        编辑
                                    </a>
                                    <a  data-url="<?php echo e(wgRoute('livedefault-gift.change_status',[$gift->id])); ?>" data-title="确定要修改状态吗" href="javascript:;" class="btn ajax-confirm btn-info">
                                        <?php if($gift->status==1): ?>
                                            禁用
                                        <?php else: ?>
                                            启用
                                        <?php endif; ?>
                                    </a>
                                    <a  href="javascript:;" data-url="<?php echo e(wgRoute('livedefault-gift.destroy',[$gift->id])); ?>" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $gifts], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>