<nav class="navbar-default navbar-static-side" role="navigation">
    <div class="sidebar-collapse">
        <ul class="nav metismenu" id="side-menu">
            <li class="nav-header">
                <div class="dropdown profile-element">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <span class="block m-t-xs font-bold"><?php echo e(Auth::guard('manager')->user()->username); ?></span>
                        <span class="text-muted text-xs block">管理<b class="caret"></b></span>
                    </a>
                    <ul class="dropdown-menu animated fadeInRight m-t-xs">
                        <li><a class="dropdown-item" href="<?php echo e(Request()->getSchemeAndHttpHost()); ?>">返回系统</a></li>
                    </ul>
                </div>
                <div class="logo-element">
                </div>
            </li>
            <?php $__currentLoopData = $leftMenuData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key1=>$menuData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li <?php if($menuData['active']): ?> class="active" <?php endif; ?>>
                    <a href="<?php echo e($menuData['url']); ?>">
                        <i class="fa <?php echo e($menuData['ico']); ?>"></i>
                        <span class="nav-label"><?php echo e($menuData['name']); ?></span>
                        <?php if(isset($menuData['child'])): ?>
                            <span class="fa arrow"></span>
                        <?php endif; ?>
                    </a>
                    <?php if(isset($menuData['child'])): ?>
                        <ul class="nav nav-second-level collapse">
                            <?php $__currentLoopData = $menuData['child']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2=>$md): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e($md['active'] ? 'active' : ''); ?>">
                                    <a href="<?php echo e($md['url']); ?>">
                                        <?php echo e($md['name']); ?>

                                        <?php if(isset($md['child'])): ?>
                                            <span class="fa arrow"></span>
                                        <?php endif; ?>
                                    </a>
                                    <?php if(isset($md['child'])): ?>
                                        <ul class="nav nav-third-level collapse" style="">
                                            <?php $__currentLoopData = $md['child']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key3=>$md3): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li class="<?php echo e($md3['active'] ? 'active' : ''); ?>">
                                                    <a href="<?php echo e($md3['url']); ?>">
                                                        <?php echo e($md3['name']); ?>

                                                    </a>
                                                </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    <?php endif; ?>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    <?php endif; ?>
                </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
</nav>


<?php if($leftSubMenuData && $leftSubMenuData['groups']): ?>
    <nav class="sub-navbar sub-navbar-default">
        <ul class="sub-navbar-ul">
            <li class="sub-menu-title">
                <a href="<?php  echo wgRoute("web_plugin_{$plugin->slug}.index");  ?>">
                    <?php echo e($leftSubMenuData['title']); ?>

                </a>
            </li>
            <li class="groups">
                <ul class="sub-navbar-group-ul">
                    <?php $__currentLoopData = (array)$leftSubMenuData['groups']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="sub-menu-group-title">
                            <?php echo e($group['title']); ?>

                        </li>
                        <?php $__currentLoopData = $group['item']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li <?php if($item['active']): ?> class="active" <?php endif; ?>>
                                <a href="<?php echo e(wgRoute($item['url'])); ?>">
                                    <i class="fa <?php echo e($item['icon']); ?>"></i>
                                    <span class="nav-label"><?php echo e($item['title']); ?></span>
                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </li>
        </ul>
    </nav>
<?php endif; ?>
