
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">订单号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[order_id]" lay-verify="" placeholder="订单号搜索"
                                       value="<?php echo e($query['order_id']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">支付方式</label>
                            <div class="layui-input-inline">
                                <select name="query[pay_type]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['pay_type']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['pay_type']) && $query['pay_type']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">时间类型</label>
                            <div class="layui-input-inline">
                                <select name="query[time_type]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['time_types']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e($query['time_type']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="<?php echo e($query['start_time']); ?>"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="<?php echo e($query['end_time']); ?>"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <span class="static-left-text">订单总金额: <?php echo e($stats['total_money']); ?></span>
                            <span class="static-left-text">|</span>
                            <span class="static-left-text">售出商品: <?php echo e($stats['total_goods_num']); ?></span>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>订单号</th>
                            <th>用户信息</th>
                            <th>商品信息</th>
                            <th>实际支付</th>
                            <th>支付方式</th>
                            <th>订单状态</th>
                            <th>支付时间</th>
                            <th>下单时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="">
                                <td><input type="checkbox" class="check_item check_item_<?php echo e($item->id); ?>" data-id="<?php echo e($item->id); ?>"></td>
                                <td>
                                    <?php echo e($item->order_id); ?>

                                </td>
                                <td>
                                    <?php echo e($item->real_name); ?><br/>
                                    <?php echo e($item->user_phone); ?>

                                </td>
                                <td style="max-width: 300px;text-align: left" >
                                    <?php $__currentLoopData = $item->cartInfos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartInfo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php 
                                            $cartInfoDetail = $cartInfo->cart_info;
                                         ?>
                                        <img title="<?php echo e($cartInfoDetail['productInfo']['store_name']); ?>" src="<?php echo e(wgTomedia($cartInfoDetail['productInfo']['image'])); ?>" class="img_pop_show rounded img-sm"/>&nbsp;<?php echo e(str_limit($cartInfoDetail['productInfo']['store_name'],30)); ?> | ￥<?php echo e($cartInfoDetail['productInfo']['price']); ?> x <?php echo e($cartInfoDetail['cart_num']); ?><br/>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </td>
                                <td>
                                    <?php echo e($item->pay_price); ?>

                                </td>
                                <td>
                                    <?php echo e($item->payTypeText); ?>

                                </td>
                                <td>
                                    <span style="color: <?php echo e($item->order_status_color); ?>"><?php echo e($item->order_status_name); ?>

                                        <?php 
                                            $refundReasonWapImgs = $item->refund_reason_wap_img; ?>
                                    </span><br/>
                                    退款方式: <?php echo e($item->refund_type); ?><br/>
                                    退款原因: <?php echo e($item->refund_reason_wap); ?><br/>
                                    退款说明: <?php echo e($item->refund_reason_wap_explain); ?><br/>
                                    退款凭证:
                                    <?php $__currentLoopData = (array)$refundReasonWapImgs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $refundImg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <img  class="img_pop_show rounded img-sm" src="<?php echo e($refundImg); ?>" />
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </td>
                                <th>
                                    <?php if($item->pay_time): ?>
                                        <?php  echo date('Y-m-d',$item->pay_time)  ?><br/>
                                <?php  echo date('H:i:s',$item->pay_time)  ?>
                                <?php endif; ?>
                                <th>
                                    <?php  $createdAt = explode(' ',$item->created_at);  ?>
                                    <?php echo e($createdAt[0]); ?><br/>
                                    <?php echo e($createdAt[1]); ?><br/>
                                </th>
                                <td>
                                    <?php echo $__env->make('live::shop.order.list_button', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                                </td>
                            </tr>
                            <?php if(\App\Services\PluginService::isEnabled('merch') &&
                     $item['role_type']==\App\Services\GlobalRoleService::MERCH
                     ): ?>
                                <tr style="background: #f2f2f2;">
                                    <th colspan="13" style="text-align: left;">
                                        店铺名称:
                                        <a class="link-color" href="<?php echo e(wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->role->id])); ?>"><?php echo e($item->role->name); ?></a>
                                    </th>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php $__env->startSection('batch_btn'); ?>
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="<?php echo e(wgRoute('liveshoporder.destroy')); ?>" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>