
<div class="layui-form-item">
    <label class="layui-form-label">是否参与分销</label>
    <div class="layui-input-block">
        <input type="radio" name="extends[commission][is_commission]" value="1" lay-filter="is_commission" title="参与分销" <?php if(!$extendsData['goodsCommission']->is_commission || $extendsData['goodsCommission']->is_commission==1): ?> checked="" <?php endif; ?>>
        <input type="radio" lay-filter="is_commission" name="extends[commission][is_commission]" value="0" title="不参与分销" <?php if($extendsData['goodsCommission']->is_commission && $extendsData['goodsCommission']->is_commission==0): ?> checked="" <?php endif; ?>>
    </div>
    <div class="form-text m-b-none help-block">如果不参与分销，则不产生分销佣金</div>
</div>

<div class="own_commission" <?php if(!$extendsData['goodsCommission']->is_commission || $extendsData['goodsCommission']->is_commission==1): ?> style="display: block;" <?php else: ?> style="display: none;" <?php endif; ?>>
    <div class="layui-form-item">
        <label class="layui-form-label">独立规则</label>
        <div class="layui-input-block">
            <input type="checkbox"  <?php if($extendsData['goodsCommission']->open_own_commission==1): ?> checked="" <?php endif; ?> lay-filter="open_own_commission"
                   name="extends[commission][open_own_commission]" lay-skin="switch" lay-text="开启|关闭"
                   value="1">
            <div class="form-text">
                启用独立佣金设置，此商品拥有独自的佣金比例,不受分销商等级比例及默认设置限制
            </div>
        </div>
    </div>
    <div class="open_own_commission" <?php if($extendsData['goodsCommission']->open_own_commission==1): ?> style="display: block;" <?php else: ?> style="display: none;" <?php endif; ?>>
        <div class="layui-form-item">
            <label class="layui-form-label">一级分销</label>
            <div class="layui-input-block col-sm-5" style="padding-left: 0px;">
                <div class="input-group">
                    <input type="number" name="extends[commission][rule][level_1][first_level_rate]" placeholder="0.00" value="<?php echo e($extendsData['goodsCommission']->rule['level_1']['first_level_rate']); ?>" class="form-control">
                    <div class="input-group-addon">% 固定</div>
                    <input type="number" name="extends[commission][rule][level_1][first_level_amount]" placeholder="0.00" value="<?php echo e($extendsData['goodsCommission']->rule['level_1']['first_level_amount']); ?>" class="form-control">
                    <div class="input-group-addon">元</div>
                </div>
            </div>
        </div>

        <div class="layui-form-item">
            <label class="layui-form-label">二级分销</label>
            <div class="layui-input-block col-sm-5" style="padding-left: 0px;">
                <div class="input-group">
                    <input type="number" name="extends[commission][rule][level_2][first_level_rate]" placeholder="0.00" value="<?php echo e($extendsData['goodsCommission']->rule['level_2']['first_level_rate']); ?>" class="form-control">
                    <div class="input-group-addon">% 固定</div>
                    <input type="number" name="extends[commission][rule][level_2][first_level_amount]" placeholder="0.00" value="<?php echo e($extendsData['goodsCommission']->rule['level_2']['first_level_amount']); ?>" class="form-control">
                    <div class="input-group-addon">元</div>
                </div>
            </div>
        </div>

        <div class="layui-form-item">
            <label class="layui-form-label">三级分销</label>
            <div class="layui-input-block col-sm-5" style="padding-left: 0px;">
                <div class="input-group">
                    <input type="number" name="extends[commission][rule][level_3][first_level_rate]" placeholder="0.00" value="<?php echo e($extendsData['goodsCommission']->rule['level_3']['first_level_rate']); ?>" class="form-control">
                    <div class="input-group-addon">% 固定</div>
                    <input type="number" name="extends[commission][rule][level_3][first_level_amount]" placeholder="0.00" value="<?php echo e($extendsData['goodsCommission']->rule['level_3']['first_level_amount']); ?>" class="form-control">
                    <div class="input-group-addon">元</div>
                </div>
            </div>
        </div>
    </div>
</div>


<?php $__env->startPush('scripts'); ?>
    <script type="text/javascript">
        layui.use('form', function () {
            var form = layui.form;
            form.on('radio(is_commission)', function (data) {
                var is_open= data.value;
                if(is_open==1){
                    $('.own_commission').show();
                }else{
                    $('.own_commission').hide();
                }
            });
            form.on('switch(open_own_commission)', function (data) {
                var is_open= data.elem.checked==true ? 1 : 0;
                if(is_open==1){
                    $('.open_own_commission').show();
                }else{
                    $('.open_own_commission').hide();
                }
            });
        });

    </script>
<?php $__env->stopPush(); ?>