<?php $__env->startPush('scripts'); ?>
    <script src="<?php echo e(URL::asset('/static/web/admin/goods.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<style>
    .layui-form-radio {
        margin: 0px;
    }

    .layui-form-select dl {
        z-index: 9990;
    }

    .lay-ext-mulitsel .layui-input.multiple a {
        height: auto;
    }
</style>
<input type="hidden" name="buyway" value="<?php echo e($buyway); ?>"/>
<div class="layui-form-item">
    <label class="layui-form-label">购买方式：</label>
    <div class="layui-input-block">
        <a href="<?php echo e(url()->current()); ?>?buyway=1" class="btn btn-success <?php echo e($buyway==2 ? 'btn-outline' : ''); ?>">店铺购买</a>
        <a href="<?php echo e(url()->current()); ?>?buyway=2" class="btn btn-success <?php echo e($buyway!=2 ? 'btn-outline' : ''); ?>">外链购买</a>
    </div>
</div>

<?php if($buyway==2): ?>
    <?php echo $__env->make('live::shop.goods.form_buyway2', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php else: ?>
    <?php echo $__env->make('live::shop.goods.form_buyway1', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        var categoryData = <?php  echo json_encode($category);  ?>;
        var selectCategoryData = <?php  echo json_encode((array)$goodsCategoryIds); ?>;
        var delSpecItemUrl = "<?php echo e(wgRoute('liveshopgoods.delSpecItem')); ?>";
        var delSpecUrl = "<?php echo e(wgRoute('liveshopgoods.delSpec')); ?>";
        layui.config({
            base: ''
        }).extend({
            selectN: "<?php echo e(URL::asset('/static/web/layui_extends/selectN')); ?>",
            selectM: "<?php echo e(URL::asset('/static/web/layui_extends/selectM')); ?>",
        }).use(['layer', 'form', 'jquery', 'selectN', 'selectM'], function () {
            $ = layui.jquery;
            var form = layui.form
                , selectM = layui.selectM;

            //多选标签-所有配置
            var tagIns2 = selectM({
                //元素容器【必填】
                elem: '#category_id'
                //候选数据【必填】
                , data: categoryData
                //默认值
                , selected: selectCategoryData
                //最多选中个数，默认5
                , max: 10
                //input的name 不设置与选择器相同(去#.)
                , name: 'category_id'
                //值的分隔符
                , delimiter: ','
                //添加验证
                , verify: 'required'
            });
        });
    </script>
<?php $__env->stopSection(); ?>


