
<?php $__env->startSection('title'); ?>
    直播分类
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" >
                            <label class="layui-form-label">uid:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" lay-verify="" placeholder="uid"
                                       value="<?php echo e(\Request::input('query.uid')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[nickname]" lay-verify="" placeholder="昵称"
                                       value="<?php echo e(\Request::input('query.nickname')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">真实姓名:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[realname]" lay-verify="" placeholder="真实姓名"
                                       value="<?php echo e(\Request::input('query.realname')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">手机号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[mobile]" lay-verify="" placeholder="手机号"
                                       value="<?php echo e(\Request::input('query.mobile')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">审核状态</label>
                            <div class="layui-input-inline">
                                <select name="query[status]" lay-verify="">
                                    <option value="" <?php if(\Request::input('query.status')==null): ?> selected <?php endif; ?>>全部</option>
                                    <option value="0" <?php if(\Request::input('query.status')!=null && \Request::input('query.status')==0): ?> selected <?php endif; ?>>未审核</option>
                                    <option value="1" <?php if(\Request::input('query.status')==1): ?> selected <?php endif; ?>>已审核</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">拉黑状态</label>
                            <div class="layui-input-inline">
                                <select name="query[is_black]" lay-verify="">
                                    <option value="" <?php if(\Request::input('query.is_black')==null): ?> selected <?php endif; ?>>全部</option>
                                    <option value="0" <?php if(\Request::input('query.is_black')!=null && \Request::input('query.is_black')==0): ?> selected <?php endif; ?>>正常</option>
                                    <option value="1" <?php if(\Request::input('query.is_black')==1): ?> selected <?php endif; ?>>拉黑</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">

                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>id</th>
                            <th>昵称</th>
                            <th>姓名/手机号码</th>
                            <th>累计佣金(元)</th>
                            <th>打款佣金(元)</th>
                            <th>下级分销商(个数)</th>
                            <th>注册时间</th>
                            <th>审核时间</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <?php echo e($list->uid); ?>

                                </td>
                                <td>
                                    <img src="<?php echo e($list->user->avatar); ?>" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                    <?php echo e($list->user->nickname); ?>

                                </td>
                                <td>
                                    <?php echo e($list->user->realname); ?>/<?php echo e($list->user->mobile); ?>

                                </td>
                                <td>
                                    <?php echo e($list->commission_total); ?>

                                </td>
                                <td>
                                    <?php echo e($list->pay_commission_total); ?>

                                </td>
                                <td>
                                    <?php echo e($list->my_child); ?>

                                </td>
                                <td>
                                    <?php echo e($list->user->created_at); ?>

                                </td>
                                <td>
                                    <?php echo e($list->examine_at); ?>

                                </td>
                                <td>
                                    <?php if($list->status==1): ?>
                                    <a  href="javascript:;" data-url="<?php echo e(wgRoute('livecommissionagent.change-status',[$list->id])); ?>" data-title="确定要取消审核吗" class="btn  btn-primary ajax-confirm">
                                        审核通过
                                    </a>
                                    <?php else: ?>
                                        <a  href="javascript:;" data-url="<?php echo e(wgRoute('livecommissionagent.change-status',[$list->id])); ?>" data-title="确定审核通过吗" class="btn  btn-warning ajax-confirm">
                                            未审核
                                        </a>
                                    <?php endif; ?>
                                    <?php if($list->is_black==1): ?>
                                            <a href="javascript:;" data-url="<?php echo e(wgRoute('livecommissionagent.change-black',[$list->id])); ?>" data-title="确定要取消黑名单吗" class="btn  btn-danger ajax-confirm">
                                                黑名单
                                            </a>
                                    <?php else: ?>
                                            <a href="javascript:;" data-url="<?php echo e(wgRoute('livecommissionagent.change-black',[$list->id])); ?>" data-title="确定要加入黑名单吗" class="btn  btn-primary ajax-confirm">
                                                正常
                                            </a>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a  href="javascript:;" data-url="<?php echo e(wgRoute('livecommissionagent.destroy',[$list->id])); ?>" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>