
<?php $__env->startSection('title'); ?>
    角色列表
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入商品名称" class="layui-input" value="<?php echo e(\Request::input('title')); ?>">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" >搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a href="javascript:;" data-url="<?php echo e(ShimmerLiveshopRoute('livegoods.select-goods')); ?>" class="btn btn-primary load_iframe" data-width="1000px" data-height="700px">选择商品</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $goods], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品ID</th>
                            <th style="width: 200px;">商品标题</th>
                            <th>商品图片</th>
                            <th>价格</th>
                            <th>库存</th>
                            <th>讲解状态</th>
                            <th>状态</th>
                            <th>绑定时间</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $goods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $good): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($good->goods_id); ?></th>
                                <th><?php echo e($good->title); ?></th>
                                <th>
                                    <img src="<?php echo e(tomedia($good->thumb)); ?>">
                                </th>
                                <th>
                                    市场价：<?php echo e($good->productprice); ?><br>
                                    销售价：<?php echo e($good->marketprice); ?><br>
                                    成本价：<?php echo e($good->costprice); ?><br>
                                </th>
                                <th><?php echo e($good->stock); ?></th>
                                <th>
                                    <button class="layui-btn <?php if($good->status==0 ): ?> layui-btn-danger <?php else: ?> layui-btn-primary <?php endif; ?>  layui-btn-xs" onclick="changeStatus(<?php echo e($good->id); ?>,0)">即将讲解</button>
                                    <button class="layui-btn <?php if($good->status==1 ): ?> layui-btn-danger <?php else: ?> layui-btn-primary <?php endif; ?> layui-btn-xs" onclick="changeStatus(<?php echo e($good->id); ?>,1)">讲解中</button>
                                    <button class="layui-btn <?php if($good->status==2 ): ?> layui-btn-danger <?php else: ?> layui-btn-primary <?php endif; ?> layui-btn-xs" onclick="changeStatus(<?php echo e($good->id); ?>,2)">讲解结束</button>
                                </th>
                                <th>
                                    <?php if($good->state==1): ?>
                                        <span class="text-success">上架</span>
                                    <?php else: ?>
                                        <span class="text-danger">下架</span>
                                    <?php endif; ?>
                                </th>
                                <th><?php echo e($good->created_at); ?></th>
                                <th><?php echo e($good->sort); ?></th>
                                <th>
                                    <a class="btn btn-primary load_prompt" data-url="<?php echo e(ShimmerLiveshopRoute('livegoods.change-sort',[$good->id])); ?>" data-title="<?php echo e($live->title); ?>" href="javascript:;">
                                        排序
                                    </a>
                                    <a href="javascript:;" data-url="<?php echo e(ShimmerLiveshopRoute('livegoods.destory',[$good->id])); ?>" class="btn ajax-confirm delete btn-danger">
                                        移除
                                    </a>
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $goods], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        function changeStatus(id,type) {
            $.ajax({
                url: "<?php echo e(ShimmerLiveshopRoute('livegoods.change-status')); ?>",
                type: 'POST',
                dateType: 'json',
                data: {id:id,status:type},
                success: function (res) {
                    if (res.errno == 0) {
                        location.reload();
                    } else {
                        layer.msg(res.message, {time: 2000, icon: 5});
                    }
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>    
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>