
<?php $__env->startSection('head'); ?>
    <style>
        .layui-table td {
            text-align: left;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-content">
                <div class="alert alert-success">
                    排序值越大，越靠前
                </div>
                <table class="layui-table">
                    <thead>
                    <tr>
                        <th>选择</th>
                        <th>ID</th>
                        <th>名称</th>
                        <th>首页图标</th>
                        <th>排序</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $categorys; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parent): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>顶级</td>
                            <td><?php echo e($parent['id']); ?></td>
                            <td style="color: blue">
                                |-----<?php echo e($parent['name']); ?>

                            </td>
                            <td>
                            </td>
                            <td>
                            </td>
                        </tr>
                        <?php $__currentLoopData = (array)$parent['child']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><input type="checkbox" class="check_item" data-id="<?php echo e($item['id']); ?>" <?php if(isset($categoryValues[$item['id']])): ?> checked <?php endif; ?>
                                           data-name="<?php echo e($item['name']); ?>"></td>
                                <td><?php echo e($item['id']); ?></td>
                                <td>
                                    |-----|-----<?php echo e($item['name']); ?>

                                </td>
                                <td>
                                    <img src="<?php echo e(tomedia($item['home_pic'])); ?>" class="rounded img-md"/>
                                </td>
                                <td>
                                    <input class="sort_<?php echo e($item['id']); ?>" type="number" value="<?php echo e($categoryValues[$item['id']]['sort']); ?>"
                                           style="width: 50px;height: 30px;padding: 2px"/>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div style="text-align: center">
                    <button class="btn btn-success confirm">确定</button>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        function sortByproperty(properyName) {
            var sortFun = function (obj1, obj2) {
                if (obj1[properyName] > obj2[properyName]) {
                    return -1;
                } else if (obj1[properyName] == obj2[properyName]) {
                    return 0;
                } else {
                    return 1;
                }
            }
            return sortFun;
        }

        $(".confirm").on('click', function () {
            var categorys = [];
            $(".check_item:checked").each(function (item) {
                var id = $(this).data('id');
                var name = $(this).data('name');
                var sort = parseInt($(".sort_" + id).val());
                if (!sort) {
                    sort = 0;
                }
                var category = {
                    'id': id,
                    'name': name,
                    'sort': sort,
                };
                categorys.push(category);
            });

            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.close(index);

            var categoryHtml = '';
            var categoryIds = '';

            categorys.sort(sortByproperty('sort'));
            var categoryValue = [];

            for (var i in categorys) {
                var category = categorys[i];
                categoryHtml += '<a href="javascript:;"><span lay-value="' + category.id + '">' + category.name + '</span></a>';
                categoryIds += category.id;

                if (i < Object.keys(categorys).length - 1) {
                    categoryIds += ',';
                }
                categoryValue.push(category);
            }

            $(".selectCategory", window.parent.document).html(categoryHtml);
            $(".categoryIds", window.parent.document).val(JSON.stringify(categoryValue));
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.layouts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>