<?php
/**
 * 商铺控制器
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/2/15
 * Time: 下午10:44
 */

namespace Shimmer_liveshop_plugin_merch\Http\Controllers\Api;

use Illuminate\Http\Request;
use Shimmer_liveshop_plugin_merch\Services\StoreService;

class StoreController extends Controller
{
    protected $store;


    public function __construct(Request $request)
    {
        parent::__construct($request);

        $this->store = StoreService::getUserStore($this->uid);

        $this->checkStore();
    }

    /**
     * 检测商铺
     */
    public function checkStore()
    {
        if (!\Illuminate\Support\Facades\App::runningInConsole()) {
            StoreService::checkStore($this->store);
        }
    }
}