<div class="tabs-container">
    <ul class="nav nav-tabs" role="tablist">
        <li><a class="nav-link active show" data-toggle="tab" href="#tab-1">基本</a></li>
        <li><a class="nav-link" data-toggle="tab" href="#tab-2">诚信商家</a></li>
    </ul>
    <div class="tab-content">
        <div role="tabpanel" id="tab-1" class="tab-pane active show">
            <div class="panel-body">
                <div class="layui-form-item">
                    <label class="layui-form-label label140width">是否开启多商户</label>
                    <div class="layui-input-block">
                        <input type="radio" name="config[enable]" value="1" @if($config['enable']==1) checked
                               @endif title="开启">
                        <input type="radio" name="config[enable]" value="0" @if($config['enable']==0) checked
                               @endif title="不开启">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label label140width">商户的可提现金额是否扣除分销佣金</label>
                    <div class="layui-input-block">
                        <input type="radio" name="config[is_deduct_commission]" value="0"
                               @if($config['is_deduct_commission']==0) checked @endif title="不扣除">
                        <input type="radio" name="config[is_deduct_commission]" value="1"
                               @if($config['is_deduct_commission']==1) checked @endif title="扣除">
                        <div class="form-text m-b-none">
                            例如: 订单金额100元,分销佣金10元
                            不扣除: 商户的可提现金额为100元
                            扣除: 商户的可提现金额为90元
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label label140width">商户税率</label>
                    <div class="layui-input-block">
                        <div class="input-group m-b" style="width: 300px">
                            <input type="text" class="form-control" name="config[settlement_rate]"
                                   value="{{$config['settlement_rate']}}">
                            <div class="input-group-append">
                                <span class="input-group-addon">%</span>
                            </div>
                            <div class="form-text m-b-none">
                                百分比，如百分之十税率，商家商品为标价100元，实际到商家账户为90元
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label label140width">商户提现方式</label>
                    <div class="layui-input-block">
                        <input type="checkbox" name="config[withdraw_weixin]" @if($config['withdraw_weixin']) checked
                               @endif title="提现到微信钱包" value="1">
                        <div class="layui-unselect layui-form-checkbox">
                            <span>提现到微信钱包</span>
                            <i class="layui-icon layui-icon-ok"></i>
                        </div>
                        <input type="checkbox" name="config[withdraw_alipay]" @if($config['withdraw_alipay']) checked
                               @endif title="手动提现到支付宝" value="1">
                        <div class="layui-unselect layui-form-checkbox">
                            <span>手动提现到支付宝</span>
                            <i class="layui-icon layui-icon-ok"></i>
                        </div>
                        <input type="checkbox" name="config[withdraw_bank]" @if($config['withdraw_bank']) checked
                               @endif title="手动提现到银行卡" value="1">
                        <div class="layui-unselect layui-form-checkbox">
                            <span>手动提现到银行卡</span>
                            <i class="layui-icon layui-icon-ok"></i>
                        </div>
                        <div class="form-text m-b-none">
                            支持的银行请到<a class="link-color" href="{{wgRoute('livesetting.system',['type'=>14])}}"
                                      target="_blank">【银行设置】</a>进行设置,使用手动提现到银行卡必须设置支持的银行
                            提示: 提现方式支持多选
                        </div>
                    </div>
                </div>

                <div class="layui-form-item">
                    <label class="layui-form-label label140width">商户提现限制</label>
                    <div class="layui-input-block">
                        <div class="input-group m-b" style="width: 300px">
                            <input type="text" class="form-control" name="config[withdraw_limit]"
                                   value="{{$config['withdraw_limit']}}">
                            <div class="input-group-append">
                                <span class="input-group-addon">元</span>
                            </div>
                        </div>
                    </div>
                    <div class="form-text m-b-none">
                        商户满多少才能提现,空或0不限制
                    </div>
                </div>
            </div>
        </div>

        <div role="tabpanel" id="tab-2" class="tab-pane">
            <div class="panel-body">
                <div class="layui-form-item">
                    <label class="layui-form-label">文案替换</label>
                    <div class="layui-input-block row">
                        <div class="input-group m-b col-md-6" style="padding-left: 0px">
                            <div class="input-group-prepend">
                                <span class="input-group-addon" style="line-height: inherit">诚信商家</span>
                            </div>
                            <input type="text" name="config[integrity][integrity_text]" class="form-control"
                                   value="{{$config['integrity']['integrity_text']}}">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">认证金额</label>
                    <div class="layui-input-block col-sm-3" style="padding-left: 0px">
                        <div class="input-group m-b">
                            <input type="text" class="form-control" name="config[integrity][money]" value="{{$config['integrity']['money']}}">
                            <div class="input-group-append">
                                <span class="input-group-addon">元</span>
                            </div>
                            <div class="form-text m-b-none">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label ">认证文案</label>
                    <div class="layui-input-block">
                        @php echo tpl_ueditor('config[integrity][approve]',$config['integrity']['approve']); @endphp
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label ">服务保障</label>
                    <div class="layui-input-block">
                        @php echo tpl_ueditor('config[integrity][service]',$config['integrity']['service']); @endphp
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
