<div class="layui-card">
    <div class="layui-card-header">基本资料</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>商户名称</label>
            <div class="layui-input-block">
                <input type="text" name="name" placeholder="请输入商户名称" value="{{$model->name}}" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>商户logo</label>
            <div class="layui-input-block">
                @php echo wg_tpl_form_field_image('logo',$model->logo); @endphp
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>宣传轮播图</label>
            <div class="layui-input-block">
                @php echo wg_tpl_form_field_multi_image('banners',$model->banners); @endphp
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>主营项目</label>
            <div class="layui-input-block">
                <input type="text" name="salecate" placeholder="请输入主营项目" value="{{$model->salecate}}"
                       class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>商户分类</label>
            <div class="layui-input-block">
                <select name="category_id" lay-verify="required" lay-filter="category_id">
                    @foreach($parentCategorys as $key=>$row)
                        <option value="{{$row->id}}"
                                @if($model->category_id==$row->id) selected @endif>{{$row->name}}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>联系人</label>
            <div class="layui-input-block">
                <input type="text" name="realname" placeholder="请输入联系人" value="{{$model->realname}}"
                       class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>联系电话</label>
            <div class="layui-input-block">
                <input type="text" name="mobile" placeholder="请输入联系电话" value="{{$model->mobile}}" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">商户简介</label>
            <div class="layui-input-block">
                <textarea id="intro" name="intro" class="layui-textarea">{{$model->intro}}</textarea>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">商户地区</label>
            <div class="layui-input-block">
                @php echo wg_tpl_form_field_district('region',$model->region); @endphp
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">商户地址</label>
            <div class="layui-input-block">
                <input type="text" name="address" placeholder="请输入商户地址" value="{{$model->address}}" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">商户电话</label>
            <div class="layui-input-block">
                <input type="text" name="tel" placeholder="请输入商户电话" value="{{$model->tel}}" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">商户位置</label>
            <div class="layui-input-block">
                @php echo wg_tpl_form_field_position('position',['lat'=>$model->lat,'lng'=>$model->lng]); @endphp
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">是否推荐</label>
            <div class="layui-input-block">
                <input type="radio" name="isrecommand" value="1" title="是" @if($model && $model->isrecommand==1) checked
                       @endif lay-filter="isrecommand">
                <input type="radio" name="isrecommand" value="0" title="否"
                       @if(!$model || $model->isrecommand==0) checked
                       @endif lay-filter="isrecommand">
            </div>
        </div>
    </div>
</div>
<div class="layui-card">
    <div class="layui-card-header">帐号信息</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label">商品数量</label>
            <div class="layui-input-block">
                <input type="text" name="maxgoods" placeholder="请输入商品数量" value="{{$model->maxgoods}}"
                       class="layui-input">
                <div class="form-text m-b-none">
                    商户可以创建的商品个数
                </div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">服务到期时间</label>
            <div class="layui-input-block">
                @php echo tpl_form_field_date('accountdate',$model->accountdate); @endphp
                <div class="form-text m-b-none">
                    商户账户有效期限
                </div>
            </div>
        </div>
    </div>
</div>
<div class="layui-card">
    <div class="layui-card-header">商户备注</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label">商户备注</label>
            <div class="layui-input-block">
                <textarea id="describe" name="remark" class="layui-textarea">{{$model->remark}}</textarea>
            </div>
        </div>
    </div>
</div>
<div class="layui-card">
    <div class="layui-card-header">入驻状态</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label">入驻状态</label>
            <div class="layui-input-block">
                <input type="radio" name="status" value="0" title="待入驻" @if(!$model || $model->status==0) checked
                       @endif lay-filter="status">
                <input type="radio" name="status" value="1" title="入驻中"
                       @if($model && $model->status==1) checked
                       @endif lay-filter="status">
                <input type="radio" name="status" value="2" title="暂停中"
                       @if($model && $model->status==2) checked
                       @endif lay-filter="status">
            </div>
        </div>
    </div>
</div>