<?php

$sql = "
CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `type` varchar(20) NOT NULL COMMENT '',
  `config` text NOT NULL COMMENT '',
  `created_at` int(10) NOT NULL DEFAULT 0,
  `updated_at` int(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `type` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='配置表';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_merch_goods_categories") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `store_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '' ,
  `sort` int(11) NOT NULL DEFAULT '0' ,
  `created_at` int(10) NOT NULL DEFAULT 0,
  `updated_at` int(10) NOT NULL DEFAULT 0,
  `deleted_at` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `store_id` (`store_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='店铺商品分类表';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_merch_goods_category_xrefs") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0' ,
  `goods_id` int(11) NOT NULL DEFAULT '0' ,
  `created_at` int(10) NOT NULL DEFAULT 0,
  `updated_at` int(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `goods_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商铺分类商品关联表';
";

we7ParseQuery($sql);