<?php
//升级数据表
pdo_query("CREATE TABLE IF NOT EXISTS `ims_fx_merchant_money_record` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) DEFAULT NULL,
  `merchantid` int(11) DEFAULT NULL COMMENT '主办方ID',
  `money` decimal(10,2) DEFAULT '0.00' COMMENT '变动金额',
  `createtime` varchar(145) DEFAULT NULL COMMENT '变动时间',
  `recordsid` int(11) DEFAULT NULL COMMENT '订单ID',
  `type` int(11) DEFAULT NULL COMMENT '1支付成功2核销成功纳入可结算金额3取消核销4主办方结算5退款6线下支付7手续费',
  `detail` text COMMENT '详情',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

");

if(!pdo_fieldexists('fx_merchant_money_record','id')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('fx_merchant_money_record','uniacid')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `uniacid` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('fx_merchant_money_record','merchantid')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `merchantid` int(11) DEFAULT NULL COMMENT '主办方ID'");}
if(!pdo_fieldexists('fx_merchant_money_record','money')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `money` decimal(10,2) DEFAULT '0.00' COMMENT '变动金额'");}
if(!pdo_fieldexists('fx_merchant_money_record','createtime')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `createtime` varchar(145) DEFAULT NULL COMMENT '变动时间'");}
if(!pdo_fieldexists('fx_merchant_money_record','recordsid')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `recordsid` int(11) DEFAULT NULL COMMENT '订单ID'");}
if(!pdo_fieldexists('fx_merchant_money_record','type')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `type` int(11) DEFAULT NULL COMMENT '1支付成功2核销成功纳入可结算金额3取消核销4主办方结算5退款6线下支付7手续费'");}
if(!pdo_fieldexists('fx_merchant_money_record','detail')) {pdo_query("ALTER TABLE ".tablename('fx_merchant_money_record')." ADD   `detail` text COMMENT '详情'");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `type` varchar(20) NOT NULL,
  `config` text NOT NULL,
  `updated_at` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `type` (`type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

");

if(!pdo_fieldexists('shimmer_liveshop_merch_configs','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   `uniacid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','type')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   `type` varchar(20) NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','config')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   `config` text NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   `updated_at` datetime NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   `created_at` datetime NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_configs','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_configs')." ADD   KEY `uniacid` (`uniacid`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_goods_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `store_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `sort` int(11) NOT NULL DEFAULT '0',
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  `deleted_at` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `store_id` (`store_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='店铺商品分类表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `uniacid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','store_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `store_id` int(11) NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','name')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `name` varchar(255) NOT NULL DEFAULT ''");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','sort')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `sort` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','deleted_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   `deleted_at` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_categories','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_categories')." ADD   KEY `uniacid` (`uniacid`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_goods_category_xrefs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  `goods_id` int(11) NOT NULL DEFAULT '0',
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `goods_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商铺分类商品关联表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   `uniacid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','category_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   `category_id` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','goods_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   `goods_id` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_goods_category_xrefs','category_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_goods_category_xrefs')." ADD   KEY `category_id` (`category_id`)");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_store_applies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `diyform_form_id` int(11) NOT NULL DEFAULT '0' COMMENT '申请表单id',
  `diyform_data_id` int(11) NOT NULL DEFAULT '0' COMMENT '申请表单数据id',
  `apply_limit` tinyint(1) NOT NULL DEFAULT '1' COMMENT '申请条件',
  `pay_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '付费支付金额',
  `consume_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '消费金额',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态0申请中 1.允许, 2.驳回',
  `reason` varchar(255) NOT NULL DEFAULT '' COMMENT '驳回原因',
  `jointime` int(11) NOT NULL DEFAULT '0' COMMENT '入驻时间',
  `deleted_at` int(11) DEFAULT NULL,
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_uniacid` (`uniacid`),
  KEY `idx_diyform_form_id` (`diyform_form_id`),
  KEY `idx_diyform_data_id` (`diyform_data_id`),
  KEY `idx_order_id` (`order_id`),
  KEY `idx_uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='商户申请表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `uniacid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `uid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','order_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `order_id` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','diyform_form_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `diyform_form_id` int(11) NOT NULL DEFAULT '0' COMMENT '申请表单id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','diyform_data_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `diyform_data_id` int(11) NOT NULL DEFAULT '0' COMMENT '申请表单数据id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','apply_limit')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `apply_limit` tinyint(1) NOT NULL DEFAULT '1' COMMENT '申请条件'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','pay_money')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `pay_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '付费支付金额'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','consume_money')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `consume_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '消费金额'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','status')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态0申请中 1.允许, 2.驳回'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','reason')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `reason` varchar(255) NOT NULL DEFAULT '' COMMENT '驳回原因'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','jointime')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `jointime` int(11) NOT NULL DEFAULT '0' COMMENT '入驻时间'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','deleted_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `deleted_at` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','idx_uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   KEY `idx_uniacid` (`uniacid`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','idx_diyform_form_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   KEY `idx_diyform_form_id` (`diyform_form_id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','idx_diyform_data_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   KEY `idx_diyform_data_id` (`diyform_data_id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_applies','idx_order_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_applies')." ADD   KEY `idx_order_id` (`order_id`)");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_store_bills` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id',
  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT '订单id',
  `store_id` int(11) NOT NULL DEFAULT '0' COMMENT '商户id',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '金额',
  `platform_deduct` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '平台扣除',
  `commission_deduct` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '佣金扣除',
  `category` tinyint(1) NOT NULL DEFAULT '1' COMMENT '事件类型',
  `money_type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '金额类型 1.待结算 2余额',
  `income` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1.收入 2.支出 3.流转',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `deleted_at` int(11) DEFAULT NULL,
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_uniacid` (`uniacid`),
  KEY `idx_uid` (`uid`),
  KEY `idx_order_id` (`order_id`),
  KEY `idx_store_id` (`store_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商户账单表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `uniacid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','order_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `order_id` int(11) NOT NULL DEFAULT '0' COMMENT '订单id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','store_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `store_id` int(11) NOT NULL DEFAULT '0' COMMENT '商户id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','money')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '金额'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','platform_deduct')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `platform_deduct` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '平台扣除'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','commission_deduct')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `commission_deduct` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '佣金扣除'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','category')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `category` tinyint(1) NOT NULL DEFAULT '1' COMMENT '事件类型'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','money_type')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `money_type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '金额类型 1.待结算 2余额'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','income')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `income` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1.收入 2.支出 3.流转'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','remark')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','deleted_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `deleted_at` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','idx_uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   KEY `idx_uniacid` (`uniacid`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','idx_uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   KEY `idx_uid` (`uid`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_bills','idx_order_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_bills')." ADD   KEY `idx_order_id` (`order_id`)");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_store_relations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT '用户ID',
  `store_id` int(10) unsigned NOT NULL COMMENT '店铺ID',
  `type` varchar(32) NOT NULL COMMENT '类型(收藏(collect）、点赞(like))',
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `type` (`type`) USING BTREE,
  KEY `store_id` (`store_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户店铺点赞和收藏关联表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   `uniacid` int(11) NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   `uid` int(10) unsigned NOT NULL COMMENT '用户ID'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','store_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   `store_id` int(10) unsigned NOT NULL COMMENT '店铺ID'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','type')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   `type` varchar(32) NOT NULL COMMENT '类型(收藏(collect）、点赞(like))'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_relations','type')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_relations')." ADD   KEY `type` (`type`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_store_visits` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL,
  `store_id` int(11) NOT NULL COMMENT '店铺ID',
  `uid` int(11) NOT NULL COMMENT '用户ID',
  `type` char(50) NOT NULL COMMENT '类型',
  `visit_date` date NOT NULL COMMENT '访问日',
  `count` int(11) NOT NULL COMMENT '访问次数',
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `store_id` (`store_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='店铺浏览分析表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD 
  `id` int(10) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `uniacid` int(11) NOT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','store_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `store_id` int(11) NOT NULL COMMENT '店铺ID'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `uid` int(11) NOT NULL COMMENT '用户ID'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','type')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `type` char(50) NOT NULL COMMENT '类型'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','visit_date')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `visit_date` date NOT NULL COMMENT '访问日'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','count')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `count` int(11) NOT NULL COMMENT '访问次数'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_store_visits','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_store_visits')." ADD   PRIMARY KEY (`id`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_merch_stores` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT '0',
  `apply_id` int(11) NOT NULL DEFAULT '0' COMMENT '申请id',
  `category_id` int(11) NOT NULL DEFAULT '0' COMMENT '分类id',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '商户名称',
  `logo` varchar(255) NOT NULL DEFAULT '' COMMENT '商户Logo',
  `banners` varchar(1000) NOT NULL DEFAULT '' COMMENT '商户宣传轮播图',
  `region` varchar(255) NOT NULL DEFAULT '' COMMENT '省市区',
  `salecate` varchar(255) NOT NULL DEFAULT '' COMMENT '主营项目',
  `address` varchar(255) NOT NULL DEFAULT '' COMMENT '商户地址',
  `realname` varchar(255) NOT NULL DEFAULT '' COMMENT '联系人',
  `mobile` varchar(255) NOT NULL DEFAULT '' COMMENT '联系电话',
  `accounttime` int(11) NOT NULL DEFAULT '0' COMMENT '服务到期时间',
  `applytime` int(11) NOT NULL DEFAULT '0' COMMENT '申请时间',
  `jointime` int(11) NOT NULL DEFAULT '0' COMMENT '入驻时间',
  `tel` varchar(255) NOT NULL DEFAULT '' COMMENT '商户电话',
  `lat` varchar(255) NOT NULL DEFAULT '' COMMENT '维度',
  `lng` varchar(255) NOT NULL DEFAULT '' COMMENT '经度',
  `notice` varchar(255) NOT NULL DEFAULT '' COMMENT '公告',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态0代入驻，1.入驻中, 2.暂停中',
  `saletime` varchar(255) NOT NULL DEFAULT '' COMMENT '营业时间',
  `isrecommand` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否推荐',
  `is_integrity` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是诚信商家',
  `integrity_order_id` int(11) NOT NULL DEFAULT '0' COMMENT '诚信商家订单id',
  `remark` text COMMENT '商户备注',
  `intro` text COMMENT '商户简介',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `pay_uid` int(11) NOT NULL DEFAULT '0' COMMENT '收款人',
  `maxgoods` int(11) NOT NULL DEFAULT '0' COMMENT '商品数量限制',
  `pay_rate` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '收款比例',
  `balance_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '账户余额',
  `pending_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '待结算',
  `withdrawn_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '已提现',
  `deleted_at` int(11) DEFAULT NULL,
  `created_at` int(10) NOT NULL DEFAULT '0',
  `updated_at` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_uniacid` (`uniacid`),
  KEY `idx_uid` (`uid`),
  KEY `idx_integrity_order_id` (`integrity_order_id`),
  KEY `idx_category_id` (`category_id`),
  KEY `idx_pay_uid` (`pay_uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='商户表';

");

if(!pdo_fieldexists('shimmer_liveshop_merch_stores','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `uniacid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `uid` int(11) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','apply_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `apply_id` int(11) NOT NULL DEFAULT '0' COMMENT '申请id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','category_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `category_id` int(11) NOT NULL DEFAULT '0' COMMENT '分类id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','name')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `name` varchar(255) NOT NULL DEFAULT '' COMMENT '商户名称'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','logo')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `logo` varchar(255) NOT NULL DEFAULT '' COMMENT '商户Logo'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','banners')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `banners` varchar(1000) NOT NULL DEFAULT '' COMMENT '商户宣传轮播图'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','region')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `region` varchar(255) NOT NULL DEFAULT '' COMMENT '省市区'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','salecate')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `salecate` varchar(255) NOT NULL DEFAULT '' COMMENT '主营项目'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','address')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `address` varchar(255) NOT NULL DEFAULT '' COMMENT '商户地址'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','realname')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `realname` varchar(255) NOT NULL DEFAULT '' COMMENT '联系人'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','mobile')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `mobile` varchar(255) NOT NULL DEFAULT '' COMMENT '联系电话'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','accounttime')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `accounttime` int(11) NOT NULL DEFAULT '0' COMMENT '服务到期时间'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','applytime')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `applytime` int(11) NOT NULL DEFAULT '0' COMMENT '申请时间'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','jointime')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `jointime` int(11) NOT NULL DEFAULT '0' COMMENT '入驻时间'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','tel')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `tel` varchar(255) NOT NULL DEFAULT '' COMMENT '商户电话'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','lat')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `lat` varchar(255) NOT NULL DEFAULT '' COMMENT '维度'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','lng')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `lng` varchar(255) NOT NULL DEFAULT '' COMMENT '经度'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','notice')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `notice` varchar(255) NOT NULL DEFAULT '' COMMENT '公告'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','status')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态0代入驻，1.入驻中, 2.暂停中'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','saletime')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `saletime` varchar(255) NOT NULL DEFAULT '' COMMENT '营业时间'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','isrecommand')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `isrecommand` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否推荐'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','is_integrity')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `is_integrity` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是诚信商家'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','integrity_order_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `integrity_order_id` int(11) NOT NULL DEFAULT '0' COMMENT '诚信商家订单id'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','remark')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `remark` text COMMENT '商户备注'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','intro')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `intro` text COMMENT '商户简介'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','sort')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','pay_uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `pay_uid` int(11) NOT NULL DEFAULT '0' COMMENT '收款人'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','maxgoods')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `maxgoods` int(11) NOT NULL DEFAULT '0' COMMENT '商品数量限制'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','pay_rate')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `pay_rate` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '收款比例'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','balance_money')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `balance_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '账户余额'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','pending_money')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `pending_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '待结算'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','withdrawn_money')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `withdrawn_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '已提现'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','deleted_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `deleted_at` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','created_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `created_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','updated_at')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   `updated_at` int(10) NOT NULL DEFAULT '0'");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','idx_uniacid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   KEY `idx_uniacid` (`uniacid`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','idx_uid')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   KEY `idx_uid` (`uid`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','idx_integrity_order_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   KEY `idx_integrity_order_id` (`integrity_order_id`)");}
if(!pdo_fieldexists('shimmer_liveshop_merch_stores','idx_category_id')) {pdo_query("ALTER TABLE ".tablename('shimmer_liveshop_merch_stores')." ADD   KEY `idx_category_id` (`category_id`)");}
