<?php
namespace App\Common\Ali;

use App\Services\ConfigService;

class CreatePushServices{

    /**
     * @param $model
     * 直播间推流配置
     */
    public static function liveRecordConfig($model){
        $config = ConfigService::getValueByType(2);

        $params["DomainName"] = $config['domain_name'];
        $params["AppName"] =$model->id.'_'.$model->uniacid;

        $params["OssEndpoint"] = $config['oss_endpoint'];
        $params["OssBucket"] = $config['oss_bucket'];

        $params["RecordFormat.1.Format"] = 'm3u8';

        $params["RecordFormat.1.OssObjectPrefix"] = 'record/m3u8/'.$model->id.'_'.$model->uniacid.'/'.$model->uniacid.'_'.$model->id.'/{Sequence}_{StartTime}_{EndTime}';

        $params["RecordFormat.1.SliceOssObjectPrefix"] = 'record/'.$model->id.'_'.$model->uniacid.'/'.$model->uniacid.'_'.$model->id.'/{UnixTimestamp}_{Sequence}';

        $params["RecordFormat.2.Format"] = 'mp4';
        $params["RecordFormat.2.OssObjectPrefix"] = 'record/mp4/'.$model->id.'_'.$model->uniacid.'/'.$model->uniacid.'_'.$model->id.'/{Sequence}_{StartTime}_{EndTime}';
        $params["RecordFormat.2.SliceOssObjectPrefix"] = 'record/'.$model->id.'_'.$model->uniacid.'/'.$model->uniacid.'_'.$model->id.'/{UnixTimestamp}_{Sequence}';

        $params["RecordFormat.1.CycleDuration"] = 21600;
        $params["RecordFormat.2.CycleDuration"] = 21600;

        $string = LiveServices::compose($params,'AddLiveAppRecordConfig');
        $response = ihttp_get($string);
    }
}
?>