<?php
/**
 * Created by PhpStorm.
 * User: Wangqing
 * Date: 2018/7/12
 * Time: 21:46
 */

namespace App\Common;

class Url
{
    public static function api($route, $params = [])
    {
        if(empty($route) || self::isHttps($route)){
            return $route;
        }
        $defaultParams = ['i'=>\Request::route('uniacid'),'route'=>$route];
        $params = array_merge($defaultParams, $params);

        return   '/addons/shimmer_liveshop/'. http_build_query($params);
    }


    public static function apiUrl($route, $params = [], $domain = '')
    {
        if(empty($route) || self::isHttps($route)){
            return $route;
        }
        empty($domain) && $domain = request()->getSchemeAndHttpHost();
        return $domain . self::api($route,$params);
    }

    public static function isHttps() {
        if ( !empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) !== 'off') {
            return true;
        } elseif ( isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https' ) {
            return true;
        } elseif ( !empty($_SERVER['HTTP_FRONT_END_HTTPS']) && strtolower($_SERVER['HTTP_FRONT_END_HTTPS']) !== 'off') {
            return true;
        }
        return false;
    }
}