<?php
/**
 * 一天跑一次订单
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/22
 * Time: 下午3:25
 */

namespace App\Console\Commands;

use App\Models\ShimmerLiveshopFollow;
use App\Models\ShimmerLiveshopUser;
use App\Services\AppService;
use \Illuminate\Console\Command;
use App\Modules\Admin\Models\Account;
class FixFollow extends Command
{
    protected $signature = 'fix:follow';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '订单日脚本';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //获取所有的小程序
        $uniacids = Account::getAllWxAppUniacid();

        foreach ($uniacids as $uniacid) {
            AppService::setUniacid($uniacid);
            $users = ShimmerLiveshopUser::get();
            foreach ($users as $user){

                $follow = ShimmerLiveshopFollow::where('uid',$user->id)->count();
                $follower = ShimmerLiveshopFollow::where('target_uid',$user->id)->count();
                $user->follower_num = $follower;
                $user->follow_num = $follow;
                $user->save();
                usleep(1000);
            }
        }

    }
}