<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Queue\SerializesModels;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;

class CommissionOrder
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $order_id;
    public $uniacid;
    public $type;//订单类型
    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->order_id=$data['order_id'];
        $this->type=$data['type'];
        $this->uniacid = Request()->route('uniacid');
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel|array
     */
    public function broadcastOn()
    {
        return new PrivateChannel('channel-name');
    }
}
