<?php

namespace App\Models;

/**
 * 微擎插件表
 * Class ModulesPlugin
 * @package App\Models
 */
class ModulesPlugin extends BaseModel
{
    public $timestamps = false;

    protected $table = 'modules_plugin';

    public function scopeName($query, $name)
    {
        return $query->where('name', $name);
    }

    public function scopeMainModule($query, $main)
    {
        return $query->where('main_module', $main);
    }
}