<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopAnchorPayLevel extends BaseUniacidModel
{
    use SoftDeletes;
    protected $guarded = [];
    public $dateFormat = "U";
    protected $scenarios = [
        'default' => ['uniacid','price','give_anchor_num','buy_anchor_rate','commission_rate','name','intro_pic','cost_price','intro','card_pic','content','open_ini_anchor_to_partner','ini_anchor_nums','to_partner_id'],
    ];

    public function validateFilter($data, $senario){
        return $data;
    }

    public function setCardPicAttribute($value){
        return $this->attributes['card_pic'] = wgTomedia($value);
    }

    public function setIntroPicAttribute($value){
        return $this->attributes['intro_pic'] = wgTomedia($value);
    }

}
