<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/5
 * Time: 9:01 PM
 */

namespace App\Models;

class ShimmerLiveshopGiftLog extends BaseUniacidModel
{
    public $guarded = [];
    public $dateFormat='U';
    protected $scenarios = [
        'default' => ['uniacid','live_id', 'uid', 'gift_id', 'gift_name', 'gift_image', 'gift_num', 'status', 'order_id', 'amount'],
    ];

    public static $status = [
        0 => '未支付',
        1 => '已支付'
    ];

    public function user(){
        return $this->hasOne(ShimmerLiveshopUser::class,'id','uid');
    }
}