<?php

/**
 * 直播间base model
 */

namespace App\Models;

class ShimmerLiveshopLiveLog extends BaseUniacidModel
{
    protected $guarded = [];
    public $dateFormat = "U";

    public function user(){
        return $this->hasOne(ShimmerLiveshopUser::class,'id','uid');
    }

    public function live(){
        return $this->hasOne(ShimmerLiveshopLive::class,'id','live_id');
    }

    public function getVideoStartAttribute($video_start){
        return $video_start ? date('Y-m-d H:i:s',$video_start) : '';
    }

    public function getVideoEndAttribute($video_end){
        return $video_end ? date('Y-m-d H:i:s',$video_end) : '';
    }
}
