<?php
namespace App\Modules\Admin\Http\Controllers;

use App\Modules\Admin\Models\Role;
use App\Modules\Admin\Services\MenuService;
use App\Modules\Admin\Services\PermissionService;
use Illuminate\Http\Request;

class RoleController extends Controller {

    public function index(){
//        $s = 'a:5:{s:9:"sdk_appid";s:10:"1400171471";s:12:"account_type";s:5:"36862";s:8:"user_sig";s:320:"eJxlj0FPgzAARu-8ioazkRZoYSYeFjORictkm5temqbttDgYlFq3Gf-7FJeI8fzely-vwwEAuPNsds44375Vhpp9LV1wAVzonv3CulaCMkMDLf5BuauVlpStjdQdRBhjH8K*o4SsjFqrk8FEqaoebsUr7T5*9iGEKEJhhPqKeu7g3WhxlSaQNLFnDyt*k7SGjB8nDxuJWELgbuAVOM3ttHnyS83IYahGw-cxE7e6zJcbOcinq2W4b*bCcl5IJLICB5MXfG29NkvvF5e9S6NKeQoKSRTHwZ8kK3WrtlUn*BBh5H-x72rn0zkCElJdIg__";s:10:"identifier";s:5:"admin";s:7:"room_id";s:14:"@TGS#bKIC3LSFA";}';
//        $s = array(
//            'sdk_appid'=>'1400032307',
//            'account_type'=>'13195',
//            'user_sig'=>'admin',
//            'identifier'=>'eJx10E9PwjAYx-H7XkXTa432jx1g4gFHiYwRJVMwXJpm7UYhq8vWMdH43o1A4i4*198n*SbPVwAAgC9Jeq2y7L11XvpjZSC4A5AwMuLw6g9UldVSeclqfQa3GGNGGR70lPmobG2kyr2pz4oPwiH*vZ6y2jhvc3sxSpfW9eZG7*Up93*nscVpXIjXaLac0C6dvHWfHImcLVHh2jgsaTSnaRy1Tzdoi*lqvl5MUSzGs0KrB9PsD2Pb*LU7JBuNwtUOJxuxe5wqu9WZ5s1zR0mbi-te0tvy8hnOCMF4SEcw*A5*AGWqVx8_',
//            'room_id'=>'@TGS#aF6I72ZE3',
//        );
//        echo "<pre>";
//        print_r(iserializer($s));exit;
        $roles = Role::paginate(Role::PAGE_SIZE);
        return view('admin::role.index',compact('roles'));
    }

    public function create(){
        $model = new Role();
        return view('admin::role.create',compact('model'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,Role::instance(),'store');
        $menuModel = new Role();
        $menuModel->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit($id){
        $model = Role::find($id);
        return view('admin::role.edit',compact('model'));
    }

    public function update(Request $request,$id){
        $data = $this->validateScenario($request,Role::instance(),'update');
        $menuModel = Role::find($id);
        $menuModel->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function change(Request $request,$id){
        $menuModel = Role::find($id);
        $menuModel->status=(int)$request->input('value');
        $menuModel->save();
        return $this->result(0,'ok');
    }

    public function empower($id){
        $menu = MenuService::getAllMenuLists($id);
        return view('admin::role.empower',compact('menu','id'));
    }

    public function empowersave(Request $request){
        PermissionService::roleSave($request->input());
        return $this->result(0,'ok');
    }

    public function destroy($id){
        $model = Role::find($id);
        $model->delete();
        return $this->result(0,'ok');
    }
}