<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/5
 * Time: 9:01 PM
 */
namespace App\Modules\Admin\Models;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\Builder;
class Menu extends BaseModel
{
    protected $table = 'shimmer_liveshop_menus';
    public $timestamps = false;
    public $guarded = [];
    protected $scenarios = [
        'default' => ['name','sort','type','route','status','pid','ico','describe']
    ];

    public static function boot()
    {
        parent::boot();
        static::addGlobalScope(function (Builder $builder) {
            $builder->where(['type'=>'admin']);
        });
    }

    public function scopeSearchIds($query,$ids){
        if ($ids && is_array($ids)){
            return $query->whereIn('id',$ids);
        }
    }

    public function setTypeAttribute(){
        $this->attributes['type'] = 'admin';
    }
}