<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>后台管理
        @if(View::hasSection('page_title'))
            | @yield('page_title')
        @endif
    </title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    @include('admin::layouts.css')
    @stack('stylesheets')
    @yield('head')
</head>
<script type="text/javascript">
    if(navigator.appName == 'Microsoft Internet Explorer'){
        if(navigator.userAgent.indexOf("MSIE 5.0")>0 || navigator.userAgent.indexOf("MSIE 6.0")>0 || navigator.userAgent.indexOf("MSIE 7.0")>0) {
            alert('您使用的 IE 浏览器版本过低, 推荐使用 Chrome 浏览器或 IE8 及以上版本浏览器.');
        }
    }
    window.sysinfo = {
    @if( !empty($_W['uniacid']))'uniacid': '{{$_W['uniacid']}}',@endif
    @if( !empty($_W['acid']))'acid': '{{$_W['acid']}}',@endif
    @if( !empty($_W['openid']))'openid': '{{$_W['openid']}}',@endif
    @if( !empty($_W['uid']))'uid': '{{$_W['uid']}}',@endif
    @if( !empty($_W['role']))'role': '{{$_W['role']}}',@endif
    'isfounder': @if( !empty($_W['isfounder'])) 1 @else 0 @endif,
        'family': '{{IMS_FAMILY}}',
            'siteroot': '{{$_W['siteroot']}}',
            'siteurl': '{{$_W['siteurl']}}',
            'attachurl': '{{$_W['attachurl']}}',
            'attachurl_local': '{{$_W['attachurl_local']}}',
            'attachurl_remote': '{{$_W['attachurl_remote']}}',
            'module' : {'url' : '@if( defined('MODULE_URL')){{MODULE_URL}}@endif', 'name' : '@if( defined('IN_MODULE')){{IN_MODULE}}@endif'},
        'cookie' : {'pre': '{{$_W['config']['cookie']['pre']}}'},
        'account' : @php echo json_encode($_W['account']);@endphp,
        'server' : {'php' : '@php echo phpversion();@endphp'},
    };
</script>
<body>
@include('admin::layouts.js')
@stack('scripts')
@include('admin::layouts.toastr')

<div id="wrapper">
    @include('admin::layouts.menu')
    <div id="page-wrapper" class="gray-bg">
        @include('admin::layouts.top')
        @include('admin::layouts.nav')
        <div class="wrapper wrapper-content animated fadeInRight">
            @yield('content')
        </div>
        @include('admin::layouts.copyright')
    </div>
</div>
@yield('script')

</body>
</html>
