<nav class="navbar-default navbar-static-side" role="navigation">
    <div class="sidebar-collapse">
        <ul class="nav metismenu" id="side-menu">
            <li class="nav-header">
                <div class="dropdown profile-element">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <span class="block m-t-xs font-bold">{{Auth::guard('manager')->user()->username}}</span>
                        <span class="text-muted text-xs block">管理<b class="caret"></b></span>
                    </a>
                    <ul class="dropdown-menu animated fadeInRight m-t-xs">
                        <li><a class="dropdown-item" href="{{Request()->getSchemeAndHttpHost()}}">返回系统</a></li>
                    </ul>
                </div>
                <div class="logo-element">
                    微光
                </div>
            </li>
            @foreach($leftMenuData as $key=>$menuData)
                <li @if($menuData['active']) class="active" @endif>
                    <a href="{{isset($menuData['child']) ? 'javascript:;' : $menuData['url']}}">
                        <i class="fa {{$menuData['ico']}}"></i>
                        <span class="nav-label">{{$menuData['name']}}</span>
                        @if(isset($menuData['child']))
                            <span class="fa arrow"></span>
                        @endif
                    </a>
                    @if(isset($menuData['child']))
                        <ul class="nav nav-second-level collapse">
                            @foreach($menuData['child'] as $key=>$md)
                                <li class="{{ $md['active'] ? 'active' : ''}}">
                                    <a href="{{$md['url']}}">
                                        {{$md['name']}}
                                    </a>
                                </li>
                            @endforeach
                        </ul>
                    @endif
                </li>
            @endforeach
        </ul>
    </div>
</nav>