<div class="layui-form-item">
    <label class="layui-form-label">菜单名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" required  lay-verify="required" placeholder="请输入菜单名称" autocomplete="off" value="{{$model->name}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">顶级菜单</label>
    <div class="layui-input-block">
        <select name="pid" lay-verify="required">
            <option value="0">顶级菜单</option>
            @foreach($menu as $k=>$item)
                <option value="{{$item['id']}}" @if($model->pid==$item['id']) selected @endif>{{$item['delimiter']}}{{$item['name']}}</option>
            @endforeach
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input id="sort" type="number" value="500" name="sort" required="" class="layui-input" value="{{$model->sort}}">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">路由名称</label>
    <div class="layui-input-block">
        <input id="route" type="text" class="form-control" name="route" class="layui-input" value="{{$model->route}}">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">状态</label>
    <div class="layui-input-block">
        <input type="radio" name="status" value="1" @if($model->status==1) checked @endif title="启用">
        <input type="radio" name="status" value="0" @if($model->status==0) checked @endif title="禁用">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">菜单图标</label>
    <div class="layui-input-block">
        <input id="icon"  type="text" value="{{$model->ico}}" class="form-control" name="ico" style="width: 150px; float:left; margin-right: 10px;">
        <a href="javascript:void(0);" class="btn btn-info ajax_load" id="child" data-url="{{route('adminmenu.icon')}}" data-width="1000px" data-height="80%">选择ico</a>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">描述</label>
    <div class="layui-input-block">
        <textarea id="describe" name="describe" class="layui-textarea">{{$model->describe}}</textarea>
    </div>
</div>
<script>
    document.getElementById("icon").value;
</script>