<div class="form-group  row">
    <label class="col-sm-2 col-form-label">静态文本</label>
    <div class="col-sm-10">
        <p class="form-control-static">email@example.com</p>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">正常</label>
    <div class="col-sm-10">
        <input type="text" name="config[text]" class="form-control" value="{{$config['text']}}" placeholder="请输入文本">
        <span class="form-text m-b-none">这里可以显示说明、帮助、描述等信息</span>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">单选框</label>
    <div class="col-sm-10">
        <input type="radio" name="radiotest" value="1" title="选项1"/>
        <input type="radio" name="radiotest" value="1" title="选项2"/>
        <input type="radio" name="radiotest" value="1" title="选项3" disabled/>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">复选框</label>
    <div class="col-sm-10">
        <input type="checkbox" name="like[write]" lay-skin="primary" title="写作">
        <input type="checkbox" name="like[read]" lay-skin="primary" title="阅读" checked="">
        <input type="checkbox" name="like[game]" lay-skin="primary" title="游戏">
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">下拉框</label>
    <div class="col-sm-10">
        <select class="form-control m-b" name="account">
            <option>选项 1</option>
            <option>选项 2</option>
            <option>选项 3</option>
            <option>选项 4</option>
        </select>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">输入组</label>
    <div class="col-sm-10">
        <div class="input-group m-b">
            <div class="input-group-prepend">
                <span class="input-group-addon">@</span>
            </div>
            <input type="text" placeholder="用户名" class="form-control">
        </div>
        <div class="input-group m-b">
            <input type="text" class="form-control">
            <div class="input-group-append">
                <span class="input-group-addon">.00</span>
            </div>
        </div>
        <div class="input-group m-b">
            <div class="input-group-prepend">
                <span class="input-group-addon">$</span>
            </div>
            <input type="text" class="form-control">
            <div class="input-group-append">
                <span class="input-group-addon">.00</span>
            </div>
        </div>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">按钮输入</label>
    <div class="col-sm-10">
        <div class="input-group m-b">
            <span class="input-group-prepend">
                  <button type="button" class="btn btn-primary">搜索!</button>
            </span>
            <input type="text" class="form-control">
        </div>
        <div class="input-group">
            <input type="text" class="form-control">
            <span class="input-group-append">
                <button type="button" class="btn btn-primary">
                    Go!
                </button>
            </span>
        </div>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">文本域</label>
    <div class="col-sm-10">
        <textarea name="desc" placeholder="请输入内容" class="layui-textarea"></textarea>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">开关</label>
    <div class="col-sm-10">
        <input type="checkbox" name="zzz" lay-skin="switch" lay-text="开启|关闭">
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">日期时间选择</label>
    <div class="col-sm-10">
        <input type="text" class="layui-input" id="calendar" name="start_at" placeholder="">
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">日期选择</label>
    <div class="col-sm-10">
        <input type="text" class="layui-input" id="datetest" name="datetest" placeholder="">
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">省市区</label>
    <div class="col-sm-10">
        @php echo wg_tpl_form_field_district('area'); @endphp
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">颜色选择</label>
    <div class="col-sm-10">
        @php echo tpl_form_field_color('color','#765432'); @endphp
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">富文本编辑器</label>
    <div class="col-sm-10">
        @php echo tpl_ueditor('content','测试文本'); @endphp
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">图片选择选择</label>
    <div class="col-sm-10">
        @php echo wg_tpl_form_field_image('color'); @endphp
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">多图片选择</label>
    <div class="col-sm-10">
        @php echo wg_tpl_form_field_multi_image('color'); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">收费类型</label>
    <div class="layui-input-block">
        <div class="layui-tab layui-tab-card" lay-filter="limit_type">
            <ul class="layui-tab-title">
                <li class="layui-this">公开</li>
                <li>加密</li>
                <li>收费</li>
            </ul>
            <div class="layui-tab-content">
                <div class="layui-tab-item layui-show">
                    <span>公开直播,所有人可以进来观看</span>
                </div>
                <div class="layui-tab-item">
                    <span>密码：</span>
                    <input id="password" name="password" type="text" value="" placeholder="请输入话题密码" class="layui-input">
                </div>
                <div class="layui-tab-item">
                    <span>直播时收费（元）：</span>
                    <input id="price" name="price" type="text" value="" placeholder="入场付费金额(元),付费金额需大于1元" class="layui-input">
                    <span>回放时收费（元）：</span>
                    <input id="backprice" name="backprice" type="text" value="" placeholder="结束后付费金额(元),付费金额需大于1元" class="layui-input">
                </div>
                <div style="margin-top: 15px;">
                    请设置是否实时回放：
                    <div style="margin: 5px 0px;">
                        <input type="radio" name="sex" value="0" title="结束后回放（结束话题后才生成回放视频）" checked="">
                    </div>
                    <div>
                        <input type="radio" name="sex" value="1" title="实时回放 （将已推流的视频进行实时回放，不影响直播状态）" checked="">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section('script')
    <script>
        layui.use(['laydate','element'], function(){
            var laydate = layui.laydate,element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '#calendar'
                , type: 'datetime'
            });
            laydate.render({
                elem: '#datetest'
                , type: 'date'
            });
            element.on('tab(limit_type)', function(data){
                console.log(1111,data.index);
            });
        });
    </script>
@endsection
