<div class="form-group  row">
    <label class="col-sm-2 col-form-label">短信服务商</label>
    <div class="col-sm-10">
        <input type="radio" lay-filter="smstype" name="config[smstype]" value="1" id="sms1"
               @if(empty($config['smstype']) || $config['smstype']==1) checked @endif title="聚合数据"/>
        <input type="radio" lay-filter="smstype" name="config[smstype]" value="2" id="sms2"
               @if($config['smstype']==2) checked @endif title="阿里云短信"/>
        <input type="radio" lay-filter="smstype" name="config[smstype]" value="3" id="sms3"
               @if($config['smstype']==3) checked @endif title="阿里云通信"/>
    </div>
</div>
<div class="sms_config sms_config1">
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">AppKey</label>
        <div class="col-sm-10">
            <input type="text" name="config[appkey]" class="form-control" value="{{$config['appkey']}}"
                   placeholder="">
            <span class="form-text m-b-none">请填写聚合数据AppKey<a href="https://www.juhe.cn/" target="_blank">&nbsp;&nbsp;申请</a></span>
        </div>
    </div>
</div>
<div class="sms_config sms_config2">
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">App code</label>
        <div class="col-sm-10">
            <input type="text" name="config[app_code]" class="form-control" value="{{$config['app_code']}}"
                   placeholder="">
            <span class="form-text m-b-none">请填写阿里云短信App code<a href="https://market.aliyun.com/products/57002003/cmapi011900.html" target="_blank">&nbsp;&nbsp;申请</a></span>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">签名</label>
        <div class="col-sm-10">
            <input type="text" name="config[alisignname]" class="form-control" value="{{$config['alisignname']}}"
                   placeholder="">
            <span class="form-text m-b-none">必须与阿里云短信申请的签名保持一致</span>
        </div>
    </div>
</div>
<div class="sms_config sms_config3">
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">Access Key ID</label>
        <div class="col-sm-10">
            <input type="text" name="config[access_key_id]" class="form-control" value="{{$config['access_key_id']}}"
                   placeholder="">
            <span class="form-text m-b-none">请填写阿里云通信Access Key ID<a href="https://ak-console.aliyun.com" target="_blank">&nbsp;&nbsp;申请</a></span>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">Access Key Secret</label>
        <div class="col-sm-10">
            <input type="text" name="config[access_key_secret]" class="form-control" value="{{$config['access_key_secret']}}"
                   placeholder="">
            <span class="form-text m-b-none">请填写阿里云通信Access Key Secret<a href="https://ak-console.aliyun.com" target="_blank">&nbsp;&nbsp;申请</a></span>
        </div>
    </div>
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">签名</label>
        <div class="col-sm-10">
            <input type="text" name="config[aliaccsignname]" class="form-control" value="{{$config['aliaccsignname']}}"
                   placeholder="">
            <span class="form-text m-b-none">必须与阿里云通信申请的签名保持一致</span>
        </div>
    </div>
</div>
@section('script')
    <script>
        var smstype = "{{$config['smstype']}}";
        if (!smstype) {
            smstype = 1;
        }

        $(".sms_config").hide();
        $(".sms_config" + smstype).show();

        layui.use(["layer", "form", "upload"], function () {
            var form = layui.form;
            form.on('radio(smstype)', function (data) {
                var smstype = data.value;//data.elem
                $(".sms_config").hide();
                $(".sms_config" + smstype).show();
            });
        });
    </script>
@endsection
