<?php
namespace App\Modules\Admin\Services;

use App\Modules\Admin\Models\Permission;

class PermissionService{

    /**
     * @param $data
     * @throws \Exception
     * 保存权限菜单
     */
    public static function roleSave($data){
        Permission::where('role_id',intval($data['id']))->delete();
        if (is_array($data['ids'])){
            foreach ($data['ids'] as $ids){
                $model = new Permission();
                $model->role_id = intval($data['id']);
                $model->menu_id = $ids;
                $model->save();
            }
        }
    }

    /**
     * @param $role_id
     * @return \Illuminate\Support\Collection
     * 获取权限拥有菜单
     */
    public static function getRole($role_id){
        if (!$role_id) return collect([]);
        $result = Permission::where('role_id',$role_id)->pluck('menu_id','id');
        return $result;
    }
}