<?php
namespace App\Modules\Live\Http\Controllers\LivePic;
use App\Common\Image;
use App\Models\ShimmerLiveshopPic;
use App\Modules\Live\Http\Controllers\Controller;
use App\Modules\Live\Models\ShimmerLiveshopCategory;
use App\Modules\Live\Services\LiveConfigService;
use App\Modules\Live\Services\LivePicService;
use Illuminate\Http\Request;

class LivePicController extends Controller {
    public function index(){
        $pics = ShimmerLiveshopPic::paginate($this->pageNum);
        return view('live::livepic.index',compact('pics'));
    }

    public function create(){
        $model = new ShimmerLiveshopPic();
        $categories = ShimmerLiveshopCategory::where('type',3)->pluck('name','id');
        return view('live::livepic.create',compact('model','categories'));
    }

    public function store(Request $request){
        (new LivePicService())->store($request);
        return $this->result(0,'ok');
    }

    public function edit(){

    }

    public function update(){

    }

    public function destroy(){

    }
}
