<?php
namespace App\Modules\Live\Http\Controllers;

use App\Services\UploadService;
use Illuminate\Http\Request;

class UploadController extends Controller {

    public function file(Request $request){
        $form = new UploadService();
        return $form->saveImage($request);
    }

    public function uploadFileList(Request $request)
    {
        $dataType = $request->input('dataType');
        $list = UploadFileModel::where(['uniacid'=>$this->uniacid])
            ->search($request->input())
            ->orderBy('id', 'desc')->paginate(20)->items();
        foreach ($list as $index => $value) {
            $list[$index]['selected'] = 0;
        }

        if ($dataType == 'json') {
            return [
                'code' => 0,
                'msg' => 'success',
                'data' => [
                    'list' => $list,
                ],
            ];
        }
        if ($dataType == 'html') {
            $this->layout = false;
            return $this->render('upload-file-list', [
                'list' => $list,
            ]);
        }
    }
}