<?php
/**
 * 马甲设置
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 下午2:22
 */

namespace App\Modules\Live\Http\Controllers;

use App\Modules\Live\Models\ShimmerLiveshopWeskitConfig;
use Illuminate\Http\Request;

class WeskitController extends Controller
{
    /**
     * 马甲设置
     */
    public function edit(Request $request)
    {
        $config = ShimmerLiveshopWeskitConfig::getByLiveId($this->liveId);


        return view('live::weskit.edit', [
            'config' => $config,
        ]);
    }

    public function update(Request $request)
    {
        $data = $this->validateScenario($request, ShimmerLiveshopWeskitConfig::instance());
        $ret = ShimmerLiveshopWeskitConfig::saveByLiveId($this->liveId, $data);

        if ($ret) {
            return $this->result(0, '保存成功');
        } else {
            return $this->result(1, '保存失败');
        }
    }
}