<style>
    .layui-input-block{
        line-height: 36px;
    }
</style>
<div class="layui-form-item">
    <label class="layui-form-label">uid</label>
    <div class="layui-input-block">
        {{$user->id}}
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">粉丝</label>
    <div class="layui-input-block">
        <img src="{{wgTomedia($user->avatar)}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">昵称</label>
    <div class="layui-input-block">
        {{$user->nickname}}
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">真实姓名</label>
    <div class="layui-input-block">
        {{$user->realname}}
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">手机号码</label>
    <div class="layui-input-block">
        {{$user->mobile}}
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">身份证号码</label>
    <div class="layui-input-block">
        {{$user->idcard}}
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">身份证照片</label>
    <div class="layui-input-block">
        @if($user->certification && $user->certification->check_status==1)
        <div style="position: relative;">
            <div>
                <img src="{{$user->certification->idcard_front_photo}}" style="width: 250px;height: 200px;">
            </div>
            <div style="position: absolute;top: 0px;left: 300px;">
                <img src="{{$user->certification->idcard_behind_photo}}" style="width: 250px;height: 200px;">
            </div>
        </div>
        @endif
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">上级</label>
    <div class="layui-input-block col-sm-5">
        <div class="input-group">
            <input type="text" name="config[amount]" value="{{$data['parent'] ? '['.$data['parent']->parent_uid.']'.$data['parent']->parentUser->nickname : '[0]总店'}}" class="form-control">
            <div class="input-group-addon load_iframe" data-url="{{wgRoute('livefans.change-parent-tpl',[$user->id])}}" data-title="修改上级">修改</div>
            <div class="input-group-addon" onclick="bind()">总店</div>
        </div>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">粉丝数</label>
    <div class="layui-input-block">
        {{$user->child_nums}}
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">注册时间</label>
    <div class="layui-input-block">
        {{$user->created_at}}
    </div>
</div>
@section('script')
    <script>
        function bind() {
            layer.confirm('确定要修改上级为总店吗', {
                btn: ['确定', '取消'] //按钮
            }, function () {
                $.ajax({
                    url: '{{wgRoute('livefans.change-platform',[$user->id])}}',
                    type: 'POST',
                    data: {},
                    dataType: "json",
                    success: function (result) {
                        if (result.errno == 0) {
                            window.location.reload();
                        }else{
                            layer.msg(result.message, {time: 2000, icon: 5});
                        }

                    }
                });
            });
        }
    </script>
@endsection