<div class="layui-form-item">
    <label class="layui-form-label">标题</label>
    <div class="layui-input-block">
        <input type="text" name="title" required  lay-verify="required" placeholder="房产的标题" value="{{$Model->title}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">房产类型</label>
    <div class="layui-input-block">
        <input type="text" name="layout" required  lay-verify="required" placeholder="房产的户型，如：两房一厅、三房一厅、三房两厅等" value="{{$Model->layout}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">房产封面</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('cover',$Model->cover); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">面积大小(m²)</label>
    <div class="layui-input-block">
        <input type="text" name="area" required  lay-verify="required" placeholder="房子的面积大小" value="{{$Model->area}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">单价(元/m²)</label>
    <div class="layui-input-block">
        <input type="text" name="price" required  lay-verify="required" placeholder="房子的单价,每平米(m²)单价为多少" value="{{$Model->price}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">联系方式</label>
    <div class="layui-input-block">
        <input type="text" name="phone" required  lay-verify="required" placeholder="请输入联系方式,便于用户预约联系" value="{{$Model->phone}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">介绍</label>
    <div class="layui-input-block">
        @php echo tpl_ueditor('intro',$Model->intro);@endphp
    </div>
</div>






