<nav class="navbar-default navbar-static-side" role="navigation">
    <div class="sidebar-collapse">
        <ul class="nav metismenu" id="side-menu">
            <li class="nav-header">
                <div class="dropdown profile-element">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <span class="block m-t-xs font-bold">{{Auth::guard('manager')->user()->username}}</span>
                        <span class="text-muted text-xs block">管理<b class="caret"></b></span>
                    </a>
                    <ul class="dropdown-menu animated fadeInRight m-t-xs">
                        <li><a class="dropdown-item" href="{{Request()->getSchemeAndHttpHost()}}">返回系统</a></li>
                    </ul>
                </div>
                <div class="logo-element">
                </div>
            </li>
            @foreach($leftMenuData as $key1=>$menuData)
                <li @if($menuData['active']) class="active" @endif>
                    <a href="{{$menuData['url']}}">
                        <i class="fa {{$menuData['ico']}}"></i>
                        <span class="nav-label">{{$menuData['name']}}</span>
                        @if(isset($menuData['child']))
                            <span class="fa arrow"></span>
                        @endif
                    </a>
                    @if(isset($menuData['child']))
                        <ul class="nav nav-second-level collapse">
                            @foreach($menuData['child'] as $key2=>$md)
                                <li class="{{ $md['active'] ? 'active' : ''}}">
                                    <a href="{{$md['url']}}">
                                        {{$md['name']}}
                                        @if(isset($md['child']))
                                            <span class="fa arrow"></span>
                                        @endif
                                    </a>
                                    @if(isset($md['child']))
                                        <ul class="nav nav-third-level collapse" style="">
                                            @foreach($md['child'] as $key3=>$md3)
                                                <li class="{{ $md3['active'] ? 'active' : ''}}">
                                                    <a href="{{$md3['url']}}">
                                                        {{$md3['name']}}
                                                    </a>
                                                </li>
                                            @endforeach
                                        </ul>
                                    @endif
                                </li>
                            @endforeach
                        </ul>
                    @endif
                </li>
            @endforeach
        </ul>
    </div>
</nav>

{{--右侧二级菜单--}}
@if($leftSubMenuData && $leftSubMenuData['groups'])
    <nav class="sub-navbar sub-navbar-default">
        <ul class="sub-navbar-ul">
            <li class="sub-menu-title">
                <a href="@php echo wgRoute("web_plugin_{$plugin->slug}.index"); @endphp">
                    {{$leftSubMenuData['title']}}
                </a>
            </li>
            <li class="groups">
                <ul class="sub-navbar-group-ul">
                    @foreach((array)$leftSubMenuData['groups'] as $group)
                        <li class="sub-menu-group-title">
                            {{$group['title']}}
                        </li>
                        @foreach($group['item'] as $item)
                            <li @if($item['active']) class="active" @endif>
                                <a href="{{wgRoute($item['url'])}}">
                                    <i class="fa {{$item['icon']}}"></i>
                                    <span class="nav-label">{{$item['title']}}</span>
                                </a>
                            </li>
                        @endforeach
                    @endforeach
                </ul>
            </li>
        </ul>
    </nav>
@endif
{{--/右侧二级菜单--}}