@extends('live::layouts.master')
@section('title')
    菜单管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{ShimmerLiveshopRoute('liveliveConfig.save')}}" method="post">
                        {{csrf_field()}}
                        <input type="hidden" name="type" value="{{$type}}">
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印开关</label>
                            <div class="layui-input-block">
                                <input type="radio" name="setting[water_open]" value="1" title="开启" @if($model->setting[water_open]==1) checked="" @endif>
                                <input type="radio" name="setting[water_open]" value="2" title="关闭" @if($model->setting[water_open]==2) checked="" @endif>
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印大图</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('setting[water_thumb]',$model->setting[water_thumb]); @endphp
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印小图</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('setting[water_img]',$model->setting[water_img]); @endphp
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印透明度</label>
                            <div class="layui-input-block">
                                <input type="number" class="layui-input"  name="setting[transparency]" value="{{$model->setting[transparency]}}">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印大小</label>
                            <div class="layui-input-block">
                                <input type="number" class="layui-input"  name="setting[imgsize]" value="{{$model->setting[imgsize]}}">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-3">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection