@extends('live::layouts.layouts')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row" style="width: 100%;">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>等级ID</th>
                            <th>名称</th>
                            <th>赠送主播数</th>
                            <th>主播付费奖励</th>
                            <th>支付价格</th>
                            <th>支付时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $live)
                            <tr>
                                <th>{{$live->id}}
                                @if($live->has_level)
                                    <a class="text-danger">已购买</a>
                                    @if($live->id == $anchor->userLevel->level_id)
                                        <a class="text-danger">当前等级</a>
                                    @endif
                                @endif
                                </th>
                                <th>{{$live->name}}</th>
                                <th>{{$live->give_anchor_num}}</th>
                                <th>{{$live->buy_anchor_rate}}</th>
                                <th>{{$live->price}}</th>
                                <th>{{$live->created_at}}</th>
                                <th>
                                    @if($live->has_level)
                                    <a  href="javascript:;" data-url="{{wgRoute('liveanchor-pay-level.del-anchor-level',['anchor_id'=>$anchor->id,'level_id'=>$live->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                    @else
                                    <a  href="javascript:;" data-url="{{wgRoute('liveanchor-pay-level.add-anchor-level',['anchor_id'=>$anchor->id,'level_id'=>$live->id])}}" data-title="确定要添加吗" class="btn  btn-success ajax-confirm">
                                        添加
                                    </a>
                                    @endif
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection