@extends('live::layouts.layouts')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row" style="width: 100%;">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">

                    @section('toolbar')
                        <span class="left">
                            <a  href="{{wgRoute('liveanchor-pay-level.get-level',['anchor_id'=>$anchor->id])}}" class="btn btn-primary">添加等级</a>
                        </span>
                    @endsection
                        @include('live::common.toolbar', ['pager' => $anchorPay])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>等级ID</th>
                            <th>名称</th>
                            <th>赠送主播数</th>
                            <th>主播付费奖励</th>
                            <th>支付价格</th>
                            <th>支付时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($anchorPay as $live)
                            <tr>
                                <th>{{$live->id}}
                                @if(1)
                                    <a class="text-danger">已拥有改权限</a>
                                @endif
                                </th>
                                <th>{{$live->name}}</th>
                                <th>{{$live->give_anchor_num}}</th>
                                <th>{{$live->buy_anchor_rate}}</th>
                                <th>{{$live->pay_price}}</th>
                                <th>{{$live->created_at}}</th>
                                <th>
                                    <a  href="javascript:;" data-url="{{wgRoute('liveanchor-pay-level.del-anchor-level',[$live->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                        @include('live::common.pagination', ['pager' => $anchorPay])
                </div>
            </div>
        </div>
    </div>
@endsection