<style>
    .input-group-addon{
        padding:9px 12px 4px 12px;
    }
    .margin-bottom{
        margin-bottom: 10px;
    }
    .anchor_pay_item{
        margin-left: 0px;
    }
</style>

<?php
$pay_rule_num = is_array($payConfig) ? intval(count($payConfig)):1;
?>
<input id="pay_rule_num" type="hidden" value="{{$pay_rule_num}}">
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否开启</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_open]" value="0" title="不开启" @if($model->config['apply_open']==0) checked @endif>
        <input type="radio" name="config[apply_open]" value="1" title="开启" @if($model->config['apply_open']==1) checked @endif>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">申请类型</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_limit_type]" value="0" title="免费" @if($model->config['apply_limit_type']==0) checked @endif lay-filter="apply_limit_type">
        <input type="radio" name="config[apply_limit_type]" value="1" title="付费" @if($model->config['apply_limit_type']==1) checked @endif lay-filter="apply_limit_type">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否需要实名认证</label>
    <div class="col-sm-10">
        <input type="radio" name="config[need_true_name]" value="0" title="不需要" @if($model->config['need_true_name']==0) checked @endif>
        <input type="radio" name="config[need_true_name]" value="1" title="需要" @if($model->config['need_true_name']==1) checked @endif>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否完善资料</label>
    <div class="col-sm-10">
        <input type="radio" name="config[need_perfect_name]" value="0" title="不需要" @if($model->config['need_perfect_name']==0) checked @endif  lay-filter="need_perfect_name">
        <input type="radio" name="config[need_perfect_name]" value="1" title="需要" @if($model->config['need_perfect_name']==1) checked @endif   lay-filter="need_perfect_name">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="need_perfect_name need_perfect_name_1" @if($model->config['need_perfect_name']!=1) style="display:none;" @endif>
    <div class="form-group row">
        <label class="col-sm-2 col-form-label"></label>
        <div class="col-sm-3">
            <select name="config[apply_diyform]" lay-verify="required" lay-filter="apply_diyform">
                <option value="0">请选择自定义表单</option>
                @foreach($formLists as $key=>$form)
                    <option value="{{$form['id']}}" @if($model->config['apply_diyform']==$form['id']) selected @endif>{{$form['name']}}
                    </option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否审核</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_examine]" value="0" title="不审核" @if($model->config['apply_examine']==0) checked @endif>
        <input type="radio" name="config[apply_examine]" value="1" title="审核" @if($model->config['apply_examine']==1) checked @endif>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否开通店铺权限</label>
    <div class="col-sm-10">
        <input type="radio" name="config[open_merch]" value="0" title="不开启" @if($model->config['open_merch']==0) checked @endif>
        <input type="radio" name="config[open_merch]" value="1" title="开启" @if($model->config['open_merch']==1) checked @endif>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否强制绑定上级</label>
    <div class="col-sm-10">
        <input type="radio" name="config[must_bind_parent]" value="0" title="不开启" @if($model->config['must_bind_parent']==0) checked @endif>
        <input type="radio" name="config[must_bind_parent]" value="1" title="开启" @if($model->config['must_bind_parent']==1) checked @endif>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            var element = layui.element;
            // form.on('radio(apply_limit_type)', function (data) {
            //     var type = data.value;
            //     $(".apply_limit_type").hide();
            //     $(".apply_limit_type_"+type).show();
            // });

            form.on('radio(need_perfect_name)',function (data) {
                var type = data.value;
                console.log(111111,type);
                $(".need_perfect_name").hide();
                $(".need_perfect_name_"+type).show();
            })
        });
    </script>
@endsection