@section('script')
    <script>
        layui.use(['form','laydate','element'], function(){
            var form = layui.form;
            var laydate = layui.laydate,element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '#calendar'
                ,type: 'datetime'
            });
            element.on('tab(limit_type)', function(data){
                $('.limit_type').val(data.index);
            });
            element.on('tab(video_type)', function(data){
                $('.video_type').val(data.index);
            });
            form.on('switch(watermark_open)',function (data) {
                if(this.checked){
                    $('.watermark_open_1').show();
                }else{
                    $('.watermark_open_1').hide();
                }
            });
            form.on('switch(keyword_open)',function (data) {
                if(this.checked){
                    $('.keyword_open_1').show();
                }else{
                    $('.keyword_open_1').hide();
                }
            });
            form.on('switch(reward_open)',function (data) {
                if(this.checked){
                    $('.reward_open_1').show();
                }else{
                    $('.reward_open_1').hide();
                }
            });
            form.on('select(code_type)',function (data) {
                var index = data.value;
                $('.code').hide();
                $('.code_type_'+index).show();
            });
            form.on('checkbox(open_ini)', function(data){
                var open_ini = $("input[name='open_ini']");
                if (open_ini[0].checked==true){
                    $('.limit_type2-1').show();
                }else{
                    $('.limit_type2-1').hide();
                }
            });
            form.on('radio(num_type)', function (data) {
                var type = data.value;//data.elem
                $(".num_type").hide();
                $(".num_type" + type).show();
            });
        });
        $(".ajaxsubmit").click(function () {
            // $(".ajaxsubmit").attr("disabled", "true");
            // $(".ajaxsubmit").text("正在提交数据...");
            $('.ajaxform').ajaxSubmit(
                {
                    dataType: "json",
                    clearForm: false,
                    resetForm: false,
                    target: '#output',
                    success: function (data, status, xhr, $form) {
                        var $_success = data;
                        if ($_success.errno == 0) {
                            $(".ajaxsubmit").removeAttr("disabled");
                            $(".ajaxsubmit").text("确定");
                            layer.msg($_success.message, {time: 2000, icon: 1});

                            if ($_success.redirect) {
                                setTimeout(function () {
                                    window.location = $_success.redirect;
                                }, 1000);
                            } else {
                                setTimeout(function () {
                                    var index = parent.layer.getFrameIndex(window.name);
                                    if (index) {
                                        parent.layer.close(index);
                                        window.parent.location.reload();
                                    }
                                }, 1000);
                            }
                        } else {
                            layer.msg($_success.message, {time: 2000, icon: 5});
                            $(".ajaxsubmit").removeAttr("disabled");
                            $(".ajaxsubmit").text("确定");
                            return false;
                        }
                    }
                }
            );
            return false; //阻止表单默认提交
        });
        function cancelBind() {
            $("#bind_video_live").val();
            $("#bindeddiv").hide();
            $(".textbinded").html();
        }
    </script>
@endsection