<style>
    .goods-list li {
        margin-top: 5px;
    }
</style>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>标题</label>
    <div class="layui-input-block">
        <input type="text" name="title" placeholder="请输入文章标题" value="{{$model->title}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">作者</label>
    <div class="layui-input-block">
        <input type="text" name="author" placeholder="请输入文章作者" value="{{$model->author}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item child_form_item">
    <label class="layui-form-label"><span style="color: red;">*</span>文章封面图</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('cover_img',$model->cover_img); @endphp
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input type="number" name="sort" placeholder="请输入排序" value="{{$model->sort}}" class="layui-input">
        <span class="help-block">数字越大,排序越靠前</span>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">状态</label>
    <div class="layui-input-block">
        <input type="radio" name="isshow" value="1" title="显示" @if(!$model || $model->isshow==1) checked
               @endif lay-filter="isshow">
        <input type="radio" name="isshow" value="2" title="隐藏" @if($model && $model->isshow==2) checked
               @endif lay-filter="isshow">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>文章内容</label>
    <div class="layui-input-block">
        @php echo tpl_ueditor('content',$model->content); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">关联商品</label>
    <div class="layui-input-block">
        <a class="btn btn-primary load_iframe"
           data-url="{{wgRoute('liveutilsgoods.selectlist',['callback'=>'addGoods'])}}" data-width="1000px"
           data-height="700px" href="javascript:;"><i
                    class="fa fa-plus"></i>&nbsp;添加商品</a>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"></label>
    <div class="layui-input-block">

        <ul class="goods-list">
            @if($goods)
                @foreach($goods as $key=>$goodsItem)
                    <li>{{$goodsItem->title}} <input type="button" class="btn btn-danger delGoods" data-key="{{$key}}"
                                                     value="删除"></li>
                @endforeach
            @endif
        </ul>
        <input type="hidden" name="goods_ids" class="goodsIds" value="{{$goodsIdStr}}"/>
    </div>
</div>

@section('script')
    <script type="text/javascript">
        function addGoods(ids, titles) {
            if (ids) {
                var html = "";
                var goodsIdsArr = [];
                var goodsIds = $(".goodsIds").val();
                if (goodsIds) {
                    goodsIdsArr = goodsIds.split(',');
                }

                var goodsIdsArrRet = goodsIdsArr.concat(ids);
                $(".goodsIds").val(goodsIdsArrRet);

                for (var i in titles) {
                    var key = parseInt(goodsIdsArr.length) + parseInt(i);
                    html += '<li>' + titles[i] + ' <input type="button" class="btn btn-danger delGoods" data-key="' + key + '" value="删除"></li>';
                }
                $(".goods-list").append(html);
            }
        }

        $(".goods-list").on('click', ".delGoods", function () {
            var key = $(this).data('key');
            $(this).parent().remove();
            var goodsIds = $(".goodsIds").val();
            var goodsIdsArr = goodsIds.split(',');
            delete goodsIdsArr[key];

            $(".goodsIds").val(goodsIdsArr.join(','));
        });
    </script>
@endsection