@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <link rel="stylesheet" type="text/css" href="https://live.vzan.com/Content/admin/css/style.css?v=63702524666031651220190601">
    <link href="https://live.vzan.com/Content/admin/css/marketing.css?v=6370252466603165122019060315">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <div class="new-content main-market">
                        <div class="item-box">
                            <div class="item-header">
                                <div>
                                    <span>直播插件</span>
                                    <span></span>
                                </div>
                            </div>
                            <div class="item-body">
                                <div>
                                    <a href="javascript:;">
                                        <div class="icon blue">
                                            <i class="iconfont icon-tupianzhibo"></i>
                                        </div>
                                        <div>
                                            <h2>图片直播<span class="new">NEW</span></h2>
                                            <p>将直播以图片的形式分享出去，更利于传播</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon blue">
                                            <i class="iconfont icon-yun"></i>
                                        </div>
                                        <div>
                                            <h2>云导播</h2>
                                            <p>多机位在线云导播</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon blue">
                                            <i class="iconfont icon-wenjuan"></i>
                                        </div>
                                        <div>
                                            <h2>报名表/问卷调查<span class="new">NEW</span></h2>
                                            <p>收集用户信息，玩转你的社群</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon blue">
                                            <i class="iconfont icon-zhibolianxi"></i>
                                        </div>
                                        <div>
                                            <h2>直播练习</h2>
                                            <p>针对培训场景，用户可以边看直播边进行练习</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon blue">
                                            <i class="iconfont icon-fangchanguanli"></i>
                                        </div>
                                        <div>
                                            <h2>房产管理</h2>
                                            <p>针对房产场景，用户可以了解房产户型并进行购买</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon blue">
                                            <i class="iconfont icon-hexiao"></i>
                                        </div>
                                        <div>
                                            <h2>核销工具</h2>
                                            <p>用于核销线下优惠券和奖品</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon blue">
                                            <i class="iconfont icon-appaccess"></i>
                                        </div>
                                        <div>
                                            <h2>APP接入</h2>
                                            <p>APP接入后可同步直播信息</p>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="item-box">
                            <div class="item-header">
                                <div>
                                    <span>引流裂变</span>
                                    <span></span>
                                </div>
                            </div>
                            <div class="item-body">
                                <div>
                                    <a href="#">
                                        <div class="icon purple">
                                            <i class="iconfont icon-choujiang"></i>
                                        </div>
                                        <div>
                                            <h2>在线抽奖</h2>
                                            <p>用户边看直播，边参与互动式抽奖</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon purple">
                                            <i class="iconfont icon-changcichoujiang1"></i>
                                        </div>
                                        <div>
                                            <h2>场次抽奖</h2>
                                            <p>用户边看直播，边参与不同场次的宫格式或转盘式抽奖</p>
                                        </div>
                                    </a>
                                    <a href="{{wgRoute('votevote.index')}}">
                                        <div class="icon purple">
                                            <i class="iconfont icon-tuwentoupiao"></i>
                                        </div>
                                        <div>
                                            <h2>在线投票<span>推荐</span></h2>
                                            <p>可设置文字、图文、小视频投票</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon purple">
                                            <i class="iconfont icon-jingcai"></i>
                                        </div>
                                        <div>
                                            <h2>竞猜答题</h2>
                                            <p>边看直播边答题，增强趣味互动</p>
                                        </div>
                                    </a>
                                    <a href="javascript:;">
                                        <div class="icon purple">
                                            <i class="iconfont icon-siteposter"></i>
                                        </div>
                                        <div>
                                            <h2>裂变海报</h2>
                                            <p>通过分享海报进行裂变</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon purple">
                                            <i class="iconfont icon-yaoqinghaoyoumiandan"></i>
                                        </div>
                                        <div>
                                            <h2>邀请好友免单<span class="new">NEW</span></h2>
                                            <p>用户通过邀请好友可免费观看付费直播</p>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="item-box">
                            <div class="item-header">
                                <div>
                                    <span>内容变现</span>
                                    <span></span>
                                </div>
                            </div>
                            <div class="item-body">
                                <div>
                                    <a href="#">
                                        <div class="icon red">
                                            <i class="iconfont icon-duorenpintuan"></i>
                                        </div>
                                        <div>
                                            <h2>多人拼团<span>推荐</span></h2>
                                            <p>多人拼单，优惠看直播</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon red">
                                            <i class="iconfont icon-huiyuanka"></i>
                                        </div>
                                        <div>
                                            <h2>会员卡</h2>
                                            <p>用户购买会员卡后可折扣/免费观看特定内容</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon red">
                                            <i class="iconfont icon-xianshangyouhuiquan"></i>
                                        </div>
                                        <div>
                                            <h2>直播间优惠券</h2>
                                            <p>用户领券可抵扣话题、频道、会员卡的费用</p>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="item-box">
                            <div class="item-header">
                                <div>
                                    <span>营销折扣</span>
                                    <span></span>
                                </div>
                            </div>
                            <div class="item-body">
                                <div>
                                    <a href="#">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-shangpinyouhuiquan1"></i>
                                        </div>
                                        <div>
                                            <h2>商品优惠券</h2>
                                            <p>用户领券可获得线上商品的优惠</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-xianxiayouhuiquan"></i>
                                        </div>
                                        <div>
                                            <h2>核销优惠券</h2>
                                            <p>用户领券后，可线下进行核销优惠</p>
                                        </div>
                                    </a>
                                    <a href="#">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-jingpai1"></i>
                                        </div>
                                        <div>
                                            <h2>直播竞拍</h2>
                                            <p>用户边看直播边参与线上商品拍卖</p>
                                        </div>
                                    </a>
                                    <a class="reduce" href="#" target="_blank">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-jianjia"></i>
                                        </div>
                                        <div>
                                            <h2>砍价<i></i><span class="new">NEW</span></h2>
                                            <p>邀好友一起减价，优惠好礼一起拿</p>
                                        </div>
                                        <div class="tips">购买后，可至话题管理-&gt;自定义菜单 添加减价活动</div>
                                    </a>
                                    <a class="pintuan" href="#">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-shangpinpintuan"></i>
                                        </div>
                                        <div>
                                            <h2>商品拼团<i></i><span class="new">NEW</span></h2>
                                            <p>引导客户邀请好友一起购买</p>
                                        </div>
                                        <div class="tips">购买后，可至话题管理-&gt;自定义菜单 添加商品拼团活动</div>
                                    </a>
                                    <a class="seckill" href="#">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-qiangyouhui"></i>
                                        </div>
                                        <div>
                                            <h2>抢优惠<i></i><span class="new">NEW</span></h2>
                                            <p>限时秒杀，引导客户更多消费</p>
                                        </div>
                                        <div class="tips">购买后，可至话题管理-&gt;自定义菜单 添加抢优惠活动</div>
                                    </a>
                                    <a class="sweat" href="#">
                                        <div class="icon yellow">
                                            <i class="iconfont icon-aixinjia"></i>
                                        </div>
                                        <div>
                                            <h2>爱心价<i></i><span class="new">NEW</span></h2>
                                            <p>邀好友集爱心，享更优惠价格</p>
                                        </div>
                                        <div class="tips">购买后，可至话题管理-&gt;自定义菜单 添加爱心价活动</div>
                                    </a>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection