@extends('live::layouts.master')
@section('title')
    红包管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">话题ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">红包类型:</label>
                            <div class="layui-input-inline">
                                <select name="query['recommend_state']" lay-verify="">
                                    <option value="">全部</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">红包状态:</label>
                            <div class="layui-input-inline">
                                <select name="query['recommend_state']" lay-verify="">
                                    <option value="">全部</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">红包剩余:</label>
                            <div class="layui-input-inline">
                                <select name="query['recommend_state']" lay-verify="">
                                    <option value="">全部</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索红包</button>
                            </div>
                        </div>
                    </form>

                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>红包ID</th>
                                <th>话题ID</th>
                                <th>用户昵称（用户ID）</th>
                                <th>红包金额</th>
                                <th>红包个数</th>
                                <th>红包状态</th>
                                <th>红包类型</th>
                                <th>红包口令</th>
                                <th>红包区域</th>
                                <th>剩余金额</th>
                                <th>剩余个数</th>
                                <th>发送时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>

                                <tr>

                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>

                                    </td>
                                    <td>
                                        <a class="btn btn-outline btn-success"
                                           href="javascript:;" href="{{wgRoute('livepackets.index')}}">领取详情</a>
                                    </td>
                                </tr>

                            </tbody>
                        </table>
                    </div>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection