<div class="layui-form-item">
    <label class="layui-form-label">默认聊天信息</label>
    <div class="layui-input-block">
        <input type="number" name="config[chat_nums]" placeholder="请输入默认聊天信息条数" value="{{$config['chat_nums']}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">是否显示礼物</label>
    <div class="layui-input-block">
        <input type="radio"  name="config[gift_show]" value="1"
               title="显示" @if($config['gift_show']==1) checked @endif />
        <input type="radio"  name="config[gift_show]" value="0"
               title="隐藏" @if($config['gift_show']==0) checked @endif />
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">礼物平台抽拥是否开启</label>
    <div class="layui-input-block">
        <input type="radio"  name="config[open_deduct]" value="1"
               title="开启" @if($config['open_deduct']==1) checked @endif lay-filter="open_deduct"/>
        <input type="radio"  name="config[open_deduct]" value="0"
               title="关闭" @if($config['open_deduct']==0) checked @endif lay-filter="open_deduct"/>
    </div>
</div>
<div class="open_deduct" @if($config['open_deduct']==1) style="display: block;" @else style="display: none;" @endif>
    <div class="layui-form-item">
        <label class="layui-form-label">抽拥比例</label>
        <div class="layui-input-block">
            <input type="number" name="config[deduct_ratio]" placeholder="请输入提成比例" value="{{$config['deduct_ratio']}}" class="layui-input">
        </div>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">是否显示排行榜</label>
    <div class="layui-input-block">
        <input type="radio"  name="config[rank_show]" value="1"
               title="显示" @if($config['rank_show']==1) checked @endif />
        <input type="radio"  name="config[rank_show]" value="0"
               title="隐藏" @if($config['rank_show']==0) checked @endif />
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">是否开启定位</label>
    <div class="layui-input-block">
        <input type="radio"  name="config[open_location]" value="1"
               title="开启" @if($config['open_location']==1) checked @endif lay-filter="open_location"/>
        <input type="radio"  name="config[open_location]" value="0"
               title="关闭" @if($config['open_location']==0) checked @endif lay-filter="open_location"/>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">关键字过滤接口</label>
    <div class="layui-input-block">
        <input type="radio"  name="config[open_keyword_filter]" value="0"
               title="开启" @if($config['open_keyword_filter']==0) checked @endif lay-filter="open_location"/>
        <input type="radio"  name="config[open_keyword_filter]" value="1"
               title="关闭" @if($config['open_keyword_filter']==1) checked @endif lay-filter="open_location"/>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">聊天提示语</label>
    <div class="layui-input-block">
        <textarea name="config[chat_notice]" placeholder="请输入聊天提示语" class="layui-textarea">{{$config['chat_notice']}}</textarea>
    </div>
</div>
@section('script')
    <script>
        layui.use(["layer", "form", "upload"], function () {
            var form = layui.form;
            form.on('radio(open_deduct)', function (data) {
                var type = data.value;//data.elem
                if(type==1){
                    $('.open_deduct').show();
                }else{
                    $('.open_deduct').hide();
                }
            });
        });
    </script>
@endsection