@extends('live::layouts.master')
@section('page_title',$pageTitle)

@push('stylesheets')
    <link href="{{ URL::asset('/static/modules/live/css/panel.css')}}" rel="stylesheet">
@endpush
@section('content')
    <div class="row">
        <div class="col-sm-12" style="min-height:600px">
            <div class="list">
                <div class="topic">
                    <ul>
                        @foreach($configs as $item)
                            <li>
                                <a href="{{$item['route']!='javascript:;' ? wgRoute($item['route']) : $item['route']}}"
                                   title="{{$item['name']}}">
                                    <div class="img">
                                        <img src="{{ URL::asset($item['icon'])}}">
                                        <p>{{$item['name']}}</p>
                                    </div>
                                </a>
                            </li>
                        @endforeach
                    </ul>
                </div>
            </div>
        </div>
    </div>
@endsection