@extends('live::layouts.layouts')
@section('title')
    修改分类
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div style="width: 100%;height: 500px">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshopgoods.changeCategorySave',['id'=>$info->id])}}" method="post">
                        {{csrf_field()}}
                        <div class="layui-form-item">
                            <label class="layui-form-label">商品类目</label>
                            <div class="layui-input-block" id="category_id">

                            </div>
                        </div>
                        <input type="hidden" value="{{$id}}" name="id">
                        <div class="layui-form-item">
                            <div class="layui-input-block">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        var categoryData = @php echo json_encode($category); @endphp;
        var selectCategoryData = '';
        layui.config({
            base: ''
        }).extend({
            selectN: "{{ URL::asset('/static/web/layui_extends/selectN')}}",
            selectM: "{{ URL::asset('/static/web/layui_extends/selectM')}}",
        }).use(['layer', 'form', 'jquery', 'selectN', 'selectM'], function () {
            $ = layui.jquery;
            var form = layui.form
                , selectM = layui.selectM;

            //多选标签-所有配置
            var tagIns2 = selectM({
                //元素容器【必填】
                elem: '#category_id'
                //候选数据【必填】
                , data: categoryData
                //默认值
                , selected: selectCategoryData
                //最多选中个数，默认5
                , max: 10
                //input的name 不设置与选择器相同(去#.)
                , name: 'category_id'
                //值的分隔符
                , delimiter: ','
                //添加验证
                , verify: 'required'
            });
        });
    </script>
@endsection