@extends('live::layouts.layouts')
@section('title')
    设置订单信息
@endsection
@section('content')
    <div class="col-lg-12">
        <div style="width: 100%;">
            <div class="ibox-content" style="height: 500px;">
                <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshoporder.change.submit',['oid'=>$oid])}}" method="post">
                    {{csrf_field()}}
                    <div class="layui-form-item">
                        <label class="layui-form-label">订单号</label>
                        <div class="layui-input-block">
                            <input type="text" value="{{$order->order_id}}" class="layui-input" disabled>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>商品总价</label>
                        <div class="layui-input-block">
                            <input type="number" name="total_price" placeholder="请输入商品总价" value="{{$order->total_price}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>原始邮费</label>
                        <div class="layui-input-block">
                            <input type="number" name="total_postage" placeholder="请输入原始邮费" value="{{$order->total_postage}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>实际支付金额</label>
                        <div class="layui-input-block">
                            <input type="number" name="pay_price" placeholder="请输入实际支付金额" value="{{$order->pay_price}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>实际支付邮费</label>
                        <div class="layui-input-block">
                            <input type="number" name="pay_postage" placeholder="请输入实际支付邮费" value="{{$order->pay_postage}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <div class="layui-input-block">
                            <button class="btn btn-primary" type="submit" id="ajaxsubmit">确认修改</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            form.on('radio(deliver_type)', function(data){
                var type = data.value;
                $('.deliver_type_box').hide();
                $('.deliver_type'+type).show();
            });
        });
    </script>
@endsection