@extends('live::layouts.layouts')
@section('title')
    设置退款信息
@endsection
@section('content')
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-content">
                <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshoporder.refund.submit',['oid'=>$oid])}}" method="post">
                    {{csrf_field()}}
                    <div class="layui-form-item">
                        <label class="layui-form-label">退款类型</label>
                        <div class="layui-input-block">
                            <input type="radio" checked name="type" value="1" title="直接退款" lay-filter="type">
                            <input type="radio"  name="type" value="2" title="退款后，保持退款状态" lay-filter="type">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">退款单号</label>
                        <div class="layui-input-block">
                            <input type="text" value="{{$order->order_id}}" class="layui-input" disabled>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>退款金额</label>
                        <div class="layui-input-block">
                            <input type="number" name="refund_price" placeholder="请输入退款金额" value="{{$order->pay_price}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <div class="layui-input-block">
                            <button class="btn btn-primary" type="submit" id="ajaxsubmit">确认退款</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            form.on('radio(deliver_type)', function(data){
                var type = data.value;
                $('.deliver_type_box').hide();
                $('.deliver_type'+type).show();
            });
        });
    </script>
@endsection