@extends('live::layouts.layouts')
@section('title')
    设置拒绝退款信息
@endsection
@section('content')
    <div class="col-lg-12">
        <div style="width: 100%;">
            <div class="ibox-content" style="height: 500px;">
                <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshoporder.reject_refund.submit',['oid'=>$oid])}}" method="post">
                    {{csrf_field()}}
                    <div class="layui-form-item">
                        <label class="layui-form-label">退款单号</label>
                        <div class="layui-input-block">
                            <input type="text" value="{{$order->order_id}}" class="layui-input" disabled>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>拒绝原因</label>
                        <div class="layui-input-block">
                          <textarea class="input-text radius layui-input" id="reject_refund_reason" name="reject_refund_reason" placeholder="请输入拒绝退款原因" maxlength="200"></textarea>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <div class="layui-input-block">
                            <button class="btn btn-primary" type="submit" id="ajaxsubmit">确认拒绝退款</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
        });
    </script>
@endsection