@extends('live::layouts.master')
@section('title')
    频道简介


@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform"
                          action="{{wgRoute('livesynopsis.store',[\Request::route('channel_id')])}}" method="post">
                        {{csrf_field()}}
                        @include('live::synopsis.form')
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-3">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form', 'laydate', 'element'], function () {
            var form = layui.form;
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '#calendar'
                , type: 'datetime'
            });
            element.on('tab(limit_type)', function (data) {
                $('.limit_type').val(data.index);
            });
            element.on('tab(video_type)', function (data) {
                $('.video_type').val(data.index);
            });
            form.on('checkbox(open_ini)', function (data) {
                var open_ini = $("input[name='open_ini']");
                if (open_ini[0].checked == true) {
                    $('.limit_type2-1').show();
                } else {
                    $('.limit_type2-1').hide();
                }
            });
            form.on('radio(num_type)', function (data) {
                var type = data.value;//data.elem
                $(".num_type").hide();
                $(".num_type" + type).show();
            });
        });
    </script>
@endsection
