@push('scripts')
    <script src="{{ URL::asset('/static/web/admin/diyform.js')}}?v=3"></script>
@endpush
<style>
    #data_type {
        width: 200px;
    }

    .select-form-field {
        margin-top: 3px;
        margin-left: 5px
    }
</style>
<div class="layui-card">
    <div class="layui-card-header">基础配置</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label"><span style="color: red;">*</span>表单名称</label>
            <div class="layui-input-block">
                <input type="text" name="name" placeholder="请输入表单名称" value="{{$model->name}}" class="layui-input">
            </div>
        </div>
    </div>
</div>

<div class="layui-card">
    <div class="layui-card-header">字段设置</div>
    <div class="layui-card-body">
        <table class="table">
            <thead>
            <tr>
                <th style="width:90px">类型</th>
                <th style="width:100px">字段名称</th>
                <th style="width:50px">必填</th>
                <th style="width:550px">设置</th>
                <th>
                </th>
            </tr>
            </thead>
            <tbody id="type-items" class="ui-sortable">
            @if(!empty($dfields))
                @foreach($dfields as $k1 => $v1)
                    @php $fieldType = $v1['data_type']; @endphp

                    @include('live::utils.diyform.field_tpl',['v1'=>$v1,'fieldType'=>$fieldType,'fieldkey'=>$fieldkey])
                    @php $fieldkey++; @endphp
                @endforeach
            @endif
            </tbody>
            <tbody>
            <tr>
                <td colspan="5">
                    <div class="input-group" style="width: 350px">
                        <select id="data_type" name="data_type" class="form-control">
                            @foreach($fieldTypes as $k=>$v)
                                <option value="{{$k}}">{{$v}}</option>
                            @endforeach
                        </select>
                        <div class="input-group-btn select-form-field">
                            <a class="btn btn-primary btn-add-type" href="javascript:;" onclick="addField();"><i
                                        id="add_field" class="fa fa-plus" title=""></i> 增加一个字段</a>
                        </div>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
<script>
    var fieldTplUrl = "{{wgRoute('liveutilsdiyform.fieldTpl')}}";
    var fieldkey = "{{$fieldkey}}";
</script>