<div class="custorm--modelbox notice-edit" v-if="currentType=='image'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    单列图片
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            颜色选择
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">背景</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].background">
            </el-color-picker>
            <span class="ivu-input">@{{ content.items[currentIndex].background }}</span>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            上下边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_top_buttom"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                @{{ content.items[currentIndex].padding_top_buttom }}px
            </div>
        </div>
        <div class="form-label">
            左右边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_left_right"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                @{{ content.items[currentIndex].padding_left_right }}px
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            图片
        </div>
        <span class="ivu-alert">
            建议图片宽度750，高度200-950，支持jpg、png。要求一组内图片高度必须完全一致
        </span>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">图片</span>
            <div class="flex-col">
                <div class="item" style="position: relative;">
                    <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                    <div class="item-inner">
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('image')" class="uploadSource solid" style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+content.items[currentIndex].image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">链接地址</span>
            <div class="flex-col">
                <div class="item" style="position: relative;">
                    <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                    <div class="item-inner">
                        <div class="small" style="align-self: start;">
                            <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"   data-url="{{wgRoute('liveutilsuser.get-page-urls')}}"  placeholder="请选择链接地址" v-model="content.items[currentIndex].link" data-id="image_link" id="image_link"
                                   readonly="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


</div>