<div class="custorm--modelbox notice-edit" v-if="currentType=='image_banner'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    图片轮播
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            边角样式
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].corner" class="flex-row">
                    <el-radio label="round">圆</el-radio>
                    <el-radio label="arc">椭圆</el-radio>
                    <el-radio label="square">直角</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            按钮位置
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].dot_align" class="flex-row">
                    <el-radio label="alignleft">居左</el-radio>
                    <el-radio label="aligncenter">居中</el-radio>
                    <el-radio label="alignright">居右</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>

    <div class="es-form-item" style="margin-top: -20px;">
        <span class="ivu-alert">
            建议图片宽度750，高度200-950，支持jpg、png。要求一组内图片高度必须完全一致
        </span>
        <div style="padding-top: 10px;">
            <draggable v-model="content.items[currentIndex].items">
                <div class="item drag" v-for="(item,itemIndex) in content.items[currentIndex].items">
                    <span class="btn-del" title="删除" @click="delSubTool('image_banner','items',itemIndex)"></span>
                    <i class="el-icon-circle-close-outline delete-child"></i>
                    <div class="item-inner">
                        <span class="labeltext">图片</span>
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('items',itemIndex,'image')" class="uploadSource solid"
                                 style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+item.image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-if="item.image">
                                </div>
                                <div class="img"
                                     :style="{'background-image': 'url({{ URL::asset('/static/web/admin/diypage/nopic.png')}})', 'width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-else>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">文字</span>
                        <el-input v-model="item.text" size="medium" placeholder="请输入按钮文字"></el-input>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">链接</span>
                        <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"   data-url="{{wgRoute('liveutilsuser.get-page-urls')}}"  placeholder="请选择链接地址" v-model="item.link" :data-id="'image_banner_'+itemIndex" :id="'image_banner_'+itemIndex"
                               readonly="">
                    </div>
                </div>
            </draggable>
            <div class="goodscol-add"  @click="addSubTool('image_banner','items')">
                <i class="el-icon-plus"></i>
                添加
            </div>
        </div>
    </div>

</div>