<div class="custorm--modelbox notice-edit" v-if="currentType=='nav_list'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    列表导航
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            选择样式
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].show_type" class="flex-row">
                    <el-radio label="image_text">图标+文字</el-radio>
                    <el-radio label="image">文字</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            边角样式
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].corner" class="flex-row">
                    <el-radio label="0">直角</el-radio>
                    <el-radio label="5">圆角</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            上下边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_top_buttom"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                @{{ content.items[currentIndex].padding_top_buttom }}px
            </div>
        </div>
        <div class="form-label">
            左右边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_left_right"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                @{{ content.items[currentIndex].padding_left_right }}px
            </div>
        </div>
    </div>

    <div class="es-form-item" style="margin-top: -20px;">
        <span>图片尺寸要求：100*100像素</span>
        <div style="padding-top: 10px;">
            <draggable v-model="content.items[currentIndex].items">
                <div class="item drag" v-for="(item,itemIndex) in content.items[currentIndex].items">
                    <span class="btn-del" title="删除" @click="delSubTool('nav_list','items',itemIndex)"></span>
                    <i class="el-icon-circle-close-outline delete-child"></i>
                    <div class="item-inner">
                        <span class="labeltext">图片</span>
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('items',itemIndex,'image')" class="uploadSource solid"
                                 style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img"
                                     :style="{'background-image':'url('+item.image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-if="item.image">
                                </div>
                                <div class="img"
                                     :style="{'background-image': 'url({{ URL::asset('/static/web/admin/diypage/nopic.png')}})', 'width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                     v-else>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">文字</span>
                        <el-input v-model="item.text" size="medium" placeholder="请输入主标题"></el-input>
                    </div>
                    <div class="item-inner ">
                        <span class="labeltext">链接</span>
                        <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"
                               data-url="{{wgRoute('liveutilsuser.get-page-urls')}}" placeholder="请选择链接地址"
                               v-model="item.link" :data-id="'nav_list_'+itemIndex" :id="'nav_list_'+itemIndex"
                               readonly="">
                    </div>
                </div>
            </draggable>
            <div class="goodscol-add" @click="addSubTool('nav_list','items')">
                <i class="el-icon-plus"></i>
                添加
            </div>
        </div>
    </div>

</div>