<div class="custorm--modelbox notice-edit" v-if="currentType=='title_bar'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    标题栏
                </div>
            </div>
        </div>
        <div class="flex-row flex-align-c right-nav-list">
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='content' ? 'active' : '']"
                 @click="editToolElement('current_btn','content')">内容
            </div>
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='style' ? 'active' : '']"
                 @click="editToolElement('current_btn','style')">风格
            </div>
        </div>
    </div>

    <section v-if="content.items[currentIndex].current_btn=='content'">
        <div class="edit-form-item">
            <div class="form-label">
                主标题
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">背景颜色</span>
                <el-color-picker size="mini" v-model="content.items[currentIndex].background">
                </el-color-picker>
                <span class="ivu-input">@{{ content.items[currentIndex].background }}</span>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">颜色</span>
                <el-color-picker size="mini" v-model="content.items[currentIndex].title_color">
                </el-color-picker>
                <span class="ivu-input">@{{ content.items[currentIndex].title_color }}</span>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">文字</span>
                <el-input v-model="content.items[currentIndex].title" size="medium" placeholder="请输入主标题"></el-input>
            </div>
        </div>
        <div class="edit-form-item">
            <div class="form-label">
                副标题
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">颜色</span>
                <el-color-picker size="mini" v-model="content.items[currentIndex].subtitle_color">
                </el-color-picker>
                <span class="ivu-input">@{{ content.items[currentIndex].subtitle_color }}</span>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">文字</span>
                <el-input v-model="content.items[currentIndex].subtitle" size="medium" placeholder="请输入副标题"></el-input>
            </div>
        </div>
        <div class="edit-form-item">
            <div class="form-label">
                查看更多
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">颜色</span>
                <template>
                    <el-radio-group v-model="content.items[currentIndex].show_more" class="flex-row">
                        <el-radio label="1">显示</el-radio>
                        <el-radio label="0">隐藏</el-radio>
                    </el-radio-group>
                </template>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker" v-if="content.items[currentIndex].show_more==1">
                <span class="stylebox-label">颜色</span>
                <el-color-picker size="mini" v-model="content.items[currentIndex].more_color">
                </el-color-picker>
                <span class="ivu-input">@{{ content.items[currentIndex].more_color }}</span>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker" v-if="content.items[currentIndex].show_more==1">
                <span class="stylebox-label">文字</span>
                <el-input v-model="content.items[currentIndex].more_text" size="medium"
                          placeholder="请输入更多文字"></el-input>
            </div>
            <div class="stylebox flex-row ivu-color-picker" v-if="content.items[currentIndex].show_more==1">
                <span class="stylebox-label">链接</span>
                <div class="flex-col">
                    <div class="item" style="position: relative;">
                        <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                        <div class="item-inner">
                            <div class="small" style="align-self: start;">
                                <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"
                                       data-url="{{wgRoute('liveutilsuser.get-page-urls')}}" placeholder="请选择链接"
                                       v-model="content.items[currentIndex].more_link" data-id="more_link"
                                       id="more_link"
                                       readonly="">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label">
                上下边距
            </div>
            <div class="flex-row flex-align-c">
                <el-slider
                        v-model="content.items[currentIndex].padding_top_buttom"
                        style="width: 70%">
                </el-slider>
                <div class="coupon-showslider">
                    @{{ content.items[currentIndex].padding_top_buttom }}px
                </div>
            </div>
            <div class="form-label">
                左右边距
            </div>
            <div class="flex-row flex-align-c">
                <el-slider
                        v-model="content.items[currentIndex].padding_left_right"
                        style="width: 70%">
                </el-slider>
                <div class="coupon-showslider">
                    @{{ content.items[currentIndex].padding_left_right }}px
                </div>
            </div>
        </div>
    </section>

    <section class="flex-col" v-if="content.items[currentIndex].current_btn=='style'">
        <div class="edit-form-item">
            <div class="es-form-item">
                <div class="item-inner block" @click="editToolElement('style','1')">
                    <label class="button-img block" :class="[content.items[currentIndex].style==1 ? 'active' : '']">
                        <div class="es-title title1">
                            <div class="flex-row flex-justify-b flex-align-c">
                                <div class="title-content">
                                    <div class="main-title">这是主标题</div>
                                    <div class="sub-title">这是副标题</div>
                                </div>
                                <div class="title-more">查看更多</div>
                            </div>
                        </div>
                    </label>
                </div>
                <div class="item-inner block" @click="editToolElement('style','2')">
                    <label class="button-img block" :class="[content.items[currentIndex].style==2 ? 'active' : '']">
                        <div class="es-title title2">
                            <div class="flex-row">
                                <div class="main-title">这是主标题</div>
                                <div class="sub-title">这是副标题</div>
                            </div>
                        </div>
                    </label>
                </div>
                <div class="item-inner block" @click="editToolElement('style','3')">
                    <label class="button-img block" :class="[content.items[currentIndex].style==3 ? 'active' : '']">
                        <div class="es-title title3">
                            <div class="flex-col flex-justify-c flex-align-c">
                                <div class="main-title flex-row flex-align-c"><span
                                    ></span>
                                    <div>这是主标题</div>
                                    <span></span></div>
                                <div class="sub-title">这是副标题</div>
                            </div>
                        </div>
                    </label>
                </div>
            </div>
        </div>
    </section>
</div>