<div class="item" style="background: rgb(255, 255, 255);" v-if="toolItem.type=='goods'"
     @click="editTool(toolIndex)">
    <section>
        <div class="custorm--modelbox goodscol-show drag" :class="[currentIndex == toolIndex ?'active':'']">
            <div class="noshow" v-if="toolItem.hide"
                 style="background-image: url(/addons/shimmer_liveshop/static/web/admin/diypage/images/noshow.png)">
            </div>

            <div :style="{'padding':toolItem.padding_top_buttom +'px' + ' '+ toolItem.padding_left_right + 'px'}"
                 v-if="toolItem.style==1" v-for="item in toolItem.items">
                <div class="es-goods-group block one">
                    <div class="es-goods-item">
                        <div class="image ">
                            <div class="qglist-i-t-bar">
                                <div class="qglist-i-t-bar-d"></div>
                            </div>
                            <img height="140"
                                 :src="item.thumb"
                                 alt=""></div>
                        <div class="detail">
                            <div class="name line-hide display-1" style="margin-bottom: 10px;">
                                <i class="icon-tip" v-if="toolItem.show_tag==1">@{{ toolItem.tag_text }}</i>
                                @{{ item.title }}
                            </div>
                            <div style="display: flex;">
                                <div style="flex: 1 1 0%;">
                                    <div
                                            class="price display-1 flex-row flex-align-c flex-justify-b"><span
                                                class="text">￥<span
                                            >@{{ item.marketprice }}</span></span><span v-if="toolItem.show_buy_btn==1"
                                                                                        class="buy buybtn1 display-1">
                                                    @{{ toolItem.buy_btn_text }}
                                                </span>
                                    </div>
                                    <div
                                            class="sold display-1 flex-row flex-align-c flex-justify-b"
                                            style="margin-top: 5px;"><span class="line-through"
                                                                           v-if="toolItem.show_productprice==1">￥@{{ item.productprice }}</span>
                                        <span v-if="toolItem.show_sale_num==1">@{{ item.sale_num }}人购买</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div :style="{'padding':toolItem.padding_top_buttom +'px' + ' '+ toolItem.padding_left_right + 'px'}"
                 v-if="toolItem.style==2" v-for="item in toolItem.items">
                <div class="es-goods-group block one">
                    <div class="es-goods-header flex-row flex-align-c flex-justify-b">
                        <div class="flex-col"><span
                                    class="title">@{{ toolItem.active_title }}</span> <span
                                    class="sub-title">@{{ toolItem.active_subtitle }}</span></div>
                        {{--<p class="count-num">2/4</p>--}}
                    </div>
                    <div class="es-goods-item">
                        <div class="image ">
                            <div class="qglist-i-t-bar">
                                <div class="qglist-i-t-bar-d"></div>
                            </div>
                            <img height="140"
                                 :src="item.thumb"
                                 alt=""></div>
                        <div class="detail">
                            <div class="name line-hide display-1" style="margin-bottom: 10px;"><i class="icon-tip"
                                                                                                  v-if="toolItem.show_tag==1">@{{
                                    toolItem.tag_text }}</i>@{{ item.title }}
                            </div>
                            <div style="display: flex;">
                                <div style="flex: 1 1 0%;">
                                    <div
                                            class="price display-1 flex-row flex-align-c flex-justify-b"><span
                                                class="text">￥<span
                                            >@{{ item.marketprice }}</span></span><span v-if="toolItem.show_buy_btn==1"
                                                                                        class="buy buybtn1 display-1">
                                                    @{{ toolItem.buy_btn_text }}
                                                </span>
                                    </div>
                                    <div
                                            class="sold display-1 flex-row flex-align-c flex-justify-b"
                                            style="margin-top: 5px;">
                                        <span
                                                class="line-through" v-if="toolItem.show_productprice==1">￥@{{ item.productprice }}</span>
                                        <span v-if="toolItem.show_sale_num==1">@{{ item.sale_num }}人购买</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div :style="{'padding':toolItem.padding_top_buttom +'px' + ' '+ toolItem.padding_left_right + 'px'}"
                 v-if="toolItem.style==3" v-for="item in toolItem.items">
                <div class="es-goods-group  list">
                    <div class="es-goods-item">
                        <div data-text="推荐" class="image display-2"
                             :class="[toolItem.show_tag==1 ? 'showIcon' : '']"
                        >
                            <i class="icon-attr" style="background-image: url('/addons/shimmer_liveshop/static/web/admin/diypage/images/goods_tag.png')" v-if="toolItem.show_tag==1" >
                                @{{ toolItem.tag_text }}
                            </i>
                            <img
                                    :src="item.thumb"
                                    alt=""></div>
                        <div class="detail">
                            <div class="name line-hide">@{{ item.title }}</div>
                            <div style="display: flex;">
                                <div style="flex: 1 1 0%;">
                                    <div class="price" style="margin-top: 4px;"><span
                                                class="text">￥<span
                                            >@{{ item.marketprice }}</span>
                                        </span>
                                        <span v-if="toolItem.show_productprice==1"
                                              class="productprice">￥@{{ item.productprice }}</span>
                                    </div>
                                </div>
                                <span class="buy buybtn1 display-2" v-if="toolItem.show_buy_btn==1">
                                    @{{ toolItem.buy_btn_text }}
                                        </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div v-if="toolItem.style==4">
                <div class="es-goods-group block two">
                    <div class="es-goods-item" :style="{'padding':toolItem.padding_top_buttom +'px' + ' '+ toolItem.padding_left_right + 'px'}" v-for="item in toolItem.items">
                        <div class="image display-3"  :class="[toolItem.show_tag==1 ? 'showIcon' : '']">
                            <i class="icon-attr" style="background-image: url('/addons/shimmer_liveshop/static/web/admin/diypage/images/goods_tag.png')" v-if="toolItem.show_tag==1" >
                                @{{ toolItem.tag_text }}
                            </i>
                            <img
                                    :src="item.thumb"
                                    alt=""></div>
                        <div class="detail">
                            <div class="name line-hide">@{{ item.title }}</div>
                            <div style="display: flex; margin-top: 10px;">
                                <div style="flex: 1 1 0%;">
                                    <div class="price" style="line-height: 1;"><span
                                                class="text">@{{ item.marketprice }}元</span></div>
                                    <div class="sold flex-row flex-align-c flex-justify-b"
                                         style="line-height: 1.5;"><span class="line-through" v-if="toolItem.show_productprice==1">￥@{{ item.productprice }}</span>
                                        <span v-if="toolItem.show_sale_num==1" >已售@{{ item.sale_num }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div v-if="toolItem.style==5">
                <div class="es-goods-group block two swiper">
                    <div class="es-goods-item" :style="{'padding':toolItem.padding_top_buttom +'px' + ' '+ toolItem.padding_left_right + 'px'}" v-for="item in toolItem.items">
                        <div class="image display-5" :class="[toolItem.show_tag==1 ? 'showIcon' : '']">
                            <i class="icon-attr" style="background-image: url('/addons/shimmer_liveshop/static/web/admin/diypage/images/goods_tag.png')" v-if="toolItem.show_tag==1" >
                                @{{ toolItem.tag_text }}
                            </i>
                            <img :src="item.thumb"
                                    alt=""></div>
                        <div class="detail">
                            <div class="name line-hide">@{{ item.title }}</div>
                            <div style="display: flex; margin-top: 10px;">
                                <div style="flex: 1 1 0%;">
                                    <div class="price" style="line-height: 1;"><span class="text">@{{ item.marketprice }}元</span>
                                    </div>
                                    <div class="sold flex-row flex-align-c flex-justify-b" style="line-height: 1.5;">
                                        <span class="line-through" v-if="toolItem.show_productprice==1">￥@{{ item.productprice }}</span>
                                        <span v-if="toolItem.show_sale_num==1" >已售@{{ item.sale_num }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="btn-edit-del" @click="delTool(toolIndex)">
                <i class="el-icon-delete icon-close"></i>
            </div>
        </div>
    </section>
</div>