<div class="layui-form-item">
    <label class="layui-form-label">标题</label>
    <div class="layui-input-block">
        <input type="text" name="title" required  lay-verify="required" placeholder="请输入频道名称" value="{{$model->title}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">描述</label>
    <div class="layui-input-block">
        @php echo tpl_ueditor('intro',$model->intro); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input type="text" name="sort" required  lay-verify="required" placeholder="请输入排序" value="{{$model->sort}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">小视频分类</label>
    <div class="layui-input-block">
        <select name="cate_id" lay-verify="required" lay-search="">
            <option value="0">直接选择或搜索选择</option>
            @foreach($categories as $key=>$val)
                <option value="{{$key}}" @if($model->cate_id==$key) selected @endif>{{$val}}</option>
            @endforeach
        </select>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">小视频封面</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('cover',$model->cover); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">小视频封面</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_video('url'); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">状态显示</label>
    <div class="layui-input-block">
        <input type="radio" name="isshow" value="1" @if($model->isshow==1) checked @endif title="显示" >
        <input type="radio" name="isshow" value="2" @if($model->isshow==2) checked @endif title="隐藏" >
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">是否推荐</label>
    <div class="layui-input-block">
        <input type="radio" name="is_recommend" value="1" @if($model->is_recommend==1) checked @endif title="是" >
        <input type="radio" name="is_recommend" value="0" @if($model->is_recommend==0) checked @endif title="否" >
    </div>
</div>


<div class="layui-form-item">
    <label class="layui-form-label">审核状态</label>
    <div class="layui-input-block">
        <input type="radio" name="status" value="0" @if($model->status==0) checked @endif title="待审核" >
        <input type="radio" name="status" value="1" @if($model->status==1) checked @endif title="审核通过" >
        <input type="radio" name="status" value="2" @if($model->status==2) checked @endif title="拒绝" >
    </div>
</div>