@extends('live::layouts.master')
@section('title')
    菜单管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div style="width: 100%;">
                <div class="ibox-content">
                    <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('livelive.store')}}" method="post">
                        {{csrf_field()}}
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印开关</label>
                            <div class="layui-input-block">
                                <input type="radio" name="live_status" value="1" title="开启" @if($model->live_status==1) checked="" @endif>
                                <input type="radio" name="live_status" value="2" title="关闭" @if($model->live_status==2) checked="" @endif>
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印</label>
                            <div class="layui-input-block">
                                @php echo wg_tpl_form_field_image('water',$model->cover); @endphp
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印透明度</label>
                            <div class="layui-input-block">
                                <input type="number" class="layui-input"  name="start_at" value="{{$model->start_at}}">
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">水印大小</label>
                            <div class="layui-input-block">
                                <input type="number" class="layui-input"  name="start_at" value="{{$model->start_at}}">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-3">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存添加</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection