{{--小程序跳转公共模版--}}
@php $wxversion = \App\Models\WxappVersion::getLastVersion(); @endphp
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>Appid</label>
    <div class="layui-input-block">
        <select name="{{$column}}[appid]" lay-verify="required" lay-filter="version">
            @foreach ((array)$wxversion->tominiprogram as $key=>$tominiprogram)
                <option value="{{$key}}" @if($model->$column['appid']==$key) selected @endif>{{$tominiprogram['app_name']}}</option>
            @endforeach
        </select>
        <div class="form-text m-b-none">
            <a class="link-color"
               href="/web/index.php?c=wxapp&a=front-download&do=tominiprogram&version_id={{$wxversion->id}}"
               target="_blank">去添加</a>
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>Path</label>
    <div class="layui-input-block">
        <input type="text" name="{{$column}}[path]" placeholder="请输入跳转小程序路径" value="{{$model->$column['path']}}"
               class="layui-input">
        <div class="form-text m-b-none">注: 不需要第一个/
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">Extra data</label>
    <div class="layui-input-block">
        <input type="text" name="{{$column}}[extra_data]" placeholder="请输入跳转小程序携带参数"
               value="{{$model->$column['extra_data']}}"
               class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">跳转版本</label>
    <div class="layui-input-block">
        <select name="{{$column}}[version]" lay-verify="required" lay-filter="version">
            @foreach (\App\Services\MiniProgramService::$navigatorVersions as $key=>$version)
                <option value="{{$key}}" @if($model->$column['version']==$key) selected @endif>{{$version}}</option>
            @endforeach
        </select>
    </div>
</div>