<?php

namespace App\Modules\Live\Services;

use App\Modules\Live\Models\ShimmerLiveshopLimit;

class LimitService extends BaseService
{

    public function save($request, $liveModel)
    {
        $model = (new ShimmerLiveshopLimit())->where('live_id', $liveModel->id)->first();
        if (!$model) {
            $model = new ShimmerLiveshopLimit();
            $model->uniacid = $liveModel->uniacid;
            $model->live_id = $liveModel->id;
        }
        $model->limit_type = $request->input('limit_type');
        $model->password = $request->input('limit.password');
        $model->price = floatval($request->input('limit.price'));
        $model->backprice = floatval($request->input('limit.backprice'));
        $model->open_ini = (int)$request->input('limit.open_ini');
        $model->divide_into = (int)$request->input('limit.divide_into');
        $model->save();
    }
}