<?php
namespace App\Modules\Liveapi\Http\Controllers;

use App\Common\Im\TisApi;
use App\Services\ConfigService;
use Illuminate\Http\Request;

class InterfaceController extends Controller {

    public function index(Request $request){
        $config = ConfigService::getValueByType(3);
        $accessId = $config['tis_access_id'];
        $accessKey = $config['tis_access_key'];
        if(!empty($request->input('tisId'))){
            $tisId = $request->input('tisId');
        } else {
            $tisId = $config['tis_tis_id'];
        }
        $api = new TisApi($accessId,$accessKey);
        $method = $_REQUEST['method'];
        $rst = $api->$method($_REQUEST,$tisId);
        echo json_encode($rst);
    }
}