<?php

/**
 * 用户商品
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/18
 * Time: 下午12:10
 */

namespace App\Modules\Liveapi\Http\Controllers\Member;

use App\Lib\Bemrc\UtilService;
use App\Models\ShimmerLiveshopGoodsRelation;
use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Modules\Liveapi\Services\UserService;
use Illuminate\Http\Request;

class GoodsController extends Controller
{
    /**
     * 获取用户商品收藏列表
     * @param Request $request
     */
    public function collectList(Request $request)
    {
        list($page, $limit) = UtilService::getMore([
            ['page', 0],
            ['limit', 0]
        ], $request, true);

        if (!$limit) {
            $limit = 5;
        }

        $data = UserService::getUserCollectGoods($this->uid, (int)$page, (int)$limit);
        return $this->success($data);
    }
}