<?php

/**
 * 商品
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/9/9
 * Time: 下午4:41
 */

namespace App\Modules\Liveapi\Http\Controllers\Member;

use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Services\SmsService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

class RegisterController extends Controller
{
    public function verify(Request $request){
        $phone = $request->input('phone');
        if (!$phone){
            return $this->result([],'手机号码不正确',401);
        }
        $code = Cache::store('file')->get('code_'.$phone);
        $codetime = Cache::store('file')->get('code_time_'.$phone);
        $time = 5;
        if (!$code || !$codetime){
            $code = rand(100000,999999);
            Cache::store('file')->put('code_'.$phone,$code,$time);
            Cache::store('file')->put('code_time_'.$phone,time(),1);
            SmsService::sendCode(['code'=>$code,'mobile'=>$phone]);
            return $this->result([]);
        }
        return $this->result([],'发送过于频繁，请'.$time.'分钟后再试',401);
    }
}