<?php
namespace App\Modules\Liveapi\Http\Controllers\Test;

use App\Events\CommissionAgent;
use App\Events\CommissionOrder;
use App\Events\CommissionRelation;
use App\Events\Test;
use App\Jobs\ProcessPodcast;
use App\Models\ShimmerLiveshopUser;
use App\Models\ShimmerLiveshopUserToken;
use App\Modules\Liveapi\Http\Controllers\Controller;
use Illuminate\Http\Request;

class UserController extends Controller {

    public function token(Request $request){
        $nickname = $request->input('nickname');
        if ($nickname){
            $uid = ShimmerLiveshopUser::where('nickname','like',"{$nickname}")->value('id');
            $token = ShimmerLiveshopUserToken::where('uid',$uid)->orderBy('created_at','desc')->value('access_token');
            return $this->result($token);
        }
        $uid = $request->input('uid');
        if ($uid){
            $token = ShimmerLiveshopUserToken::where('uid',$uid)->orderBy('created_at','desc')->value('access_token');
            return $this->result($token);
        }
    }
}