<?php
/**
 * 用户model
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 上午11:49
 */

namespace App\Modules\Liveapi\Models;

use App\Models\ShimmerLiveshopLiveGoods;
use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopLive extends \App\Models\ShimmerLiveshopLive
{
    public function liveGoods(){
        return $this->hasMany(ShimmerLiveshopLiveGoods::class,'live_id','id');
    }

    public function user(){
        return $this->hasOne(ShimmerLiveshopUser::class,'id','uid');
    }

    public function getCoverAttribute($cover){
        return $cover ? wgTomedia($cover) : '';
    }

    /**
     * @param $query
     * @param $data
     * 搜索
     */
    public function scopeSearchData($query,$data){
        if ($data['keywords']){
            $query->where('title', 'like', "%{$data['keywords']}%");
        }
    }
}