<?php
namespace App\Modules\Liveapi\Services\Live;

use App\Models\ShimmerLiveshopLiveSubscribe;
use App\Models\ShimmerLiveshopTemplate;
use App\Modules\Liveapi\Services\BaseService;
use App\Modules\Liveapi\Services\MiniProgramService;

class TemplateService extends BaseService {

    public static function liveStart($live){
        $users = ShimmerLiveshopLiveSubscribe::with('user')->where('live_id',$live->id)->where('status',1)->where('has_send',0)->get();
        $path = '/live/pages/live_room3/index?live_id='.$live->id;
        foreach ($users as $user){
            $data = [
                'thing1' => [
                    'value' => $live->title,
                ],
                'date2' => [
                    'value' => date('Y-m-d H:i',$live->start_at),
                ],
                'name3' => [
                    'value' => $live->user->nickname,
                ]
            ];
            \App\Services\TemplateService::pushQueue('开播提醒',$user->uid,763,$data,$path,1);
            ShimmerLiveshopLiveSubscribe::where('id',$user->id)->update(['has_send'=>1]);
        }
    }
}