<?php
namespace App\Modules\Liveapi\Services;

use App\Modules\Liveapi\Models\ShimmerLiveshopNav;
use App\Models\ShimmerLiveshopNav as Nav;

class NavService extends BaseService {

    //获取直播间导航
    public static function getLiveNav($live_id){
        $navs = ShimmerLiveshopNav::where('live_id',$live_id)->select('name','type','data')->get();
        foreach ($navs as &$nav){
            $nav['typename'] = Nav::$menuTypes[$nav->type]['type_name'];
        }
        return $navs;
    }
}