<?php
/**
 * 后台服务工具
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/20
 * Time: 上午1:03
 */

namespace App\Services\Chat;
use App\Services\BaseService;
use App\Services\Chat\Goeasy\SearchOnlineService;
use App\Services\Chat\Goeasy\SendService;
use App\Services\ConfigService;

class InitService extends BaseService
{
    /**
     * @param $content
     * @param $content_type
     * @param $live_id
     * @param $user
     * 消息发送通知
     */
    public static function sendMsg($content,$content_type,$live_id,$user){
        $config = ConfigService::getValueByType(3);
        switch ($config['type_value']){
            case 1:
                break;
            case 2:
                $chatModel = new SendService($config,$live_id,$user);
                $chatModel->sendMsg($content,$content_type);
                break;
            default:
                break;
        }
    }

    public static function sendRewardToLive($content,$content_type,$live_id,$user,$data){
        $config = ConfigService::getValueByType(3);
        switch ($config['type_value']){
            case 1:
                break;
            case 2:
                $chatModel = new SendService($config,$live_id,$user);
                $chatModel->sendRewardToLive($content,$content_type,$data);
                break;
            default:
                break;
        }
    }

    /**
     * @param $live_id
     * @param bool $includeUsers
     * @param bool $distinct
     * @return bool|mixed|string
     * 查询在线用户
     */
    public static function searchOnline($live_id,$includeUsers=false,$distinct=false){
        $config = ConfigService::getValueByType(3);
        switch ($config['type_value']){
            case 1:
                break;
            case 2:
                $chatModel = new SearchOnlineService($config,$live_id);
                return $chatModel->searchOnline($includeUsers,$distinct);
                break;
            default:
                break;
        }
    }
}