<?php

namespace App\Services\Project\Wxapp;

use App\Modules\Liveapi\Services\MiniProgramService;
use App\Services\BaseService;

class HandleService extends BaseService
{
    /**
     * @param $content
     * @return array|mixed
     * 非法内容检测
     */
    public static function smsCheck($content){
        $access_token = MiniProgramService::getAccessToken();
        $url = UrlService::smsCheckUrl($access_token);
        $data = json_encode(array('content'=>$content),JSON_UNESCAPED_UNICODE);
        $res = self::postData($url,$data);
        if($res['errcode'] && $res['errcode']!=87014){
            $access_token = MiniProgramService::getAccessToken(1);
            $url = UrlService::smsCheckUrl($access_token);
            $res = self::postData($url,$data);
        }
        return $res;
    }

    public static function postData($url,$data){
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($ch, CURLOPT_URL,$url); // url
        curl_setopt($ch, CURLOPT_POST, TRUE);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data); // json数据
        $res = curl_exec($ch); // 返回值
        curl_close($ch);
        $result = json_decode($res,true);
        return $result;
    }
}