
<?php $__env->startSection('title'); ?>
    会员信息
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="nickname"  placeholder="请输入昵称" class="layui-input" value="<?php echo e(\Request::input('nickname')); ?>">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">

                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $fans], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>粉丝</th>
                            <th>openid</th>
                            <th>会员信息</th>
                            <th>积分/余额</th>
                            <th>成交</th>
                            <th>关注数/粉丝数</th>
                            <th>注册时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $fans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($item->id); ?></th>
                                <td>
                                    <img src="<?php echo e($item->avatar); ?>"
                                         class="rounded-circle img-sm img_pop_show"/><br/>
                                    <?php echo e($item->nickname); ?>

                                </td>
                                <td>
                                    <?php echo e($item->wxapp_openid); ?>

                                </td>
                                <td>
                                    <?php echo e($item->realname); ?><br/>
                                    <?php echo e($item->mobile); ?>

                                </td>

                                <th>
                                    积分: <span class="text-success"><?php echo e($item->credit); ?></span><br/>
                                    余额: <span class="text-danger"><?php echo e($item->balance); ?></span>
                                    <?php if($item->give_balance>0): ?>
                                        <br/>
                                        赠送余额: <span class="text-danger"><?php echo e($item->give_balance); ?></span>
                                    <?php endif; ?>
                                </th>
                                <th>
                                    订单: <span class="text-success"><?php echo e($item->pay_count); ?></span><br/>
                                    金额: <span class="text-danger"><?php echo e($item->pay_money); ?></span>
                                </th>
                                <th>
                                    关注数: <span class="text-success"><?php echo e($item->follow_num); ?></span><br/>
                                    粉丝数: <span class="text-danger"><?php echo e($item->follower_num); ?></span>
                                    <?php if($item->give_balance>0): ?>
                                        <br/>
                                        赠送余额: <span class="text-danger"><?php echo e($item->give_balance); ?></span>
                                    <?php endif; ?>
                                </th>
                                <th>
                                    <?php echo e($item->created_at); ?>

                                </th>
                                <th>
                                    <div class="dropdown btn btn-info" >
                                        <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                            操作
                                        </div>
                                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                            <li>
                                                <a class="dropdown-item" href="<?php echo e(wgRoute('livefans.info',[$item->id])); ?>">
                                                    会员详情
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="<?php echo e(wgRoute('liveshoporder.list.all',['uid'=>$item->id])); ?>">
                                                    会员订单
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" href="javascript:;" data-width="1000px" data-height="700px"  data-url="<?php echo e(wgRoute('live.member.manager.recharge',['uid'=>$item->id])); ?>">
                                                    会员充值
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <a class="btn btn-danger ajax-confirm delete"
                                       data-url="<?php echo e(wgRoute('livefans.destroy',[$item->id])); ?>" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $fans], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>