
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">页面名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="页面名称"
                                       value="<?php echo e($query['name']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">页面类型:</label>
                            <div class="layui-input-inline">
                                <select name="query[type]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['type']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['type']) && $query['type']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a class="btn btn-primary" href="<?php echo e(wgRoute('liveutilsdiypage.create')); ?>"><i
                                        class="fa fa-plus"></i>&nbsp;新建页面</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>页面名称</th>
                                <th>页面类型</th>
                                <th>浏览量</th>
                                <th>修改时间</th>
                                <th>创建时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->id); ?></td>
                                    <td>
                                        <?php echo e($item->name); ?>

                                    </td>
                                    <td>
                                        <?php echo e($queryData['type'][$item->type]); ?>

                                    </td>
                                    <td>
                                        <?php echo e($item->view_num); ?>

                                    </td>
                                    <td>
                                        <?php echo e($item->updated_at); ?>

                                    </td>
                                    <td>
                                        <?php echo e($item->created_at); ?>

                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"
                                               data-url="<?php echo e(wgRoute('liveutilsdiypage.view',[$item->id])); ?>"
                                               data-title="页面预览" data-width="350px" data-height="450px">
                                                预览
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="<?php echo e(wgRoute('liveutilsdiypage.edit',[$item->id])); ?>"
                                               class="btn btn-outline btn-success">
                                                编辑
                                            </a>
                                            &nbsp;&nbsp;
                                            <a class="btn btn-outline btn-success  ajax-confirm"
                                               data-url="<?php echo e(wgRoute('liveutilsdiypage.copy',[$item->id])); ?>"
                                               data-title="确定要复制该页面吗？" href="javascript:;">
                                                复制
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="javascript:;"
                                               class="btn btn-outline btn-danger ajax-confirm delete"
                                               data-url="<?php echo e(wgRoute('liveutilsdiypage.destroy',['id'=>$item->id])); ?>"
                                               data-title="确定要删除吗">
                                                删除
                                            </a>
                                            &nbsp;&nbsp
                                            <a class="btn btn-outline btn-success  ajax-confirm"
                                               data-url="<?php echo e(wgRoute('liveutilsdiypage.changetype',[$item->id,'type'=>2])); ?>" data-method="post"
                                               data-title="确定要设置该页面为首页吗？" href="javascript:;">
                                                设为首页
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </form>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>