<?php $__env->startSection('head'); ?>
    <style>
        .layui-input.multiple {
            padding: 4px 10px 4px 10px;
            cursor: pointer;
        }

        .layui-input.multiple a {
            padding: 2px 5px;
            background: #5FB878;
            border-radius: 2px;
            color: #fff;
            display: block;
            line-height: 20px;
            height: auto;
            margin: 2px 5px 2px 0;
            float: left;
        }
    </style>
<?php $__env->stopSection(); ?>
<div class="layui-form-item">
    <label class="layui-form-label">显示分类</label>
    <div class="layui-input-block">
        <div class="layui-input multiple selectCategory">
            <?php if($config['categorys']): ?>
                <?php $__currentLoopData = $config['categorys']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <a href="javascript:;">
                        <span lay-value="<?php echo e($category['id']); ?>"><?php echo e($category['name']); ?></span>
                    </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </div>
        <input type="hidden" value="<?php echo e($config['category_ids']); ?>" name="config[category_ids]" class="categoryIds"/>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">显示开关</label>
    <div class="layui-input-block">
        <input type="checkbox" name="config[follow_weixin]" <?php if($config['follow_weixin']): ?> checked <?php endif; ?> title="关注公众号" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>关注公众号</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <div class="form-text m-b-none">
            （开启会在首页显示相关组件）
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">首页推荐列表</label>
    <div class="layui-input-block">
        <input type="checkbox" name="config[is_sales]" <?php if($config['is_sales']): ?> checked <?php endif; ?> title="热卖促销" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>热卖促销</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <input type="checkbox" name="config[is_vip]" <?php if($config['is_vip']): ?> checked <?php endif; ?> title="精选商品" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>精选商品</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <input type="checkbox" name="config[is_new]" <?php if($config['is_new']): ?> checked <?php endif; ?> title="抢先好货" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>抢先好货</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <div class="form-text m-b-none"> （开启则表示首页会展示该标签下的商品列表）
        </div>
    </div>
</div>
<?php if($config['tags']): ?>
    <div class="layui-form-item">
        <label class="layui-form-label">专题会场列表</label>
        <div class="layui-input-block">
            <?php $__currentLoopData = (array)$config['tags']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <input type="checkbox" name="config[tag_ids][]" <?php if(in_array($tag['id'],(array)$config['tag_ids'])): ?> checked <?php endif; ?> title="<?php echo e($tag['name']); ?>" value="<?php echo e($tag['id']); ?>">
                <div class="layui-unselect layui-form-checkbox">
                    <span><?php echo e($tag['name']); ?></span>
                    <i class="layui-icon layui-icon-ok"></i>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <div class="form-text m-b-none"> （开启则表示首页会展示该标签下的商品列表）
            </div>
        </div>
    </div>
<?php endif; ?>
<div class="layui-form-item">
    <label class="layui-form-label">显示商品条数</label>
    <div class="layui-input-block">
        <input type="number" name="config[goods_limit]" placeholder="请输入显示商品数量" value="<?php echo e($config['goods_limit']); ?>" class="layui-input">
    </div>
    <div class="form-text m-b-none">
        首页显示各类别商品数量
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">直播间显示</label>
    <div class="layui-input-block">
        <input type="radio" name="config[live_open_type]" value="0" title="不显示" <?php if($config['live_open_type']==0): ?> checked="" <?php endif; ?>>
        <input type="radio" name="config[live_open_type]" value="1" title="全部" <?php if($config['live_open_type']==1): ?> checked="" <?php endif; ?>>
        <input type="radio" name="config[live_open_type]" value="2" title="推荐" <?php if($config['live_open_type']==2): ?> checked="" <?php endif; ?>>
        <input type="radio" name="config[live_open_type]" value="3" title="即将直播" <?php if($config['live_open_type']==3): ?> checked="" <?php endif; ?>>
        <input type="radio" name="config[live_open_type]" value="4" title="直播中" <?php if($config['live_open_type']==4): ?> checked="" <?php endif; ?>>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">顶部标语</label>
    <div class="layui-input-block">
        <textarea name="config[top_titles]" placeholder="请输入首页顶部标语" class="layui-textarea"><?php echo e($config['top_titles']); ?></textarea>
        <span class="help-block">（一行代表一则）</span>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商城公告</label>
    <div class="layui-input-block">
        <textarea name="config[news]" placeholder="请输入短报内容" class="layui-textarea"><?php echo e($config['news']); ?></textarea>
        <span class="help-block">（一行代表一则）,文字一行提醒标题和内容冒号隔开如: 最热:xxx</span>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">广告图</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('config[ad_pic]',$config['ad_pic']);  ?>
        <div class="form-text m-b-none"> （建议尺寸750 × 400，仅支持JPG、PNG2种格式大小不超过2.0MB，非必填）
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">精选商品图</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_multi_image('config[vip_banner]',$config['vip_banner']);  ?>
        <div class="form-text m-b-none"> （建议尺寸750 × 282，仅支持JPG、PNG2种格式大小不超过2.0MB，最多上传5张。不展示该列表可不填）
        </div>
    </div>
</div>
<?php $__env->startSection('script'); ?>
    <script>
        $(".selectCategory").on('click', function () {
            var $_url = '<?php echo e(wgRoute('liveshopcategory.pageIndexSelect',['category_ids'=>($config['category_ids'])])); ?>';

            layer.open({
                type: 2,
                shade: false,
                area: ['1000px', '700px'],
                maxmin: true,
                shift: -1,
                title: '选择分类',
                content: $_url,
                zIndex: layer.zIndex, //重点1
                success: function (layero) {

                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>