<div class="custorm--modelbox notice-edit" v-if="currentType=='search_bar'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    搜索框
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            颜色选择
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">搜索框</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].search_background">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].search_background }}</span>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">背景</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].background">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].background }}</span>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">文字颜色</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].color">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].color }}</span>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            边角样式
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].corner" class="flex-row">
                    <el-radio label="round">椭圆</el-radio>
                    <el-radio label="arc">圆角</el-radio>
                    <el-radio label="square">直角</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            文字位置
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <template>
                <el-radio-group v-model="content.items[currentIndex].text_align" class="flex-row">
                    <el-radio label="left">居左</el-radio>
                    <el-radio label="center">居中</el-radio>
                </el-radio-group>
            </template>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            默认文字
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">文字</span>
            <div class="flex-col">
                <el-input v-model="content.items[currentIndex].placeholder" size="medium" placeholder="请输入关键字"></el-input>
                <p class="ivu-input">搜索框提示文字</p>
            </div>
        </div>
    </div>
</div>