<div class="custorm--modelbox index-edit" v-if="currentType=='index'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    顶部导航
                </div>
            </div>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            颜色选择
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span style="margin-right: 13px">标题栏文字</span>
            <template>
                <el-radio-group v-model="content.navigationBar.frontColor" class="flex-row">
                    <el-radio label="#000000">黑色</el-radio>
                    <el-radio label="#ffffff">白色</el-radio>
                </el-radio-group>
            </template>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">标题栏背景</span>
            <el-color-picker size="mini" v-model="content.navigationBar.backgroundColor">
            </el-color-picker>
            <span class="ivu-input">{{ content.navigationBar.backgroundColor }}</span>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            页面设置
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">页面名称</span>
            <div class="flex-col">
                <el-input v-model="content.navigationBar.name" size="medium" placeholder="请输入页面名称"></el-input>
                <p class="ivu-input">页面名称仅用于后台标注</p>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">页面标题</span>
            <div class="flex-col">
                <el-input v-model="content.navigationBar.title" size="medium" placeholder="请输入页面标题"></el-input>
                <p class="ivu-input">小程序顶部显示的标题</p>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">分享标题</span>
            <div class="flex-col">
                <el-input v-model="content.navigationBar.share_title" size="medium" placeholder="请输入页面标题"></el-input>
                <p class="ivu-input">小程序端转发时显示的标题</p>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">分享描述</span>
            <div class="flex-col">
                <el-input v-model="content.navigationBar.share_desc" size="medium" placeholder="请输入页面标题"></el-input>
                <p class="ivu-input">小程序端分享时显示的描述文字</p>
            </div>
        </div>
        <div class="stylebox flex-row ivu-color-picker">
            <span class="stylebox-label">分享图片</span>
            <div class="flex-col">
                <div class="item" style="position: relative;">
                    <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                    <div class="item-inner">
                        <div class="small" style="align-self: start;">
                            <div @click="uploadImg('content.navigationBar.share_img')" class="uploadSource solid" style="cursor: pointer">
                                <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                <div class="img" :style="{'background-image':'url('+content.navigationBar.share_img+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}" v-if="content.navigationBar.share_img">
                                </div>
                                <div class="img" :style="{'background-image': 'url(<?php echo e(URL::asset('/static/web/admin/diypage/nopic.png')); ?>)', 'width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}" v-else>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <p class="ivu-input">小程序端分享时显示的图片</p>
            </div>
        </div>
    </div>
</div>