<div class="layui-form-item">
    <label class="layui-form-label">父级</label>
    <div class="layui-input-block">
        <select name="parent_id" lay-verify="required" lay-filter="parent_id">
            <option value="0">顶级菜单</option>
            <?php $__currentLoopData = $parentCategorys; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($row->id); ?>"  <?php if($parentId==$row->id || $info->parent_id==$row->id): ?> selected <?php endif; ?>>|-----<?php echo e($row->name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">分类名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" placeholder="请输入分类名称" value="<?php echo e($info->name); ?>" class="layui-input">
    </div>
</div>

<div class="layui-form-item child_form_item" <?php if($parentId==0 && (!$info || $info->parent_id==0)): ?> style="display: none" <?php endif; ?>>
    <label class="layui-form-label">分类图片</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('pic',$info->pic);  ?>
    </div>
</div>
<div class="layui-form-item child_form_item" <?php if($parentId==0 && (!$info || $info->parent_id==0)): ?> style="display: none" <?php endif; ?>>
    <label class="layui-form-label">首页展示图标</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('home_pic',$info->home_pic);  ?>
        <div class="form-text m-b-none"> （建议尺寸90*90或1：1，仅支持JPG、PNG2种格式大小不超过2.0MB）
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">状态</label>
    <div class="layui-input-block">
        <input type="radio" name="isshow" value="1" title="显示" <?php if(!$info || $info->isshow==1): ?> checked
               <?php endif; ?> lay-filter="isshow">
        <input type="radio" name="isshow" value="2" title="隐藏" <?php if($info && $info->isshow==2): ?> checked
               <?php endif; ?> lay-filter="isshow">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input type="number" name="sort" placeholder="请输入排序" value="<?php echo e($info->sort); ?>" class="layui-input">
        <span class="help-block">数字越大,排序越靠前</span>
    </div>
</div>
<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            form.on('select(parent_id)',function (data) {
                var parent_id = data.value;
                if(parent_id!=0){
                    $(".child_form_item").show();
                } else {
                    $(".child_form_item").hide();
                }
            })
        });
    </script>
<?php $__env->stopSection(); ?>