<form class="layui-form" action="">
    <div class="layui-inline">
        <label class="layui-form-label">用户ID:</label>
        <div class="layui-input-inline">
            <input type="text" name="uid"  placeholder="请输入用户ID" class="layui-input" value="<?php echo e(\Request::input('uid')); ?>">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">昵称:</label>
        <div class="layui-input-inline">
            <input type="text" name="nickname"  placeholder="请输入用户昵称" class="layui-input" value="<?php echo e(\Request::input('nickname')); ?>">
        </div>
    </div>
    <div class="layui-inline" style="padding-bottom: 5px">
        <div class="layui-input-inline">
            <button class="btn btn-success" type="submit" >搜索</button>
        </div>
    </div>
</form>

<?php $__env->startSection('toolbar'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::common.toolbar', ['pager' => $users], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<table class="layui-table">
    <thead>
    <tr>
        <th>用户ID</th>
        <th style="width: 200px;">头像</th>
        <th>昵称</th>
        <th>真实姓名</th>
        <th>手机号码</th>
        <th>扩展资料</th>
        <th>状态</th>
        <th>拉黑</th>
        <th>申请时间</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <th><?php echo e($user->uid); ?></th>
            <th>
                <img src="<?php echo e(tomedia($user->user->avatar)); ?>" style="width:50px; height:50px; border-radius:50%; overflow:hidden;">
            </th>
            <th><?php echo e($user->user->nickname); ?></th>
            <th><?php echo e($user->user->realname); ?></th>
            <th><?php echo e($user->user->mobile); ?></th>
            <th>
                <?php if($user->diyform_data_id>0): ?>
                    <a href="javascript:;" class="link-color load_iframe" data-url="<?php echo e(wgRoute("liveutilsdiyform.fieldData",['id'=>$user->diyform_data_id])); ?>" data-width="1000px" data-height="700px" >查看表单</a>
                <?php else: ?>
                    无
                <?php endif; ?>
            </th>
            <th>
                <?php if($user->status==1): ?>
                    <text class="text text-success">正常</text>
                <?php else: ?>
                    <text class="text text-warning">待审核</text>
                <?php endif; ?>
            </th>
            <th>
                <?php if($user->is_black==1): ?>
                    <text class="text text-warning">已拉黑</text>
                <?php else: ?>
                    <text class="text text-success">正常</text>
                <?php endif; ?>
            </th>
            <th>
                <?php echo e($user->created_at); ?>

            </th>
            <th>
                <?php if($user->is_black == 1): ?>
                    <button type="button" class="btn btn-success  ajax-confirm"
                             data-title="确定取消拉黑该主播？" data-url="<?php echo e(wgRoute('liveanchor.change-black',[$user->id])); ?>">取消拉黑
                    </button>
                <?php else: ?>
                    <button type="button" class="btn btn-warning ajax-confirm" data-title="确定拉黑该主播？"
                            data-url="<?php echo e(wgRoute('liveanchor.change-black',[$user->id])); ?>">拉黑
                    </button>
                <?php endif; ?>

                <?php if($user->status==1): ?>
                    <button type="button" class="btn btn-danger ajax-confirm" data-title="确定取消审核该主播？"
                            data-url="<?php echo e(wgRoute('liveanchor.change-status',[$user->id])); ?>">取消审核
                    </button>
                <?php else: ?>
                    <button type="button" class="btn btn-success ajax-confirm" data-title="确定审核该主播？"
                            data-url="<?php echo e(wgRoute('liveanchor.change-status',[$user->id])); ?>">审核通过
                    </button>
                <?php endif; ?>
                    <button type="button" class="btn btn-danger ajax-confirm delete" data-title="确定删除该主播？"
                            data-url="<?php echo e(wgRoute('liveanchor.destory',[$user->id])); ?>">删除
                    </button>
            </th>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
<?php echo $__env->make('live::common.pagination', ['pager' => $users], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>