
<?php $__env->startSection('title'); ?>
    底部导航列表
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <div class="toolbar">
                         <span class="left">
                        <a class="btn btn-primary load_iframe" data-url="<?php echo e(wgRoute('livewxapptabbar.create')); ?>"
                           data-width="1000px" data-height="700px" href="javascript:;"><i class="fa fa-plus"></i>&nbsp;添加导航</a>
                        <a class="btn btn-primary load_iframe" data-url="<?php echo e(wgRoute('livewxapptabbar.config')); ?>"
                           data-width="1000px" data-height="700px" href="javascript:;"><i class="fa fa-edit"></i>&nbsp;导航设置</a>
                        <a class="btn btn-danger ajax-confirm" data-url="<?php echo e(ShimmerLiveshopRoute('livewxapptabbar.reset')); ?>" data-title="重置会导致导航数据全部丢失,确定要重置吗?" href="javascript:;"><i class="fa fa-trash"></i>&nbsp;重置导航</a>
                         </span>
                    </div>
                    <form method="post" class="layui-form form-horizontal" id="ajaxform" action="<?php echo e(wgRoute('livewxapptabbar.changesorts')); ?>">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>排序</th>
                                <th>编号</th>
                                <th>链接</th>
                                <th>图标</th>
                                <th>选中图标</th>
                                <th>状态</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <input type="text" name="sorts[<?php echo e($row['id']); ?>]" value="<?php echo e($row['sort']); ?>" class="layui-input" style="width: 50px">
                                    </td>
                                    <td><?php echo e($row['id']); ?></td>
                                    <td><?php echo e($row['link']); ?></td>
                                    <td>
                                        <img src="<?php echo e(wgTomedia($row['icon'])); ?>" class="rounded img-md"/><br>
                                        <span style="color: <?php echo e($conf['color']); ?>"><?php echo e($row['name']); ?></span>
                                    </td>
                                    <td>
                                        <img src="<?php echo e(wgTomedia($row['select_icon'])); ?>" class="rounded img-md"/><br/>
                                        <span style="color: <?php echo e($conf['select_color']); ?>"><?php echo e($row['name']); ?></span>
                                    </td>
                                    <td data-url="<?php echo e(wgRoute('livewxapptabbar.changeIsShow',['id'=>$row['id']])); ?>">
                                        <input type="checkbox"
                                               <?php echo e($row['isshow']==1 ? 'checked' : ''); ?> lay-filter="isshow"
                                               name="isshow" lay-skin="switch" lay-text="显示|隐藏"
                                               value="1">
                                    </td>
                                    <td>
                                        <a class="btn btn-outline btn-success load_iframe"
                                           data-url="<?php echo e(wgRoute('livewxapptabbar.edit',[$row['id']])); ?>"
                                           href="javascript:;" data-width="1000px" data-height="700px">编辑</a>
                                        <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete"
                                                data-title="删除菜单后不可恢复，确定吗？"
                                                data-url="<?php echo e(wgRoute('livewxapptabbar.destroy',[$index])); ?>">删除
                                        </button>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <button class="btn btn-primary" type="submit" id="ajaxsubmit">提交</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            form.on('switch(isshow)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.isshow = data.elem.checked ? 1 : 2;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>