<style>
    .input-group-addon{
        line-height: initial;
    }
</style>
<div class="layui-card">
    <div class="layui-card-header">支付设置</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label">支付类型</label>
            <div class="layui-input-block">
                <?php $__currentLoopData = \App\Services\PayService::$payTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_payType=>$payType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <input type="checkbox" name="config[pay_types][]"
                           <?php if(in_array($_payType,(array)$config['pay_types'])): ?> checked <?php endif; ?> title="<?php echo e($payType); ?>"
                           value="<?php echo e($_payType); ?>">
                    <div class="layui-unselect layui-form-checkbox">
                        <span><?php echo e($payType); ?></span>
                        <i class="layui-icon layui-icon-ok"></i>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <div class="form-text m-b-none">
                    选择开启的支付类型
                </div>
            </div>
        </div>
    </div>
</div>

<div class="layui-card">
    <div class="layui-card-header">订单设置</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label">未付款关闭</label>
            <div class="layui-input-block">
                <input type="text" name="config[order_cancel_time]" placeholder="请输入小时数"
                       value="<?php echo e($config['order_cancel_time']); ?>" class="layui-input">
                <div class="form-text m-b-none">未付款订单关闭时间 单位/小时</div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">自动确认收货</label>
            <div class="layui-input-block">
                <input type="text" name="config[automatic_receiving_goods]" placeholder="请输入天数"
                       value="<?php echo e($config['automatic_receiving_goods']); ?>" class="layui-input">
                <div class="form-text m-b-none">订单自动确认收货时间 单位/天</div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">退货原因</label>
            <div class="layui-input-block">
        <textarea name="config[refund_feason]" placeholder="请输入退货原因"
                  class="layui-textarea"><?php echo e($config['refund_feason']); ?></textarea>
                <div class="form-text m-b-none">用户选择退货时可选的退货原因，一行代表一个原因</div>
            </div>
        </div>
    </div>
</div>

<div class="layui-card">
    <div class="layui-card-header">余额设置</div>
    <div class="layui-card-body">
        <div class="layui-form-item">
            <label class="layui-form-label">余额功能</label>
            <div class="layui-input-block">
                <input type="radio" name="config[balance][switch]" value="1" title="开启"
                       <?php if(!$config || $config['balance']['switch']==1): ?> checked <?php endif; ?>>
                <input type="radio" name="config[balance][switch]" value="0" title="关闭"
                       <?php if($config['balance']['switch']==0): ?> checked <?php endif; ?>>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">文案替换</label>
            <div class="layui-input-block row">
                <div class="input-group m-b col-md-6" style="padding-left: 0px">
                    <div class="input-group-prepend">
                        <span class="input-group-addon">余额</span>
                    </div>
                    <input type="text" name="config[balance][balance_text]" class="form-control"
                           value="<?php echo e($config['balance']['balance_text']); ?>">
                </div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">账户充值</label>
            <div class="layui-input-block">
                <input type="radio" name="config[balance][recharge]" value="1" title="开启"
                       <?php if(!$config || $config['balance']['recharge']==1): ?> checked <?php endif; ?>>
                <input type="radio" name="config[balance][recharge]" value="0" title="关闭"
                       <?php if($config['balance']['recharge']==0): ?> checked <?php endif; ?>>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">最低充值金额</label>
            <div class="layui-input-block">
                <div class="input-group m-b">
                    <input type="text" class="form-control" name="config[balance][min_recharge]"
                           value="<?php echo e($config['balance']['min_recharge']); ?>">
                    <div class="input-group-append">
                        <span class="input-group-addon">元</span>
                    </div>
                    <div class="form-text m-b-none">
                    </div>
                </div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">余额提现</label>
            <div class="layui-input-block">
                <input type="radio" name="config[balance][withdraw]" value="1" title="开启"
                       <?php if(!$config || $config['balance']['withdraw']==1): ?> checked <?php endif; ?>>
                <input type="radio" name="config[balance][withdraw]" value="0" title="关闭"
                       <?php if($config['balance']['withdraw']==0): ?> checked <?php endif; ?>>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">提现方式</label>
            <div class="layui-input-block">
                <input type="checkbox" name="config[balance][withdraw_weixin]" <?php if($config['balance']['withdraw_weixin']): ?> checked <?php endif; ?> title="提现到微信钱包" value="1">
                <div class="layui-unselect layui-form-checkbox">
                    <span>提现到微信钱包</span>
                    <i class="layui-icon layui-icon-ok"></i>
                </div>
                <input type="checkbox" name="config[balance][withdraw_alipay]" <?php if($config['balance']['withdraw_alipay']): ?> checked <?php endif; ?> title="手动提现到支付宝" value="1">
                <div class="layui-unselect layui-form-checkbox">
                    <span>手动提现到支付宝</span>
                    <i class="layui-icon layui-icon-ok"></i>
                </div>
                <input type="checkbox" name="config[balance][withdraw_bank]" <?php if($config['balance']['withdraw_bank']): ?> checked <?php endif; ?> title="手动提现到银行卡" value="1">
                <div class="layui-unselect layui-form-checkbox">
                    <span>手动提现到银行卡</span>
                    <i class="layui-icon layui-icon-ok"></i>
                </div>
                <div class="form-text m-b-none">
                    支持的银行请到<a class="link-color" href="<?php echo e(wgRoute('livesetting.system',['type'=>14])); ?>" target="_blank">【银行设置】</a>进行设置,使用手动提现到银行卡必须设置支持的银行
                    提示: 提现方式支持多选
                </div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">余额提现限制</label>
            <div class="layui-input-block">
                <input type="number" name="config[balance][withdraw_limit]"  value="<?php echo e($config['balance']['withdraw_limit']); ?>" class="layui-input">
            </div>
            <div class="form-text m-b-none">
                余额满多少才能提现,空或0不限制
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">提现手续费</label>
            <div class="layui-input-block">
                <div class="input-group m-b">
                    <input type="text" class="form-control" name="config[balance][withdraw_commission]" value="<?php echo e($config['balance']['withdraw_commission']); ?>">
                    <div class="input-group-append">
                        <span class="input-group-addon">%</span>
                    </div>
                </div>
                <div class="form-text m-b-none">
                    余额提现时,扣除的手续费.为空不扣除手续费
                </div>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">免手续费区间</label>
            <div class="layui-input-block row">
                <div class="input-group m-b col-md-6" style="padding-left: 0px;padding-right: 0">
                    <div class="input-group-prepend">
                        <span class="input-group-addon">最小余额</span>
                    </div>
                    <input type="text" name="config[balance][withdraw_commission_free_min]" class="form-control" value="<?php echo e($config['balance']['withdraw_commission_free_min']); ?>">
                </div>
                <div class="input-group m-b col-md-6" style="padding-left: 0px">
                    <div class="input-group-prepend">
                        <span class="input-group-addon">最大余额</span>
                    </div>
                    <input type="text" name="config[balance][withdraw_commission_free_max]" class="form-control" value="<?php echo e($config['balance']['withdraw_commission_free_max']); ?>">
                </div>
                <div class="help-block">
                    在最小金额和最大金额内，无提现手续费
                </div>
            </div>

        </div>
    </div>
</div>