
<?php $__env->startSection('title'); ?>
    直播分类
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="名称"
                                       value="<?php echo e(\Request::input('query.name')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        
                            
                        
                    <?php $__env->stopSection(); ?>
                    <div class="alert alert-primary">
                        提示: 没有设置等级的分销商将按默认设置计算提成。商品指定的佣金金额的优先级仍是最高的，也就是说只要商品指定了佣金金额就按商品的佣金金额来计算，不受等级影响
                    </div>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>等级名称</th>
                            <th>一级佣金比例</th>
                            <th>二级佣金比例</th>
                            <th>三级佣金比例</th>
                            <th>升级条件</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($list->name); ?></th>
                                <th><?php echo e($list->level_first); ?>%</th>
                                <th><?php echo e($list->level_second); ?>%</th>
                                <th><?php echo e($list->level_third); ?>%</th>
                                <th>
                                    <?php if($list->id==1): ?>
                                        默认等级
                                    <?php else: ?>
                                        <?php if($list->order_amount==0): ?>
                                            不自动升级
                                        <?php else: ?>
                                            <?php echo e($list->order_amount); ?>元
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </th>
                                <th>
                                    <a href="javascript:;" data-url="<?php echo e(wgRoute('livelevel.edit',[$list->id])); ?>" class="btn load_iframe btn-info">
                                        编辑
                                    </a>
                                    
                                        
                                    
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>