
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]" lay-verify="" placeholder="商品名称"
                                       value="<?php echo e($query['title']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">类别</label>
                            <div class="layui-input-inline">
                                <select name="query[category_id]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['category']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item['id']); ?>" <?php echo e($query['category_id']==$item['id'] ? 'selected': ''); ?>>|-----<?php echo e($item['name']); ?></option>
                                        <?php $__currentLoopData = (array)$item['child']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index1=>$item1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item1['id']); ?>" <?php echo e($query['category_id']==$item1['id'] ? 'selected': ''); ?>>|-----|-----<?php echo e($item1['name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">上架时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="<?php echo e($query['start_time']); ?>"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="<?php echo e($query['end_time']); ?>"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">状态</label>
                            <div class="layui-input-inline">
                                <select name="query[state]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['state']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['state']) && $query['state']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <?php if(!$liveId): ?>
                            <span class="left">
                            <a class="btn btn-primary" href="<?php echo e(wgRoute('liveshopgoods.create')); ?>"><i class="fa fa-plus"></i>&nbsp;添加商品</a>
                                    <a class="btn btn-primary load_iframe" href="javascript:;" data-url="<?php echo e(wgRoute('liveshopgoods.import')); ?>" data-width="1000px" data-height="800px"><i class="fa fa-plus"></i>&nbsp;导入商品</a>
                                         
                                            
                                 
                                    
                                   
                                      
                                      
                        </span>
                        <?php endif; ?>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>商品ID</th>
                            <th>商品名称</th>
                            <th>购买方式</th>
                            <th>商品主图</th>
                            <th>购买价</th>
                            <th>库存</th>
                            <th>运费</th>
                            <th>总销量</th>
                            <th>排序</th>
                            <th>时间</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr title="<?php echo e($item->title); ?>">
                                <td><input type="checkbox" class="check_item check_item_<?php echo e($item->id); ?>" data-id="<?php echo e($item->id); ?>"></td>

                                <td><?php echo e($item->id); ?></td>
                                <td><?php echo e(str_limit($item->title,40)); ?></td>
                                <td><?php echo e($item->buywayText); ?></td>
                                <td>
                                    <img src="<?php echo e(tomedia($item->thumb)); ?>" class="rounded img-md img_pop_show"/>
                                </td>
                                <td><?php echo e($item->marketprice); ?></td>
                                <td><?php echo e($item->stock); ?></td>
                                <td><?php echo e($item->expressprice); ?></td>
                                <td><?php echo e($item->sale_num); ?></td>
                                <td><?php echo e($item->sort); ?></td>
                                <td>
                                    创建: <?php echo e($item->created_at); ?><br/>
                                    <?php if($item->state==1): ?>
                                     上架: <?php echo e($item->stateon_at); ?><br/>
                                    <?php endif; ?>
                                    最后修改: <?php echo e($item->updated_at); ?>

                                </td>
                                <td>
                                    <?php if($item->state==1): ?>
                                        <span class="label label-success">上架</span>
                                    <?php elseif($item->state==0): ?>
                                        <span class="label label-danger">下架</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a class="btn btn-outline btn-success"
                                       href="<?php echo e(wgRoute('liveshopgoods.edit',[$item->id])); ?>">编辑</a>
                                    <?php if($item->state==1): ?>
                                        <button type="button" class="btn btn-outline btn-success  ajax-confirm"
                                                data-title="确定下架该商品吗？"
                                                data-url="<?php echo e(wgRoute('liveshopgoods.changeState',['id'=>$item->id,'state'=>0])); ?>"
                                                data-method="post">下架
                                        </button>
                                    <?php elseif($item->state==0): ?>
                                        <button type="button" class="btn btn-outline btn-success  ajax-confirm"
                                                data-title="确定上架该商品吗？"
                                                data-url="<?php echo e(wgRoute('liveshopgoods.changeState',['id'=>$item->id,'state'=>1])); ?>"
                                                data-method="post">上架
                                        </button>
                                    <?php endif; ?>
                                    <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete"
                                            data-title="删除商品后不可恢复，确定吗？"
                                            data-url="<?php echo e(wgRoute('liveshopgoods.destroy',[$item->id])); ?>">删除
                                    </button>
                                </td>
                            </tr>
                            <?php if(\App\Services\PluginService::isEnabled('merch') &&
                            $item['role_type']==\App\Services\GlobalRoleService::MERCH
                            ): ?>
                                <tr style="background: #f2f2f2;">
                                    <th colspan="13" style="text-align: left;">
                                        店铺名称:
                                        <a class="link-color" href="<?php echo e(wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->role->id])); ?>"><?php echo e($item->role->name); ?></a>
                                    </th>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php $__env->startSection('batch_btn'); ?>
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="<?php echo e(wgRoute('liveshopgoods.destroy',[$item->id])); ?>" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定全部上架吗？" data-batch="id"  data-url="<?php echo e(wgRoute('liveshopgoods.changeState',['state'=>1])); ?>" data-method="post"><i class="fa fa-exchange"></i> 批量上架</button>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定全部下架吗？" data-batch="id"  data-url="<?php echo e(wgRoute('liveshopgoods.changeState',['state'=>0])); ?>" data-method="post"><i class="fa fa-exchange"></i> 批量下架</button>
                        <button class="btn btn-default load_iframe" type="button"  data-batch="id" data-url="<?php echo e(wgRoute('liveshopgoods.changeCategory')); ?>" data-width="1000px" data-height="700px"><i class="fa fa-exchange"></i> 批量分类</button>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>