<div class="custorm--modelbox notice-edit" v-if="currentType=='help_line'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    辅助线
                </div>
            </div>
        </div>
    </div>

    <div class="edit-form-item">
        <div class="form-label">
            线条样式
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">颜色</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].border_color">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].border_color }}</span>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">背景</span>
            <el-color-picker size="mini" v-model="content.items[currentIndex].background">
            </el-color-picker>
            <span class="ivu-input">{{ content.items[currentIndex].background }}</span>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">风格</span>
            <template>
                <el-radio-group v-model="content.items[currentIndex].style" class="flex-row">
                    <el-radio label="solid">实线</el-radio>
                    <el-radio label="dotted">点状</el-radio>
                    <el-radio label="dashed">虚线</el-radio>
                </el-radio-group>
            </template>
        </div>
        <div class="stylebox flex-row flex-align-c ivu-color-picker">
            <span class="stylebox-label">高度</span>
            <el-slider
                    v-model="content.items[currentIndex].border_width"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                {{ content.items[currentIndex].border_width }}px
            </div>
        </div>
    </div>
    <div class="edit-form-item">
        <div class="form-label">
            上下边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_top_buttom"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                {{ content.items[currentIndex].padding_top_buttom }}px
            </div>
        </div>
        <div class="form-label">
            左右边距
        </div>
        <div class="flex-row flex-align-c">
            <el-slider
                    v-model="content.items[currentIndex].padding_left_right"
                    style="width: 70%">
            </el-slider>
            <div class="coupon-showslider">
                {{ content.items[currentIndex].padding_left_right }}px
            </div>
        </div>
    </div>
</div>