
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">分类名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="分类名称"
                                       value="<?php echo e($query['name']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        
                            
                            
                                
                                       
                            
                            
                            
                                
                                       
                            
                        
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                            <span class="left">
                            <a class="btn btn-primary load_iframe" data-url="<?php echo e(wgRoute('liveshopcategory.create',['parent_id'=>$parentId])); ?>" data-width="1000px" data-height="700px" href="javascript:;" ><i
                                        class="fa fa-plus"></i>&nbsp;添加类别</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>父级</th>
                                <th>名称
                                    <?php if($parentId==0): ?>
                                        (点击查看二级分类)
                                    <?php endif; ?>
                                </th>
                                <?php if($parentId): ?>
                                <th>分类图标</th>
                                <?php endif; ?>
                                <th>排序</th>
                                <th>状态</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->id); ?></td>
                                    <td>
                                        <?php if($item->parent_id>0): ?>
                                            <?php echo e($item->getParent()->name); ?>

                                        <?php else: ?>
                                            顶级
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($item->parent_id==0): ?>
                                            <a title="点击查看二级分类" class="link-color" href="<?php echo e(wgRoute('liveshopcategory.index',['parent_id'=>$item->id])); ?>"><?php echo e($item->name); ?></a>
                                        <?php else: ?>
                                            <?php echo e($item->name); ?>

                                        <?php endif; ?>
                                    </td>
                                    <?php if($parentId): ?>
                                    <td>
                                        <a href="<?php echo e(wgTomedia($item->pic)); ?>" target="_blank">
                                            <img src="<?php echo e(wgTomedia($item->pic)); ?>" class="rounded img-md"/>
                                        </a>
                                    </td>
                                    <?php endif; ?>
                                    <td><?php echo e($item->sort); ?></td>
                                    <td data-url="<?php echo e(wgRoute('liveshopcategory.changeIsShow',['id'=>$item->id])); ?>">
                                        <input type="checkbox" <?php echo e($item->isshow==1 ? 'checked' : ''); ?> lay-filter="isshow" name="isshow" lay-skin="switch" lay-text="显示|隐藏"
                                               value="1">
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"  data-url="<?php echo e(wgRoute('liveshopcategory.edit',['id'=>$item->id])); ?>" data-width="1000px" data-height="700px">
                                                编辑
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="javascript:;"  class="btn btn-outline btn-danger ajax-confirm delete" data-url="<?php echo e(wgRoute('liveshopcategory.destroy',['id'=>$item->id])); ?>" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </form>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });

            form.on('switch(isshow)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.isshow = data.elem.checked ? 1 : 2;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>