<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>后台管理
        <?php if(View::hasSection('page_title')): ?>
            | <?php echo $__env->yieldContent('page_title'); ?>
        <?php endif; ?>
    </title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php echo $__env->make('live::layouts.css', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <script src="<?php echo e(URL::asset('/static/web/js/jquery-3.1.1.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/metisMenu/jquery.metisMenu.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/slimscroll/jquery.slimscroll.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/inspinia.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/static/web/js/plugins/echarts/echarts.common.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/metisMenu/jquery.metisMenu.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/echarts/theme/macarons.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/echarts/theme/westeros.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/lib/toastr/toastr.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/require.js')); ?>"></script>
</head>

<body>
<?php echo $__env->yieldPushContent('scripts'); ?>
<?php echo $__env->make('live::layouts.toastr', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<div id="wrapper">
    <?php echo $__env->make('live::layouts.menu', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="page-wrapper" class="gray-bg">
        
        
        <div class="wrapper wrapper-content animated fadeInRight">
            <?php echo $__env->yieldContent('content'); ?>
        </div>
        <?php echo $__env->make('live::layouts.copyright', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>
<?php echo $__env->yieldContent('script'); ?>

</body>
</html>
