<style>
    .input-group-addon{
        padding:9px 12px 4px 12px;
    }
    .margin-bottom{
        margin-bottom: 10px;
    }
    .anchor_pay_item{
        margin-left: 0px;
    }
</style>

<?php
$pay_rule_num = is_array($payConfig) ? intval(count($payConfig)):1;
?>
<input id="pay_rule_num" type="hidden" value="<?php echo e($pay_rule_num); ?>">
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否开启</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_open]" value="0" title="不开启" <?php if($model->config['apply_open']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[apply_open]" value="1" title="开启" <?php if($model->config['apply_open']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">申请类型</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_limit_type]" value="0" title="免费" <?php if($model->config['apply_limit_type']==0): ?> checked <?php endif; ?> lay-filter="apply_limit_type">
        <input type="radio" name="config[apply_limit_type]" value="1" title="付费" <?php if($model->config['apply_limit_type']==1): ?> checked <?php endif; ?> lay-filter="apply_limit_type">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否需要实名认证</label>
    <div class="col-sm-10">
        <input type="radio" name="config[need_true_name]" value="0" title="不需要" <?php if($model->config['need_true_name']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[need_true_name]" value="1" title="需要" <?php if($model->config['need_true_name']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否完善资料</label>
    <div class="col-sm-10">
        <input type="radio" name="config[need_perfect_name]" value="0" title="不需要" <?php if($model->config['need_perfect_name']==0): ?> checked <?php endif; ?>  lay-filter="need_perfect_name">
        <input type="radio" name="config[need_perfect_name]" value="1" title="需要" <?php if($model->config['need_perfect_name']==1): ?> checked <?php endif; ?>   lay-filter="need_perfect_name">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="need_perfect_name need_perfect_name_1" <?php if($model->config['need_perfect_name']!=1): ?> style="display:none;" <?php endif; ?>>
    <div class="form-group row">
        <label class="col-sm-2 col-form-label"></label>
        <div class="col-sm-3">
            <select name="config[apply_diyform]" lay-verify="required" lay-filter="apply_diyform">
                <option value="0">请选择自定义表单</option>
                <?php $__currentLoopData = $formLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$form): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($form['id']); ?>" <?php if($model->config['apply_diyform']==$form['id']): ?> selected <?php endif; ?>><?php echo e($form['name']); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否审核</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_examine]" value="0" title="不审核" <?php if($model->config['apply_examine']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[apply_examine]" value="1" title="审核" <?php if($model->config['apply_examine']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否开通店铺权限</label>
    <div class="col-sm-10">
        <input type="radio" name="config[open_merch]" value="0" title="不开启" <?php if($model->config['open_merch']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[open_merch]" value="1" title="开启" <?php if($model->config['open_merch']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            var element = layui.element;
            // form.on('radio(apply_limit_type)', function (data) {
            //     var type = data.value;
            //     $(".apply_limit_type").hide();
            //     $(".apply_limit_type_"+type).show();
            // });

            form.on('radio(need_perfect_name)',function (data) {
                var type = data.value;
                console.log(111111,type);
                $(".need_perfect_name").hide();
                $(".need_perfect_name_"+type).show();
            })
        });
    </script>
<?php $__env->stopSection(); ?>