<div class="layui-form-item">
    <label class="layui-form-label">显示位置</label>
    <div class="layui-input-block">
        <select name="type" lay-verify="required" lay-search="" lay-filter="type">
            <?php $__currentLoopData = \App\Modules\Live\Models\ShimmerLiveshopLideshow::$types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($key); ?>" <?php if($model->type==$key): ?> selected <?php endif; ?>><?php echo e($val); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
</div>
<div class="layui-form-item lideshows_special_item lideshows_special_item7" >
    <label class="layui-form-label">选择专题会场</label>
    <div class="layui-input-block">
        <select name="tag_id" lay-verify="required" lay-search="" lay-filter="tag_id">
            <option value="">请选择</option>
            <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <optgroup label="<?php echo e($row1['name']); ?>">
                    <?php $__currentLoopData = $row1['list']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($row2['id']); ?>" <?php if($model->tag_id==$row2['id']): ?> selected <?php endif; ?>><?php echo e($row2['name']); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </optgroup>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" class="layui-input" value="<?php echo e($model->name); ?>"/>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">轮播图</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('pic',$model->pic);  ?>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">跳转地址</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="wxappurl" class="form-control valid" value="<?php echo e($model->wxappurl); ?>" aria-invalid="false" placeholder="请填写小程序跳转链接" id="wxappurl">
            <div class="input-group-addon ajax-link" data-url="<?php echo e(wgRoute('liveutilsuser.get-page-urls')); ?>" data-id="wxappurl">选择链接</div>
        </div>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input type="text" name="sort" class="layui-input" value="<?php echo e($model->sort); ?>"/>
    </div>
</div>
<?php $__env->startSection('script'); ?>
    <script>
        var modeltype = "<?php echo e($model->type); ?>";
        $(".lideshows_special_item").hide();
        if(modeltype){
            $(".lideshows_special_item"+modeltype).show();
        }

        layui.use('form', function () {
            var form = layui.form;
            form.on('select(type)', function(data){
                var type = data.value;
                //标签轮播图
                $(".lideshows_special_item").hide();
                $(".lideshows_special_item"+type).show();
            });
        });

    </script>
<?php $__env->stopSection(); ?>
