<?php $__env->startSection('head'); ?>
    <style>
        .alert-info {
            color: #00c1de;
            background-color: #dff6fa;
            border-color: #c1e7ee;
        }

        .alert {
            border-radius：2排序； padding: 15px;
            margin-bottom: 20px;
            border: none;
        }

        .spec_item_thumb {
            position: relative;
            width: 30px;
            padding: 0;
            border-left: none;
        }

        .tabs-container .form-group {
            overflow: hidden;
        }

        .input-group-addon {
            line-height: normal;
        }
    </style>
<?php $__env->stopSection(); ?>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label">启用商品规格</label>
    <div class="layui-input-block">
        <input type="checkbox" name="hasoption" value="1" title="启用商品规格" lay-filter="hasoption"
               <?php if($model && $model->hasoption==1): ?> checked <?php endif; ?>>
        <div class="form-text">
            启用商品规格后，商品的价格及库存以商品规格为准,库存设置为0则会到”已售罄“中，手机也不会显示, -1为不限制
        </div>
    </div>
</div>

<div class="alert alert-info hasoption_box" <?php if(!$model || $model->hasoption!=1): ?> style="display: none" <?php endif; ?>>
    1. 更改规格及规格项后请点击下方的【刷新规格项目表】来更新数据。<br>
    2. 每一种规格代表不同型号，例如颜色为一种规格，尺寸为一种规格，如果设置多规格，手机用户必须每一种规格都选择一个规格项，才能添加购物车或购买。
</div>

<div id="specs" class="ui-sortable hasoption_box">
    <?php $__currentLoopData = (array)$specs['specs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$_spec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="spec_item spec_item_<?php echo e($index+1); ?>" style="" data-number="<?php echo e($index+1); ?>">
            <div style="border:1px solid #e7eaec;padding:10px;margin-bottom: 10px;">
                <input name="spec_<?php echo e($index+1); ?>_id" type="hidden" class="form-control spec_id" value="<?php echo e($_spec['id']); ?>">
                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="input-group">
                            <input name="spec_title[]" type="text" class="form-control  spec_title"
                                   value="<?php echo e($_spec['title']); ?>" placeholder="规格名称 (比如: 颜色)">
                            <div class="input-group-btn">
                                <a href="javascript:;" id="add-specitem-" specid="" class="btn btn-info add-specitem"
                                   onclick="addSpecItem(<?php echo e($index+1); ?>)"><i class="fa fa-plus"></i> 添加规格项</a>
                                <a href="javascript:void(0);" class="btn btn-danger" onclick="delSpec(<?php echo e($index+1); ?>)"><i
                                            class="fa fa-remove"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-12">
                        <div id="spec_item_<?php echo e($index+1); ?>" class="spec_item_items_box_<?php echo e($index+1); ?>">
                            <?php $__currentLoopData = (array)$_spec['items']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index2=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="spec_item_item spec_item_item_<?php echo e($index+1); ?> spec_item_item_<?php echo e($index+1); ?>_<?php echo e($index2+1); ?>"
                                     data-number="<?php echo e($index2+1); ?>" style="float:left;margin:5px;position: relative">
                                    <input name="spec_item_<?php echo e($index+1); ?>_<?php echo e($index2+1); ?>_id" type="hidden"
                                           class="form-control spec_item_id" value="<?php echo e($item['id']); ?>">
                                    <div class="input-group">
                                        <input type="text" class="form-control spec_item_title valid"
                                               name="spec_item_title_<?php echo e($index+1); ?>[]" value="<?php echo e($item['title']); ?>"
                                               aria-invalid="false">
                                        <input type="hidden" name="spec_item_thumb_<?php echo e($index+1); ?>[]" class="spec_item_thumb"
                                               value="<?php echo e($item['thumb']); ?>">
                                        <span class="input-group-addon spec_item_thumb ">
                        <img onclick="selectSpecItemImage(this,<?php echo e($index+1); ?>)"
                             onerror="this.src='/addons/shimmer_liveshop/static/web/img/nopic100.jpg'" src="<?php echo e($item['thumb']); ?>"
                             style="width:100%;" class="">
                        <i class="fa fa-times-circle" style="display:none"></i>
                </span>

                                        <span class="input-group-addon">
                    <a href="javascript:;" title="删除"><i class="fa fa-times"
                                                         onclick="delSpecItem(<?php echo e($index+1); ?>,<?php echo e($index2+1); ?>)"></i></a>
                </span>
                                    </div>
                                    <div class="input-group "
                                         style="margin-top:.5em;width:auto;display:table;border-collapse: separate;">
                                        <img src="<?php echo e($item['thumb']); ?>"
                                             onerror="this.src='/web/resource/images/nopic.jpg'; this.title='图片未找到.'"
                                             class="img-responsive img-thumbnail" style="width: 140px;height: 140px">
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>

<table class="table hasoption_box"  <?php if(!$model || $model->hasoption!=1): ?> style="display: none" <?php endif; ?>>
    <tbody>
    <tr>
        <td style="border: none">
            <h4>
                <a href="javascript:;" class="btn btn-primary" id="add-spec" onclick="addSpec()"
                   style="margin-top:10px;margin-bottom:10px;" title="添加规格"><i class="fa fa-plus"></i> 添加规格</a>
                <a href="javascript:;" onclick="refreshOptions();" title="刷新规格项目表" class="btn btn-primary"><i
                            class="fa fa-refresh"></i> 刷新规格项目表</a>
            </h4>
        </td>
    </tr>
    <tr style="display: none;" id="optiontip">
        <td>
            <div class="alert alert-danger">警告：规格数据有变动，请重新点击上方 [刷新规格项目表] 按钮！</div>
        </td>
    </tr>
    </tbody>
</table>
<div id="options" style="padding:0;" class="hasoption_box">
    <?php if($specs['option_values']): ?>
        <table class="table table-bordered table-condensed">
            <thead>
            <tr class="active">
                <?php $__currentLoopData = (array)$specs['specs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $spe): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <th><?php echo e($spe['title']); ?></th>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <th>
                    <div class="">
                        <div style="padding-bottom:10px;text-align:center;">库存</div>
                        <div class="input-group">
                            <input type="text" class="form-control  input-sm option_stock_all" value=""><span
                                    class="input-group-addon">
                        <a href="javascript:;" class="fa fa-angle-double-down" title="批量设置"
                           onclick="setCol('option_stock');">
                        </a>
                    </span>
                        </div>
                    </div>
                </th>
                <th>
                    <div class="">
                        <div style="padding-bottom:10px;text-align:center;">销售价</div>
                        <div class="input-group">
                            <input type="text" class="form-control  input-sm option_marketprice_all" value=""><span
                                    class="input-group-addon">
                        <a href="javascript:;" class="fa fa-angle-double-down" title="批量设置"
                           onclick="setCol('option_marketprice');">
                        </a>
                    </span>
                        </div>
                    </div>
                </th>
                <th>
                    <div class="">
                        <div style="padding-bottom:10px;text-align:center;">市场价</div>
                        <div class="input-group">
                            <input type="text" class="form-control  input-sm option_productprice_all" value=""><span
                                    class="input-group-addon">
                        <a href="javascript:;" class="fa fa-angle-double-down" title="批量设置"
                           onclick="setCol('option_productprice');">
                        </a>
                    </span>
                        </div>
                    </div>
                </th>
                <th>
                    <div class="">
                        <div style="padding-bottom:10px;text-align:center;">原价</div>
                        <div class="input-group">
                            <input type="text" class="form-control  input-sm option_costprice_all" value=""><span
                                    class="input-group-addon">
                    <a href="javascript:;" class="fa fa-angle-double-down" title="批量设置"
                       onclick="setCol('option_costprice');">
                    </a>
                </span>
                        </div>
                    </div>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <?php $__currentLoopData = (array)$specs['options']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $options): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php 
                        $specItemNumber = implode('_',array_column($options,'number'));
                        if(count($specs['specs'])==1){
                            $specItemNumber = "1_{$specItemNumber}";
                        }
                        $specItemIds = array_column($options,'id');
                        sort($specItemIds);
                        $itemStr = implode(',',$specItemIds);
                     ?>
                    <?php $__currentLoopData = (array)$options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td class="full" rowspan="1"><?php echo e($option['title']); ?></td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <td><input type="text" class="form-control option_stock" value="<?php echo e($specs['option_values'][$itemStr]['stock']); ?>" name="option_stock_<?php echo e($specItemNumber); ?>"></td>
                    <td><input type="text" class="form-control option_marketprice" value="<?php echo e($specs['option_values'][$itemStr]['marketprice']); ?>" name="option_marketprice_<?php echo e($specItemNumber); ?>"></td>
                    <td><input type="text" class="form-control option_productprice" value="<?php echo e($specs['option_values'][$itemStr]['productprice']); ?>" name="option_productprice_<?php echo e($specItemNumber); ?>"></td>
                    <td><input type="text" class="form-control option_costprice" value="<?php echo e($specs['option_values'][$itemStr]['costprice']); ?>" name="option_costprice_<?php echo e($specItemNumber); ?>"></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            </tbody>
        </table>
    <?php endif; ?>
</div>


<?php echo $__env->make('live::shop.goods.spec_sample', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

