<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否开启</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_open]" value="0" title="不开启" <?php if($model->config['apply_open']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[apply_open]" value="1" title="开启" <?php if($model->config['apply_open']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="hr-line-dashed"></div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">申请类型</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_limit_type]" value="0" title="免费" <?php if($model->config['apply_limit_type']==0): ?> checked <?php endif; ?> lay-filter="apply_limit_type">
        <input type="radio" name="config[apply_limit_type]" value="1" title="付费" <?php if($model->config['apply_limit_type']==1): ?> checked <?php endif; ?> lay-filter="apply_limit_type">
        <input type="radio" name="config[apply_limit_type]" value="2" title="完善资料" <?php if($model->config['apply_limit_type']==2): ?> checked <?php endif; ?> lay-filter="apply_limit_type">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="apply_limit_type apply_limit_type_1" <?php if($model->config['apply_limit_type']!=1): ?> style="display:none;" <?php endif; ?>>
    <div class="form-group row">
        <label class="col-sm-2 col-form-label"></label>
        <div class="col-sm-3">
            <div class="input-group">
                <input type="number" name="config[amount]" placeholder="0.00" value="<?php echo e($model->config['amount']); ?>" class="form-control">
                <div class="input-group-addon">元</div>
            </div>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
    <div class="form-group  row">
        <label class="col-sm-2 col-form-label">是否开启邀请奖励</label>
        <div class="col-sm-10">
            <input type="radio" name="config[open_commission]" value="0" title="关闭" <?php if($model->config['open_commission']==0): ?> checked <?php endif; ?> lay-filter="open_commission">
            <input type="radio" name="config[open_commission]" value="1" title="开启" <?php if($model->config['open_commission']==1): ?> checked <?php endif; ?> lay-filter="open_commission">
            <div class="form-text m-b-none">
            </div>
        </div>
    </div>
    <div class="form-group row open_commission" <?php if($model->config['open_commission']==0): ?> style="display:none;"<?php endif; ?>>
        <label class="col-sm-2 col-form-label">上级佣金</label>
        <div class="col-sm-3">
            <div class="input-group">
                <input type="text" name="config[first_commission]" class="form-control valid" value="<?php echo e($model->config['first_commission']); ?>" aria-invalid="false">
                <div class="input-group-addon">%</div>
            </div>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
</div>
<div class="apply_limit_type apply_limit_type_2" <?php if($model->config['apply_limit_type']!=2): ?> style="display:none;" <?php endif; ?>>
    <div class="form-group row">
        <label class="col-sm-2 col-form-label"></label>
        <div class="col-sm-3">
            <select name="config[apply_diyform]" lay-verify="required" lay-filter="apply_diyform">
                <option value="0">请选择自定义表单</option>
                <?php $__currentLoopData = $formLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$form): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($form['id']); ?>" <?php if($model->config['apply_diyform']==$form['id']): ?> selected <?php endif; ?>><?php echo e($form['name']); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>
    <div class="hr-line-dashed"></div>
</div>

<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否需要实名认证</label>
    <div class="col-sm-10">
        <input type="radio" name="config[need_true_name]" value="0" title="不需要" <?php if($model->config['need_true_name']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[need_true_name]" value="1" title="需要" <?php if($model->config['need_true_name']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="form-group  row">
    <label class="col-sm-2 col-form-label">是否审核</label>
    <div class="col-sm-10">
        <input type="radio" name="config[apply_examine]" value="0" title="不审核" <?php if($model->config['apply_examine']==0): ?> checked <?php endif; ?>>
        <input type="radio" name="config[apply_examine]" value="1" title="审核" <?php if($model->config['apply_examine']==1): ?> checked <?php endif; ?>>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>


<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            var element = layui.element;
            form.on('radio(apply_limit_type)', function (data) {
                var type = data.value;
                console.log(111111,type);
                $(".apply_limit_type").hide();
                $(".apply_limit_type_"+type).show();
            });
            form.on('radio(open_commission)', function (data) {
                var type = data.value;
                if (type==0){
                    $(".open_commission").hide();
                }else{
                    $(".open_commission").show();
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>