<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>商品名称</label>
    <div class="layui-input-block">
        <input type="text" name="title" placeholder="请输入商品名称,最多40个字" value="<?php echo e($model->title); ?>" class="layui-input">
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label">商品类型</label>
    <div class="layui-input-block">
        <input type="radio" name="buymode" value="1" title="实物商品（物流发货）" <?php if(!$model || $model->buymode==1): ?> checked
               <?php endif; ?> lay-filter="buymode">
        <input type="radio" name="buymode" value="2" title="虚拟商品（无需物流）" <?php if($model && $model->buymode==2): ?> checked
               <?php endif; ?> lay-filter="buymode">
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label">商品副标题</label>
    <div class="layui-input-block">
        <input type="text" name="subtitle" placeholder="请输入商品副标题,最多20个字" value="<?php echo e($model->subtitle); ?>"
               class="layui-input">
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label"><span style="color: red;">*</span>商品关键词</label>
    <div class="layui-input-block">
        <input type="text" name="keyword" placeholder="" value="<?php echo e($model->keyword); ?>" class="layui-input">
        <div class="form-text m-b-none"> （用户在搜索关键词时将会显示该商品，每个关键词中间请用英文状态下的逗号,隔开）
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商品类目</label>
    <div class="layui-input-block" id="category_id">

    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商品主图</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('thumb',$model->thumb);  ?>
        <div class="form-text m-b-none"> （建议尺寸800*800或1：1，仅支持JPG、PNG2种格式大小不超过2.0MB）
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商品轮播图</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_multi_image('thumbs',$model->thumbs);  ?>
        <div class="form-text m-b-none"> （建议尺寸800*800或1：1，仅支持JPG、PNG2种格式大小不超过2.0MB，最多上传5张）
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商品视频</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_video('video',$model->video);  ?>
        <div class="form-text m-b-none">
            商品详情首图视频
        </div>
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label"><span style="color: red;">*</span>商品单位</label>
    <div class="layui-input-block">
        <input type="text" name="unit" placeholder="如件，个等单位名称" value="<?php echo e($model->unit); ?>" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>商品价格</label>
    <div class="layui-input-block">
        <input type="number" name="marketprice" placeholder="0.00" value="<?php echo e($model->marketprice); ?>" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">市场价</label>
    <div class="layui-input-block">
        <input type="number" name="productprice" placeholder="0.00" value="<?php echo e($model->productprice); ?>"
               class="layui-input">
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label"><span style="color: red;">*</span>商品库存</label>
    <div class="layui-input-block">
        <input type="number" name="stock" placeholder="0" value="<?php echo e($model->stock); ?>" class="layui-input">
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label"><span style="color: red;">*</span>虚拟销量</label>
    <div class="layui-input-block">
        <input type="number" name="ficti_num" placeholder="0" value="<?php echo e($model->ficti_num); ?>" class="layui-input">
        <div class="form-text m-b-none"> （前台展示销量=虚拟销量加真实销量）
        </div>
    </div>
</div>
<div class="layui-form-item buyway1_show">
    <label class="layui-form-label"><span style="color: red;">*</span>快递运费</label>
    <div class="layui-input-block">
        <input type="number" name="expressprice" placeholder="0.00" value="<?php echo e($model->expressprice); ?>"
               class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label"><span style="color: red;">*</span>商品描述</label>
    <div class="layui-input-block">
        <?php  echo tpl_ueditor('description',$model->description);  ?>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商品状态</label>
    <div class="layui-input-block">
        <input type="radio" name="state" value="1" title="上架" <?php if(!$model || $model->state==1): ?> checked
               <?php endif; ?> lay-filter="state">
        <input type="radio" name="state" value="0" title="下架" <?php if($model && $model->state==0): ?> checked
               <?php endif; ?> lay-filter="state">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">商品标签</label>
    <div class="layui-input-block">
        <input type="checkbox" name="is_sales" <?php if($model->is_sales): ?> checked <?php endif; ?> title="热卖促销" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>热卖促销</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <input type="checkbox" name="is_vip" <?php if($model->is_vip): ?> checked <?php endif; ?> title="精选商品" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>精选商品</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <input type="checkbox" name="is_new" <?php if($model->is_new): ?> checked <?php endif; ?> title="抢先好货" value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>抢先好货</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <div class="form-text m-b-none">
            可根据不同标签展示不同的商品列表
        </div>
    </div>
</div>
<?php if($tags && $tags->isNotEmpty()): ?>
    <div class="layui-form-item">
        <label class="layui-form-label">专题会场列表</label>
        <div class="layui-input-block">
            <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <input type="checkbox" name="tag_ids[]" <?php if(in_array($tag->id,(array)$model['tag_ids'])): ?> checked
                       <?php endif; ?> title="<?php echo e($tag->name); ?>" value="<?php echo e($tag->id); ?>">
                <div class="layui-unselect layui-form-checkbox">
                    <span><?php echo e($tag->name); ?></span>
                    <i class="layui-icon layui-icon-ok"></i>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <div class="form-text m-b-none"> （开启则表示首页会展示该标签下的商品列表）
            </div>
        </div>
    </div>
<?php endif; ?>
<div class="layui-form-item">
    <label class="layui-form-label">保障</label>
    <div class="layui-input-block">
        <?php $__currentLoopData = (array)$ensures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ensureValue =>$ensure): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <input type="checkbox" name="ensures[]" <?php if(in_array($ensureValue,(array)$model->ensures)): ?> checked
                   <?php endif; ?> title="<?php echo e($ensure); ?>" value="<?php echo e($ensureValue); ?>">
            <div class="layui-unselect layui-form-checkbox">
                <span><?php echo e($ensure); ?></span>
                <i class="layui-icon layui-icon-ok"></i>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <div class="form-text m-b-none">
            商品详情保障栏显示
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">包邮</label>
    <div class="layui-input-block">
        <input type="radio" name="is_free_freight" value="1" title="是" <?php if($model && $model->is_free_freight==1): ?> checked
               <?php endif; ?> lay-filter="is_free_freight">
        <input type="radio" name="is_free_freight" value="0" title="否"
               <?php if(!$model || $model->is_free_freight==0): ?> checked
               <?php endif; ?> lay-filter="is_free_freight">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">商品排序</label>
    <div class="layui-input-block">
        <input type="number" name="sort" placeholder="0" value="<?php echo e($model->sort); ?>" class="layui-input">
        <div class="form-text m-b-none"> （排序数字越大，商品在购买页展示顺序越前）
        </div>
    </div>
</div>







