

<?php $__env->startPush('stylesheets'); ?>
    <link href="<?php echo e(URL::asset('/static/web/css/plugins/sweetalert/sweetalert.css')); ?>?v=33" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[goods_name]" lay-verify="" placeholder="商品名称搜索"
                                       value="<?php echo e($query['goods_name']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">评论内容:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[comment]" lay-verify="" placeholder="评论内容关键字搜索"
                                       value="<?php echo e($query['comment']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">是否回复</label>
                            <div class="layui-input-inline">
                                <select name="query[is_reply]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['is_reply']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['is_reply']) && $query['is_reply']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">商品质量</label>
                            <div class="layui-input-inline">
                                <select name="query[goods_score]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['score_text']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['goods_score']) && $query['goods_score']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">服务态度</label>
                            <div class="layui-input-inline">
                                <select name="query[service_score]" lay-verify="">
                                    <option value="">全部</option>
                                    <?php $__currentLoopData = $queryData['score_text']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($index); ?>" <?php echo e(isNotNullAndNotEmptyString($query['service_score']) && $query['service_score']==$index ? 'selected': ''); ?>><?php echo e($item); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        
                            
                            
                            
                        
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>用户信息</th>
                            <th>商品信息</th>
                            <th>回复内容</th>
                            <th>评论图片</th>
                            <th>管理员回复</th>
                            <th>商品质量</th>
                            <th>服务态度</th>
                            <th>评论时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="tr_checkbox_switch">
                                <td><input type="checkbox" class="check_item check_item_<?php echo e($item->id); ?>" data-id="<?php echo e($item->id); ?>"></td>
                                <td>
                                    <?php echo e($item->id); ?>

                                </td>
                                <td>
                                    <?php echo e($item->user->id); ?><br/>
                                    <?php echo e($item->user->nickname); ?>

                                    <?php echo e($item->user->realname); ?><br/>
                                    <?php echo e($item->user->mobile); ?>

                                </td>
                                <td style="max-width: 300px;text-align: left" >
                                        <img title="<?php echo e($item->goods->title); ?>" src="<?php echo e($item->goods->thumb); ?>" class="img_pop_show rounded img-sm"/>&nbsp;<?php echo e(str_limit($item->goods->title,30)); ?>

                                </td>
                                <td>
                                    <?php echo e($item->comment); ?>

                                </td>
                                <td>
                                    <?php if($item->pics): ?>
                                        <?php $__currentLoopData = (array)$item->pics; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <img  class="img_pop_show rounded img-sm" src="<?php echo e($pic); ?>" />
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </td>
                                <td title="<?php echo e($item->merchant_reply_content); ?>">
                                    <?php echo e(str_limit($item->merchant_reply_content,50)); ?>

                                </td>
                                <td>
                                    <?php echo e($item->goods_score_text); ?>

                                </td>
                                <td>
                                    <?php echo e($item->service_score_text); ?>

                                </td>
                                <td>
                                    <?php echo e($item->created_at); ?>

                                </td>
                                <td data-id="<?php echo e($item->id); ?>">
                                    <button class="btn btn-success comment_reply" type="button"><i class="fa fa-commenting"></i>&nbsp;&nbsp;<span class="bold">回复</span></button>
                                    <button class="btn btn-danger ajax-confirm delete"  data-url="<?php echo e(wgRoute('liveshoporder.comment.delete',['id'=>$item->id])); ?>" type="button" data-title="确定删除该评论吗?"><i class="fa fa-trash"></i>&nbsp;&nbsp;<span class="bold">删除</span></button>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php $__env->startSection('batch_btn'); ?>
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="<?php echo e(wgRoute('liveshoporder.comment.delete')); ?>" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        require(["<?php echo e(URL::asset('/static/web/js/plugins/sweetalert/sweetalert.min.js')); ?>"], function (swal) {
            layui.use(['laydate', 'element'], function () {
                $(".comment_reply").click(function () {
                    var id = $(this).parent().data('id');
                    swal({
                        title: '评论回复',
                        input: 'textarea',
                        confirmButtonText: "提交",
                        cancelButtonText: "取消",
                        showCancelButton: true
                    }).then(function(result) {
                        var content = result.value;
                        if(content){
                            var index = layer.load(0);
                            $.ajax({
                                url: '<?php echo e(wgRoute("liveshoporder.comment.reply")); ?>',
                                type: 'POST',
                                data: {id:id,content:content},
                                dataType: "json",
                                success: function (result) {
                                    layer.close(index);
                                    if (result.errno || result.errno == 0) {
                                        layer.msg(result.message, {time: 2000, icon: 6});
                                        window.location.reload();
                                    } else {
                                        layer.msg(result.message, {time: 2000, icon: 5});
                                    }
                                }
                            });
                        }

                    })
                })
            });
        })
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>