
<?php $__env->startSection('content'); ?>
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入商品名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $goods], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品ID</th>
                            <th style="width: 100px;">名称</th>
                            <th>商品图片</th>
                            <th>价格</th>
                            <th>库存</th>
                            <th>销量</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $goods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $good): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th><?php echo e($good->id); ?></th>
                                <th><?php echo e($good->title); ?></th>
                                <th>
                                    <img src="<?php echo e(tomedia($good->thumb)); ?>" style="width: 100px;height: 100px;">
                                </th>
                                <th>
                                    市场价：<?php echo e($good->productprice); ?><br>
                                    销售价：<?php echo e($good->marketprice); ?><br>
                                    成本价：<?php echo e($good->costprice); ?><br>
                                </th>
                                <th><?php echo e($good->stock); ?></th>
                                <th><?php echo e($good->sale_num); ?></th>
                                <th>
                                    <?php if($good->state==1): ?>
                                        <span class="text-success">上架</span>
                                    <?php else: ?>
                                        <span class="text-danger">下架</span>
                                    <?php endif; ?>
                                </th>
                                <th>
                                    <a href="javascript:;" class="btn btn-danger" onclick="unbind(this,<?php echo e($good->id); ?>)"  <?php if(!in_array($good->id,$goodsIds)): ?> style="display: none;" <?php endif; ?>>
                                        解绑
                                    </a>
                                    <a href="javascript:;" class="btn btn-info" onclick="bind(this,<?php echo e($good->id); ?>)" <?php if(in_array($good->id,$goodsIds)): ?> style="display: none;" <?php endif; ?>>
                                        绑定
                                    </a>
                                </th>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $goods], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        function bind(obj,goods_id) {
            $.ajax({
                url: '<?php echo e(ShimmerLiveshopRoute("livegoods.bind")); ?>',
                type: 'POST',
                data: {goods_id:goods_id},
                dataType: "json",
                success: function (result) {
                    $(obj).parent().find('.btn-info').hide();
                    $(obj).parent().find('.btn-danger').show();
                }
            });
        }
        function unbind(obj,goods_id) {
            $.ajax({
                url: '<?php echo e(ShimmerLiveshopRoute("livegoods.unbind")); ?>',
                type: 'POST',
                data: {goods_id:goods_id},
                dataType: "json",
                success: function (result) {
                    $(obj).parent().find('.btn-danger').hide();
                    $(obj).parent().find('.btn-info').show();
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.layouts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>