<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>页面装修</title>
    <!-- import CSS -->
    <?php echo $__env->make('live::layouts.css', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('/static/web/element-ui/index.css')); ?>?v=<?php  echo time();  ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('/static/web/admin/diypage/common.css')); ?>?v=<?php  echo time();  ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('/static/web/admin/diypage/iconfont.css')); ?>?v=<?php  echo time();  ?>">
    <link href="<?php echo e(URL::asset('/static/web/layui/css/layui.css')); ?>?v=11" rel="stylesheet">
    <script src="<?php echo e(URL::asset('/static/web/js/vue.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/element-ui/index.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/admin/diypage/screenfull.js')); ?>?v=<?php  echo time();  ?>"></script>


    <script src="<?php echo e(URL::asset('/static/web/admin/diypage/sortable.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/admin/diypage/vuedraggable.umd.min.js')); ?>"></script>
</head>
<body>
<script type="text/javascript">
    if (navigator.appName == 'Microsoft Internet Explorer') {
        if (navigator.userAgent.indexOf("MSIE 5.0") > 0 || navigator.userAgent.indexOf("MSIE 6.0") > 0 || navigator.userAgent.indexOf("MSIE 7.0") > 0) {
            alert('您使用的 IE 浏览器版本过低, 推荐使用 Chrome 浏览器或 IE8 及以上版本浏览器.');
        }
    }
    window.sysinfo = {
        <?php if( !empty($_W['uniacid'])): ?>'uniacid': '<?php echo e($_W['uniacid']); ?>', <?php endif; ?>
                <?php if( !empty($_W['acid'])): ?>'acid': '<?php echo e($_W['acid']); ?>', <?php endif; ?>
                <?php if( !empty($_W['openid'])): ?>'openid': '<?php echo e($_W['openid']); ?>', <?php endif; ?>
                <?php if( !empty($_W['uid'])): ?>'uid': '<?php echo e($_W['uid']); ?>', <?php endif; ?>
                <?php if( !empty($_W['role'])): ?>'role': '<?php echo e($_W['role']); ?>', <?php endif; ?>
        'isfounder': <?php if( !empty($_W['isfounder'])): ?> 1 <?php else: ?> 0 <?php endif; ?>,
        'family': '<?php echo e(IMS_FAMILY); ?>',
        'siteroot': '<?php echo e($_W['siteroot']); ?>',
        'siteurl': '<?php echo e($_W['siteurl']); ?>',
        'attachurl': '<?php echo e($_W['attachurl']); ?>',
        'attachurl_local': '<?php echo e($_W['attachurl_local']); ?>',
        'attachurl_remote': '<?php echo e($_W['attachurl_remote']); ?>',
        'module': {
            'url': '<?php if( defined('MODULE_URL')): ?><?php echo e(MODULE_URL); ?><?php endif; ?>',
            'name': '<?php if( defined('IN_MODULE')): ?><?php echo e(IN_MODULE); ?><?php endif; ?>'
        },
        'cookie': {'pre': '<?php echo e($_W['config']['cookie']['pre']); ?>'},
        'account': <?php  echo json_encode($_W['account']); ?>,
        'server': {'php': '<?php  echo phpversion(); ?>'},
    };
</script>
<?php echo $__env->make('live::layouts.js', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<input type="hidden" class="saveUrl" value="<?php echo e(wgRoute('liveutilsdiypage.save',['id'=>$model->id])); ?>"/>
<input type="hidden" class="tools" value="<?php echo e($toolsJson); ?>"/>
<input type="hidden" class="content" value="<?php echo e($model->content_json); ?>"/>
<input type="hidden" class="static_url" value="<?php echo e($_W['siteroot']); ?>addons/shimmer_liveshop/static/"/>

<div id="diywrapper">
    <header id="diyheader">
        <div class="left-btns" @click="goBack">
            <span class="iconfont iconfanhui colorwhite"></span>
            <span class="iconfont-text">返回</span>
        </div>
        <div class="right-btns">
            <div class="btn-item" @click="fullScreen">
                <span class="iconfont iconquanping colorwhite"></span>
                <span class="iconfont-text">全屏</span>
            </div>
            <div class="btn-item" @click="showEditBox('index',-1)">
                <span class="iconfont iconshezhi colorwhite"></span>
                <span class="iconfont-text">设置</span>
            </div>
            <?php if($model): ?>
                <div class="btn-item load_iframe"
                     data-url="<?php echo e(wgRoute('liveutilsdiypage.view',[$model->id])); ?>"
                     data-title="页面预览" data-width="350px" data-height="450px">
                    <span class="iconfont iconyulan1 colorwhite"></span>
                    <span class="iconfont-text">预览</span>
                </div>
            <?php endif; ?>
            <div class="btn-item" @click="save">
                <div class="save-btn">
                    <span class="iconfont iconbaocun colorwhite"></span>
                    <span class="iconfont-text">保存页面</span>
                </div>
            </div>
        </div>
    </header>
    <main id="app-main">
        <div class="left-tools">
            <el-menu :default-openeds="defaultOpeneds" class="el-menu-vertical-demo">
                <el-submenu :index="toolGroupKey" v-for="(toolGroup,toolGroupKey,toolGroupIndex) in toolGroups">
                    <template slot="title">
                        <span slot="title">{{toolGroup.name}}</span>
                    </template>
                    <el-menu-item-group>
                        <el-menu-item @click="addTool(tool.type)" v-for="(tool,toolKey,toolIndex) in toolGroup.items">
                            <div class="flex-col flex-justify-c flex-align-c">
                                <i :class="[iconfont,tool.icon,toolicon]"></i>
                                <p class="tool-text">{{ tool.name }}</p>
                            </div>
                        </el-menu-item>
                    </el-menu-item-group>
                </el-submenu>
            </el-menu>
        </div>
        <div class="flex-row flex-justify-c phone-box">
            <section class="phone-content">
                <div class="phone">
                    <div class="phone-inner">
                        <?php if ($__env->exists('live::utils.diypage.mobile.index')) echo $__env->make('live::utils.diypage.mobile.index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <div class="diywrapper">
                            <draggable v-model="content.items">
                                <div v-for="(toolItem,toolIndex) in content.items">
                                    <?php $__currentLoopData = $tools; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $toolGroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php $__currentLoopData = $toolGroup['items']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tool): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if ($__env->exists("live::utils.diypage.mobile.{$tool['type']}")) echo $__env->make("live::utils.diypage.mobile.{$tool['type']}", array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </draggable>
                        </div>
                    </div>
                </div>
            </section>
            <div class="help-btn flex-col">
                <el-tooltip class="item" effect="dark" content="隐藏" placement="right">
                    <el-button :style="phoneBtnStyle.hide" @click="hideTools()" type="default" icon="el-icon-view"></el-button>
                </el-tooltip>
                <el-tooltip class="item" effect="dark" content="上移组件" placement="right">
                    <el-button :style="phoneBtnStyle.arrowup" @click="arrowupTools()"  type="default" icon="el-icon-arrow-up"></el-button>
                </el-tooltip>
                <el-tooltip class="item" effect="dark" content="下移组件" placement="right">
                    <el-button :style="phoneBtnStyle.arrowdown" @click="arrowdownTools()"  type="default" icon="el-icon-arrow-down"></el-button>
                </el-tooltip>
                <el-tooltip class="item" effect="dark" content="复制组件" placement="right">
                    <el-button :style="phoneBtnStyle.copy" @click="copyTools()" type="default" icon="el-icon-document"></el-button>
                </el-tooltip>
            </div>
        </div>
        <div class="right-box">
            <section>
                <?php if ($__env->exists('live::utils.diypage.form.index')) echo $__env->make('live::utils.diypage.form.index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            </section>
            <section>
                <?php $__currentLoopData = $tools; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $toolGroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php $__currentLoopData = $toolGroup['items']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tool): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if ($__env->exists("live::utils.diypage.form.{$tool['type']}")) echo $__env->make("live::utils.diypage.form.{$tool['type']}", array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </section>
        </div>
    </main>
</div>
<script src="<?php echo e(URL::asset('/static/web/admin/diypage/common.js')); ?>?v=<?php  echo time();  ?>"></script>
</body>

</html>