
<?php $__env->startSection('title'); ?>
    红包管理
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="uid"  placeholder="请输入用户ID" value="<?php echo e(Request()->input('uid')); ?>" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>编号</th>
                                <th>用户信息</th>
                                <th>提现金额</th>
                                <th>提现方式</th>
                                <th>提现时间</th>
                                <th>备注</th>
                                <th>审核状态</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php echo e($list->id); ?>

                                    </td>
                                    <td>
                                        <?php echo e($list->user->nickname); ?>(<?php echo e($list->uid); ?>)
                                    </td>
                                    <td>
                                        <?php echo e($list->commission); ?>

                                    </td>
                                    <td>
                                        <?php if($list->type=='bank'): ?>
                                            姓名:<?php echo e($list->name); ?><br>
                                            银行卡号:<?php echo e($list->cardnum); ?><br>
                                            所属银行:<?php echo e($list->bankname); ?><br>
                                            银行开户地址:<?php echo e($list->bank_address); ?><br>
                                        <?php elseif($list->type=='alipay'): ?>
                                            支付宝:<?php echo e($list->alipay_code); ?><br>
                                        <?php elseif($list->type=='weixin'): ?>
                                            昵称:<?php echo e($list->user->nickname); ?><br>
                                            微信号:<?php echo e($list->weixin); ?><br>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php echo e($list->created_at); ?>

                                    </td>
                                    <td>
                                        <?php echo e($list->remark); ?>

                                    </td>
                                    <td>
                                        <?php echo e($list->status_text); ?>

                                    </td>
                                    <td>
                                        <?php if($list->status==0): ?>
                                        <a class="btn btn-outline load_iframe btn-danger" href="javascript:;" data-url="<?php echo e(wgRoute('livecommissioncash-apply.cancel',[$list->id])); ?>">无效</a>
                                        <a class="btn btn-outline ajax-confirm btn-success" data-url="<?php echo e(wgRoute('livecommissioncash-apply.audit-pass',[$list->id])); ?>" data-title="确定要审核通过吗" href="javascript:;">通过</a>
                                        <?php endif; ?>
                                        <a class="btn btn-outline load_iframe btn-primary"  href="javascript:;" data-url="<?php echo e(wgRoute('livecommissioncash-apply.edit',[$list->id])); ?>">编辑</a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo $__env->make('live::common.pagination', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>