<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>后台管理 | <?php echo $__env->yieldContent('title'); ?> </title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="request-type" content="alert">
    <?php echo $__env->make('live::layouts.css', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->yieldContent('head'); ?>
    <script type="text/javascript">
        if(navigator.appName == 'Microsoft Internet Explorer'){
            if(navigator.userAgent.indexOf("MSIE 5.0")>0 || navigator.userAgent.indexOf("MSIE 6.0")>0 || navigator.userAgent.indexOf("MSIE 7.0")>0) {
                alert('您使用的 IE 浏览器版本过低, 推荐使用 Chrome 浏览器或 IE8 及以上版本浏览器.');
            }
        }
        window.sysinfo = {
            <?php if( !empty($_W['uniacid'])): ?>'uniacid': '<?php echo e($_W['uniacid']); ?>',<?php endif; ?>
                    <?php if( !empty($_W['acid'])): ?>'acid': '<?php echo e($_W['acid']); ?>',<?php endif; ?>
                    <?php if( !empty($_W['openid'])): ?>'openid': '<?php echo e($_W['openid']); ?>',<?php endif; ?>
                    <?php if( !empty($_W['uid'])): ?>'uid': '<?php echo e($_W['uid']); ?>',<?php endif; ?>
                    <?php if( !empty($_W['role'])): ?>'role': '<?php echo e($_W['role']); ?>',<?php endif; ?>
            'isfounder': <?php if( !empty($_W['isfounder'])): ?> 1 <?php else: ?> 0 <?php endif; ?>,
            'family': '<?php echo e(IMS_FAMILY); ?>',
            'siteroot': '<?php echo e($_W['siteroot']); ?>',
            'siteurl': '<?php echo e($_W['siteurl']); ?>',
            'attachurl': '<?php echo e($_W['attachurl']); ?>',
            'attachurl_local': '<?php echo e($_W['attachurl_local']); ?>',
            'attachurl_remote': '<?php echo e($_W['attachurl_remote']); ?>',
            'module' : {'url' : '<?php if( defined('MODULE_URL')): ?><?php echo e(MODULE_URL); ?><?php endif; ?>', 'name' : '<?php if( defined('IN_MODULE')): ?><?php echo e(IN_MODULE); ?><?php endif; ?>'},
            'cookie' : {'pre': '<?php echo e($_W['config']['cookie']['pre']); ?>'},
            'account' : <?php  echo json_encode($_W['account']); ?>,
            'server' : {'php' : '<?php  echo phpversion(); ?>'},
        };
    </script>
    <?php echo $__env->make('live::layouts.js', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    <?php echo $__env->make('live::layouts.toastr', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</head>
<body class="iframe-body">

<div id="wrapper">
    <?php echo $__env->yieldContent('content'); ?>
</div>
<?php echo $__env->yieldContent('script'); ?>
</body>
</html>
