

<?php $__env->startSection('title'); ?>
    轮播图管理
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="轮播图名称"
                                       value="<?php echo e($query['name']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">显示位置</label>
                            <div class="layui-input-block">
                                <select name="query[type]" lay-verify="required" lay-search="" lay-filter="type">
                                    <?php $__currentLoopData = \App\Modules\Live\Models\ShimmerLiveshopLideshow::$types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($key); ?>" <?php if($query['type']==$key): ?> selected <?php endif; ?>><?php echo e($val); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a class="btn btn-primary" href="<?php echo e(wgRoute('livelideshow.create')); ?>" ><i class="fa fa-plus"></i>&nbsp;添加类别</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>位置</th>
                                <th>名称</th>
                                <th>排序</th>
                                <th>轮播图</th>
                                <th>跳转地址</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lideshow): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($lideshow->id); ?></td>
                                    <td><?php echo e($types[$lideshow->type]); ?></td>
                                    <td>
                                        <?php echo e($lideshow->name); ?>

                                        <?php if($lideshow->tag): ?>
                                            |
                                            <a class="load_iframe" href="javascript:;" data-url="<?php echo e(wgRoute('liveshoptag.edit',[$lideshow->tag->id])); ?>"><?php echo e($lideshow->tag->name); ?></a>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($lideshow->sort); ?></td>
                                    <td><img class="rounded img-md img_pop_show" src="<?php echo e(tomedia($lideshow->pic)); ?>"></td>
                                    <td><?php echo e($lideshow->wxappurl); ?></td>
                                    <td>
                                        <a class="btn btn-outline  btn-success load_prompt" data-url="<?php echo e(wgRoute('livelideshow.change_sort',[$lideshow->id])); ?>"  data-title="<?php echo e($lideshow->id); ?>" href="javascript:;">排序</a>
                                        <a class="btn btn-outline btn-success load_iframe"
                                           href="javascript:;" data-url="<?php echo e(wgRoute('livelideshow.edit',[$lideshow->id])); ?>" data-width="1000px" data-height="700px">编辑</a>
                                        <a class="btn btn-outline btn-success ajax-confirm delete"
                                           data-url="<?php echo e(wgRoute('livelideshow.destroy',[$lideshow->id])); ?>" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                                    </td>
                                </tr>
                            </tbody>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </table>
                        <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>