
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">订单id:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[id]" lay-verify="" placeholder="订单id"
                                       value="<?php echo e(\Request::input('query.id')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">订单编号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[order_sn]" lay-verify="" placeholder="订单编号"
                                       value="<?php echo e(\Request::input('query.order_sn')); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <div class="layui-input-inline" style="width: 150px;">
                                <select name="query[time_name]">
                                    <option value="created_at" <?php if(\Request::input('query.time_name')=='created_at'): ?> selected <?php endif; ?>>创建时间</option>
                                    <option value="pay_time" <?php if(\Request::input('query.time_name')=='pay_time'): ?> selected <?php endif; ?>>支付时间</option>
                                </select>
                            </div>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="<?php echo e(\Request::input('query.start_time')); ?>" name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="<?php echo e(\Request::input('query.end_time')); ?>" name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">收货人:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" placeholder="用户id"  value="<?php echo e(\Request::input('query.uid')); ?>"  class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="margin-top: 8px;">
                            <div class="layui-inline">
                                <label class="layui-form-label">订单状态</label>
                                <div class="layui-input-inline">
                                    <select name="query[order_status]" lay-verify="">
                                        <option value="" <?php if(!in_array(\Request::input('query.order_status'),[-1,0,1,2,3,4])): ?> selected <?php endif; ?>>全部</option>
                                        <option value="-1" <?php if(\Request::input('query.order_status')==-1): ?> selected <?php endif; ?>>交易关闭</option>
                                        <option value="0" <?php if(\Request::input('query.order_status')!=null && \Request::input('query.order_status')==0): ?> selected <?php endif; ?>>未付款</option>
                                        <option value="1" <?php if(\Request::input('query.order_status')==1): ?> selected <?php endif; ?>>待发货</option>
                                        <option value="2" <?php if(\Request::input('query.order_status')==2): ?> selected <?php endif; ?>>待收货</option>
                                        <option value="3" <?php if(\Request::input('query.order_status')==3): ?> selected <?php endif; ?>>已签收</option>
                                        <option value="4" <?php if(\Request::input('query.order_status')==4): ?> selected <?php endif; ?>>已退款</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>

                            </div>
                        </div>
                    </form>

                    <?php echo $__env->make('live::common.toolbar', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品</th>
                            <th>单价(元)</th>
                            <th>数量</th>
                            <th>买家</th>
                            <th>订单金额</th>
                            <th>详情</th>
                            <th>分销商</th>
                            <th>买家备注</th>
                            <th>状态</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td colspan="8" style="text-align: left;border-right: 0 none;">
                                订单ID：<?php echo e($list->id); ?>&nbsp;&nbsp;&nbsp;订单编号：<?php echo e($list->order_id); ?> &nbsp;&nbsp;&nbsp; 下单时间：<?php echo e($list->created_at); ?>&nbsp;&nbsp;&nbsp;
                            </td>
                            <td style="border-left: 0 none;">
                                <text style="color:red;"><?php echo e(\App\Models\ShimmerLiveshopStoreOrder::$type[$list->type]); ?></text>
                            </td>
                        </tr>
                        <?php echo $__env->make('live::commission.order.type.'.$list->type, ['list' => $list], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php if($list->commissionOrder): ?>
                        <tr>
                            <td colspan="9" style="text-align:right;border-bottom:none;background:#f9f9f9;">
                                <?php $__currentLoopData = $list->commissionOrder; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ck=>$cOrder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <b><?php echo e($cOrder->level); ?>级佣金:</b> <?php echo e($cOrder->commission); ?> 元
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </td>
                        </tr>
                        <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $lists], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>