<div class="layui-form-item">
    <label class="layui-form-label">站点名称</label>
    <div class="layui-input-block">
        <input type="text" name="config[site_name]" placeholder="请输入站点名称" value="<?php echo e($config['site_name']); ?>"
               class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">Logo</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('config[logo]',wgTomedia($config['logo']));  ?>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">客服电话</label>
    <div class="layui-input-block">
        <input type="text" name="config[consumer_hotline]" placeholder="请输入客服电话" value="<?php echo e($config['consumer_hotline']); ?>"
               class="layui-input">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">授权手机号</label>
    <div class="layui-input-block">
        <input type="checkbox" name="config[auth_mobile]" <?php if($config['auth_mobile']): ?> checked <?php endif; ?> title="授权手机号"
               value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>授权手机号</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <div class="form-text m-b-none">
            开启后，授权用户信息后，会提示授权手机号
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">强制绑定上级</label>
    <div class="layui-input-block">
        <input type="checkbox" name="config[must_bind_relation]" <?php if($config['must_bind_relation']): ?> checked <?php endif; ?> title="强制绑定上级"
               value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>强制绑定上级</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <div class="form-text m-b-none">
            开启后，用户必须要绑定上级，不绑定上级无法浏览页面
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">开启定位</label>
    <div class="layui-input-block">
        <input type="checkbox" name="config[open_location]" <?php if($config['open_location']): ?> checked <?php endif; ?> title="开启定位"
               value="1">
        <div class="layui-unselect layui-form-checkbox">
            <span>开启定位</span>
            <i class="layui-icon layui-icon-ok"></i>
        </div>
        <div class="form-text m-b-none">
            开启后，用户直播列表计算距离
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">版权文字</label>
    <div class="layui-input-block">
        <input type="text" name="config[copyright_text]" placeholder="请输入版权文字" value="<?php echo e($config['copyright_text']); ?>"
               class="layui-input">
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">版权Logo</label>
    <div class="layui-input-block">
        <?php  echo wg_tpl_form_field_image('config[copyright_logo]',wgTomedia($config['copyright_logo']));  ?>
        <div class="form-text m-b-none">
        </div>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">版权跳转地址</label>
    <div class="layui-input-block">
        <div class="input-group">
            <input type="text" name="config[copyright_link]" value="<?php echo e($config['copyright_link']); ?>"
                   class="form-control valid" aria-invalid="false"
                   placeholder="请填写小程序跳转链接" id="copyright_link">
            <div class="input-group-addon ajax-link"
                 data-url="<?php echo e(wgRoute('liveutilsuser.get-page-urls')); ?>" data-id="copyright_link">选择链接
            </div>
        </div>
    </div>
</div>