<?php

return [
    '申请管理' => [
        [
            'name' => '申请中',
            'route' => 'web_plugin_merch.common.apply.checking',
            'sort' => 199,
        ],
        [
            'name' => '已驳回',
            'route' => 'web_plugin_merch.common.apply.reject',
            'sort' => 100,
        ],
    ],
    '商家管理' => [
        [
            'name' => '待入驻',
            'route' => 'web_plugin_merch.store.manager.wait',
            'sort' => 99,
        ],
        [
            'name' => '入驻中',
            'route' => 'web_plugin_merch.store.manager.in',
            'sort' => 98,
        ],
        [
            'name' => '暂停中',
            'route' => 'web_plugin_merch.store.manager.pause',
            'sort' => 97,
        ],
        [
            'name' => '诚信商家',
            'route' => 'web_plugin_merch.store.manager.integrity',
            'sort' => 97,
        ],
        [
            'name' => '即将到期',
            'route' => 'web_plugin_merch.store.manager.expiring',
            'sort' => 96,
        ],
        [
            'name' => '已到期',
            'route' => 'web_plugin_merch.store.manager.expired',
            'sort' => 90,
        ],
    ],
    '数据统计' => [
        [
            'name' => '订单数据',
            'route' => 'web_plugin_merch.store.statistics.order',
            'sort' => 88,
        ],
        [
            'name' => '商户数据',
            'route' => 'web_plugin_merch.store.statistics.store',
            'sort' => 87,
        ],
    ],
    '提现申请' => [
        [
            'name' => '申请中',
            'route' => 'web_plugin_merch.store.withdraw.apply',
            'sort' => 79,
        ],
        [
            'name' => '已打款',
            'route' => 'web_plugin_merch.store.withdraw.paid',
            'sort' => 78,
        ],
        [
            'name' => '已驳回',
            'route' => 'web_plugin_merch.store.withdraw.reject',
            'sort' => 70,
        ],
    ],
    '商户设置' => [
        [
            'name' => '基础设置',
            'route' => 'web_plugin_merch.common.setting.edit.base',
            'sort' => 69,
        ],
        [
            'name' => '入驻设置',
            'route' => 'web_plugin_merch.common.setting.edit.into',
            'sort' => 68,
        ],
    ],
];